2003-06-10 21:38  lusky

	* include/patchlevel.h: 
	- revved patchlevel to 7.0 (release!) 
	
	Demanded by:	the entire hybrid team 

2003-06-10 21:26  lusky

	* BUGS: 
	- removed stdio+cryptlinks from BUGS, it works now 

2003-06-10 14:21  bill

	* contrib/m_operspy.c: 
	- reverted ENCAP related changes in favor of a diff 
	- always log prior to actual command parsing 
	- for succesful nickname targeted operspy queries, log the
	nick!user@host server 

2003-06-10 12:33  bill

	* contrib/: encap+olog.diff, readme_encap+olog.txt: 
	- removed encap+olog.diff, this has already proven it will be
	  changing too much to bother distributing it in a release.  

2003-06-09 21:29  db

	* contrib/encap+olog.diff: 
	- cleaned up encap+olog.diff 

2003-06-09 21:12  db

	* contrib/hyb7+angel.diff: 
	- last minute tweaks/cleanups 

2003-06-09 21:02  db

	* contrib/: encap+olog.diff, readme_encap+olog.txt: 
	- moved these files from HEAD to STABLE 

2003-06-09 21:00  db

	* contrib/: encap+olog.diff, readme_encap+olog.txt: 
	- removing files that belonged in STABLE not HEAD 

2003-06-09 19:16  bill

	* contrib/Makefile.in, contrib/encap+olog.diff,
	contrib/readme_encap+olog.txt, include/parse.h, include/s_serv.h,
	src/parse.c: 
	- reverted previous commit 
	- moved encap/operspy log changes into encap+olog.diff 
	- added readme for encap+olog.diff 

2003-06-09 18:26  bill

	* contrib/Makefile.in, contrib/m_operspy.c, include/parse.h,
	include/s_serv.h, src/parse.c: 
	- added m_encap.c to contrib/ 
	- updated m_operspy.c to do local/remote logging 
	- made hash_parse() a global, rather than static function 
	- added CAP_ENCAP #define in s_serv.h 

2003-06-09 18:11  db

	* contrib/hyb7+angel.diff: file hyb7+angel.diff was initially added
	on branch HYBRID_7_0.  

2003-06-09 18:11  db

	* contrib/: hyb7+angel.diff, readme_hyb7+angel.txt: 
	- Here is the +angel diff. I've been wanting to add this one for 
	  a while, but haven't the time..  
	
	- kline checking is reverted to hybrid-6 behaviour, this should
	  alleviate the complaints about "sluggish" server klines. The
	  behaviour in hybrid-6 was to wait one io_loop() before checking
	clients for placed klines.  
	- We've added remote unkline 
	- A true "safelist", with borrowed constructs from undernet i.e.  
	  /list <10 list all channels with less than 10 members 
	- The redundant mode code removed 
	- tdline support 
	- quote /xline support, these are saved/restored from xline.conf 
	- quote resv are saved/restored from nresv.conf and cresv.conf 
	- you wanted them, here they are... remote whois notices 
	- hidden admin support 
	- sjoins are shown as in old behaviour if server is not hidden 

2003-06-09 18:11  db

	* contrib/readme_hyb7+angel.txt: file readme_hyb7+angel.txt was
	initially added on branch HYBRID_7_0.  

2003-05-31 00:37  lusky

	* src/s_bsd.c: 
	- specifically include ircd_defs.h in s_bsd.c to work around report 
	  strangeness of it not being found 
	
	Submitted by:	lusky 

2003-05-31 00:30  lusky

	* RELNOTES, configure, autoconf/configure.in,
	doc/convertconf-example.conf, doc/example.conf,
	doc/example.conf.quick, doc/example.efnet.conf,
	doc/technical/README.openssl, doc/technical/cryptlink.txt,
	include/s_serv.h, modules/m_cryptlink.c, servlink/control.c,
	src/s_serv.c, tools/encspeed.c: MFC to stable: 
	- removed old hack that worked around an openssl 0.9.6a bug with
	  setting blowfish key size 
	- Switch BF/256 support to BF/168.  OpenSSL doesn't support more
	  than a 168bit key.  It might work, might not, but isn't supported so
	don't try.  
	
	Submitted by:	lusky Reviewed by:	joshk 

2003-05-29 21:47  db

	* contrib/hyb7-rc10+demon.diff: 
	- Removed this patch at the request of Lee Hardy 

2003-05-29 21:14  lusky

	* contrib/Makefile.in: 
	- s/omotod/omotd/ 
	
	Submitted by:	joshk Reviewed by:	lusky 

2003-05-28 22:13  lusky

	* include/fileio.h, include/ircd.h, servlink/servlink.c,
	src/fileio.c, src/ircd.c, src/rsa.c, src/s_auth.c, src/s_bsd.c,
	src/s_serv.c: MFC to stable 
	- kludges to fix issues with servlink with > 1024 descriptors open 
	- set TCP_NODELAY on inbound/outbound server connections to avoid 
	  problems with the switch to servlink happening mid-packet.  
	
	Submitted by:	lusky (fds) / adx (TCP_NODELAY) Reviewed by:	db (fds)
	/ lusky (TCP_NODELAY) 

2003-05-28 21:58  lusky

	* src/s_user.c: MFC to stable: 
	- H6 stores optional user-modes which are defined in the sixth 
	  o-line field in 'aconf->hold', not H7 
	  an operator can  get UMODE_NCHANGE on oper up without having 
	  the correct oper privileges if oper_umodes includes 'nchange' 
	
	Submitted by:	michael Reviewed by:	db 

2003-05-28 21:02  lusky

	* src/channel.c: MFC to stable: 
	- We want to go into splitmode if *either* splitnum or splitusers
	  triggers it, but we don't want to come out of splitmode until both
	  are met, since servers are introduced immediately and users take a
	while to sync up.  
	
	Submitted by:	wiz Reviewed by:	db 

2003-05-28 20:02  lusky

	* configure, autoconf/configure.in, src/Makefile.in,
	tools/rsa_respond/respond.c: 
	- configure: Reword the highly misleading 'Eep!' text 
	- src/Makefile.in: fix yacc/bison output dependancy for parallel
	make 
	- tools/rsa_respond/respond.c: fix implicit declaration of string.h 
	  functions by including it 
	
	Submitted by:	joshk Reviewed by:	lusky 

2003-05-21 21:13  db

	* contrib/m_omotd.c: 
	- oopsies in header, fixed.  

2003-05-21 20:26  db

	* contrib/: Makefile.in, m_classlist.c, m_omotd.c: 
	- removed erroneous comments from m_classlist.c 
	- added m_omotd.c to the contrib repository, modified Makefile.in to
	match 

2003-05-21 20:26  db

	* contrib/m_omotd.c: file m_omotd.c was initially added on branch
	HYBRID_7_0.  

2003-05-21 20:15  db

	* contrib/: m_classlist.c, m_ctrace.c: 
	- use match() instead of irccmp() so wild card classnames can be
	used 

2003-05-21 16:41  db

	* contrib/hyb7-rc10+gozem.diff: file hyb7-rc10+gozem.diff was
	initially added on branch HYBRID_7_0.  

2003-05-21 16:41  db

	* contrib/hyb7-rc10+demon.diff: file hyb7-rc10+demon.diff was
	initially added on branch HYBRID_7_0.  

2003-05-21 16:41  db

	* contrib/: hyb7-rc10+demon.diff, hyb7-rc10+gozem.diff: 
	- Added the +demon diff and +gozem diff as supplied to us by Gozem 
	  Again, anything that goes into contrib is not vetted or confirmed 
	  working by the hybrid team! Its simply here as a convenience.  
	
	  hyb7-rc10+demon.diff    hyb7-rc10+gozem.diff 

2003-05-21 16:33  db

	* contrib/: Makefile.in, m_ctrace.c: 
	- Added m_ctrace.c, does a local trace only on a given class name 
	- modified Makefile to match 

2003-05-21 16:33  db

	* contrib/m_ctrace.c: file m_ctrace.c was initially added on branch
	HYBRID_7_0.  

2003-05-21 16:01  db

	* contrib/Makefile.in: 
	- just added the change to Makefile.in for m_classlist.c 

2003-05-21 16:00  db

	* contrib/m_classlist.c: file m_classlist.c was initially added on
	branch HYBRID_7_0.  

2003-05-21 16:00  db

	* contrib/m_classlist.c: 
	- This is in contrib. all it does is total up the number of people 
	  in a given class. usage is 
	  /quote classlist classname 
	  I've not used numerics for it for now, it will report if
	  "classname" is missing and will report if no class was found. "Not
	found" 

2003-05-06 18:20  lusky

	* include/patchlevel.h: 
	- revved patchlevel to 7.0rc10 

2003-05-05 22:43  db

	* RELNOTES: 
	- updated RELNOTES in preparation for rc10 

2003-05-05 22:32  lusky

	* modules/m_stats.c, src/messages.tab: MFC to stable: 
	- fixed bug in m_stats 
	
	Submitted by:	db Reviewed by:	lusky 

2003-05-04 16:25  lusky

	* src/hostmask.c: MFC to stable: 
	- fix memory leak and core in clear_out_address_conf() 
	
	Submitted by:	db Reviewed by:	bill 

2003-05-01 21:37  lusky

	* src/s_debug.c: MFC to stable: 
	- fixed a sendto() without the correct number of params 
	
	Submitted by:	michael Reviewed by:	lusky 

2003-04-19 21:29  lusky

	* src/s_user.c: MFC to stable: 
	-  fix for allowing people exempt from user limits connect to the
	   server.  buglet found by Jack (metalrock) 
	
	Submitted by:	metalrock Reviewed by:	db 

2003-04-19 19:33  lusky

	* src/channel_mode.c: MFC to stable 
	- Stop ',' character from appearing in a channel key.  
	
	Submitted by:	db Reviewed by:	lusky 

2003-04-19 19:17  lusky

	* src/hostmask.c: MFC to stable 
	- This should better fix the core in hostmask.c on /rehash 
	
	Submitted by:	db Reviewed by:	cryongen,adx 

2003-04-11 23:44  lusky

	* src/hostmask.c: MFC to stable: 
	- This should fix the core in hostmask.c on /rehash 
	  The basic problem was, for one, there was no code to ever deal
	  with the first element being removed. (i.e. atable[i]) 
	
	Submitted by:	db Reviewed by:	joant 

2003-04-10 20:41  lusky

	* modules/m_gline.c, modules/m_stats.c, src/event.c, src/s_debug.c,
	src/s_stats.c: MFC to stable: 
	- all stats replies using RPL_STATSDEBUG are now prefixed with their
	stats char 
	- made gline 'is requesting' notice always come before 'has
	triggered' notice 
	- made show_events() use RPL_STATSDEBUG, rather than NOTICE 
	
	Submitted by:	bill Reviewed by:	lusky,db 

2003-04-07 16:51  lusky

	* src/: s_bsd_kqueue.c, sprintf_irc.c: MFC to stable: 
	- fix typos in comments 
	
	Submitted by:	db Reviewed by:	lusky 

2003-04-06 09:47  lusky

	* modules/core/m_message.c: MFS to stable: 
	- Some dumb clients notice themself before sending JOIN commands to 
	  the server, and excess flood off. Added an exempt to ending the 
	  flood gracemode to m_message if source_p == target_p.  
	
	Submitted by:	wiz Reviewed by:	db 

2003-04-05 11:51  lusky

	* src/s_auth.c: MFC to stable: 
	- stave off a potential double free of reply. Note that this fix 
	  relies on MyFree() not trying to free a NULL. *hack* 
	
	Submitted by:	db Reviewed by:	michael 

2003-04-05 11:40  lusky

	* doc/modes.txt: MFC to stable: 
	- updated modes.txt to remove WHOIS reference from admin flag 
	
	Submitted by:	michael Reviewed by:	lusky 

2003-04-04 18:37  lusky

	* doc/simple.conf, src/irc_string.c: MFC to stable: 
	- simple.conf: resv{}/quarantine{} uses nick=, not name= 
	- brought strlcat() into sync with the latest official FreeBSD fix 
	
	Submitted by:	adx/michael Reviewed by:	db 

2003-04-04 18:19  lusky

	* include/res.h, src/adns.c, src/s_auth.c: MFC to stable: 
	- This fixes a nasty core that can happen when a server is being
	  DoS'ed Basically the return value from adns was never checked.
	  Hence, if we timed it out, the values in the auth struct were NULL.
	*boom* 
	
	Submitted by:	db/stu Reviewed by:	stu/db 

2003-04-02 19:44  lusky

	* src/channel_mode.c: MFC to stable: 
	- channel limit size compatibility fix (s/strtoul/atoi/) 
	
	Submitted by:	metalrock Reviewed by:	michael,db 

2003-04-02 19:41  db

	* RELNOTES: 
	- updated RELNOTES in preparation for an rc 

2003-04-02 18:29  lusky

	* modules/m_join.c, modules/core/m_nick.c, src/s_bsd.c,
	src/s_serv.c, src/send.c: MFC to stable: 
	- fixed 99% cpu bug in m_join.c (adx) 
	- fixed compile warning in m_nick.c (michael) 
	- fix core reported by riedel (adx/db) 
	- fixed possible 99% cpu bug in s_serv.c (michael) 
	- casts to fix comm_setselect compile warnings (michael) 
	
	Submitted by:	db,adx,michael Reviewed by:	db 

2003-03-09 20:14  lusky

	* modules/core/m_nick.c: 
	- MFC to stable - calling check_clean_nick() with last parameter 
	  possibly NULL will core server. This can happen when a nickname 
	  change is being parsed.  Spotted by adx, based on a posting by 
	  Michal Bulik 
	
	Submitted by:	adx Reviewed by:	db 

2003-03-02 00:30  lusky

	* src/client.c: MFC to STABLE 
	- get_client_name() would only return client->name for remote
	clients.  fixed.  
	
	Submitted by:	bill Reviewed by:	db Approved by:	jrl Obtained from:
	HEAD 

2003-03-02 00:10  lusky

	* src/send.c: MFC to STABLE 
	- Ok, this typo crept in somehow during the revert to rc4 exit code 
	  oops. between version 7.223 and 7.224. Ended up in trying to
	  reschedule I/O on the wrong fd, i.e. on the control fd. oops.  
	- This is not a clean compile due to a prototype, Not sure why we've 
	  declared this to take a void * when clearly it should be a struct
	  Client * 

2003-02-19 22:41  lusky

	* include/patchlevel.h: 
	- revved patchlevel to 7.0rc9 

2003-02-18 23:15  lusky

	* HOWTO-CVS: 
	- Final test of serno.h 

2003-02-18 23:12  lusky

	* HOWTO-CVS: 
	- Test commit to stable for serno.h 

2003-02-18 19:49  lusky

	* HOWTO-CVS: another test 

2003-02-18 19:22  lusky

	* HOWTO-CVS: test commit 

2003-02-17 22:48  jmallett

	* HOWTO-CVS: Forced commit.  

2003-02-17 19:15  lusky

	* Hybrid-team: test commit to HYBRID_7_0 

2003-02-16 21:21  jmallett

	* HOWTO-CVS: Add a document describing how to work with the CVS
	branches.  

2003-02-16 15:54  db

	* include/client.h, src/client.c, src/packet.c, src/s_user.c,
	src/send.c: 
	- linebuf_donebuf() should be called for every local client.  
	- tidied up other code.  

2003-02-16 15:06  bill

	* contrib/m_whois.c, src/s_conf.c: 
	- ERR_NOSUCHNICK and RPL_ENDOFWHOIS were reversed in
	contrib/m_whois.c 
	- fixed slight logic error in remove_one_ip() 

2003-02-16 14:22  lusky

	* src/ircd.c: 
	- call close_all_connections() before init_netio() otherwise we 
	  break kqueue 

2003-02-15 17:40  db

	* RELNOTES: 
	- just noted iphash changes 

2003-02-15 17:22  db

	* include/s_conf.h, src/ircd.c, src/s_conf.c: 
	- init_ip_hash_table() was a better name than clear_ip_hash_table() 
	- removed typedef for IPHASH (obsfuscation) 
	- redid memory allocation to use block heap 
	- changed > to >= for comparision to throttle time, it was possible
	  for a compare to fail and leave 0 count ip_entry(s) in the hash.  
	- N.B. subtle bug fixed by this commit.. When the ip hash table was
	  purely used to count number of clients on an IP, there could never
	  be more than MAXCONNECTIONS ip_entry(s), Once ip throttling was
	  added, it is possible to have ip_entry(s) in use that have 0 clients
	  on them, i.e. they are "remembering" an ip was recently used. This
	  means it was possible (though unlikely) for all ip_entry(s) to be
	  used thus panic'ing the server.  This could affect a smaller server
	more easily.  
	
	Reviewed by lusky, juli 

2003-02-15 09:32  lusky

	* RELNOTES, configure, autoconf/acconfig.h, autoconf/configure.in,
	include/ircd_defs.h, include/setup.h.in, include/setup.h_vms,
	src/client.c, src/s_bsd.c, src/s_log.c, src/s_serv.c: 
	- fixed handling of file descriptors 0 through 3 
	- remove unused var in client.c 
	- updated RELNOTES 
	
	Reviewed by:	db 

2003-02-14 16:01  db

	* include/client.h, include/send.h, modules/m_capab.c,
	modules/m_cryptlink.c, modules/m_motd.c, modules/m_post.c,
	modules/m_svinfo.c, modules/core/m_kill.c, modules/core/m_nick.c,
	modules/core/m_quit.c, modules/core/m_server.c,
	modules/core/m_squit.c, src/client.c, src/ircd.c, src/m_error.c,
	src/packet.c, src/parse.c, src/s_bsd.c, src/s_conf.c, src/s_serv.c,
	src/s_user.c, src/send.c: 
	- massive revert to rc4 exit_client code. This has been tested 
	  extensively.  

2003-02-11 19:09  db

	* src/: s_serv.c, send.c: 
	- style fix in s_serv.c 
	- fix potential linebuf leak in send.c 

2003-02-10 17:15  db

	* contrib/m_whois.c: 
	- Missing not found numeric fixed 

2003-02-08 17:02  bill

	* modules/m_whois.c: 
	- send RPL_ENDOFWHOIS numeric even if we send ERR_NOSUCHNICK 
	  reported by BlackJac 

2003-02-08 15:50  db

	* src/client.c: 
	- found by scuzzy and cryogen. A client already exiting shouldn't be 
	  killed by kline.  

2003-02-07 00:17  a1kmm

	* tools/encspeed.c: 
	- Remove a warning caused by a missing const, needed by newer
	OpenSSL versions.  

2003-02-07 00:09  a1kmm

	* src/client.c, src/send.c, modules/core/m_nick.c, include/send.h: 
	- Don't send QUIT back to a user on exit.  
	- Changed a IsClosing to IsDead so users so ERROR :Closing Link:
	  when they are exited.  

2003-02-06 03:53  a1kmm

	* modules/m_capab.c: 
	- *nitpick* fix a comment on m_capab.c that says it is m_away.c 
	  (Reported by MetalRock).  

2003-02-06 03:12  a1kmm

	* src/channel_mode.c: 
	- Fixed a desync bug with chm_key when removing keys, thanks to
	  MetalRock for reporting this bug.  

2003-02-06 02:57  a1kmm

	* src/client.c: <TimeMr14C> Andrew: in the new exit_client
	close_connection is called twice.  Fixed.  

2003-02-06 01:45  a1kmm

	* src/s_user.c, src/send.c, src/tools.c, src/s_bsd.c, src/s_conf.c,
	src/s_serv.c, src/client.c, src/m_error.c, src/packet.c,
	src/parse.c, src/channel.c, src/channel_mode.c,
	modules/core/m_quit.c, modules/core/m_server.c,
	modules/core/m_squit.c, modules/core/m_kill.c,
	modules/core/m_nick.c, modules/core/m_part.c, modules/m_capab.c,
	modules/m_close.c, modules/m_cryptlink.c, modules/m_motd.c,
	modules/m_post.c, modules/m_svinfo.c, include/ircd.h,
	include/send.h, include/client.h, include/config.h: 
	- Changed the dead list into a closing list. exit_client is never
	  called from during the parse loop, but it is deferred until after
	that.  
	- A minor optimisation in dlinkAdd that was bothering me.  

2003-02-03 22:30  db

	* include/client.h, src/client.c, src/ircd.c, src/ircdauth.c,
	src/s_serv.c, src/s_user.c: 
	- make lclient_node part of localClient part. This is a simple 
	  optimisation. I also cleaned up style 
	- Removed a trivial function that is faster to do with
	  dlinkFindDelete() it was originally kept there to be able to match
	  up with obsolete hybrid-6 code, its long outlived its usefulness for
	that. (remove_server_from_list) 

2003-02-03 21:24  db

	* modules/core/m_part.c: 
	- take user off channel before sending channel PART message, else
	  user see's PART message twice.  

2003-02-02 22:25  bill

	* modules/core/m_message.c, src/client.c, src/s_user.c, src/send.c: 
	Submitted by: Reviewed by: Approved by: Obtained from: 
	- reverted get_client_name() format to %s[%s@%s] 
	- changed possible flooder notices to use get_client_name() 
	
	   note: the only notice left with the %s [%s@%s] format is the nick
	         change notice, which should also eventually be changed to use
	get_client_name() 

2003-02-02 22:08  db

	* src/: client.c, send.c: 
	- oops. the move of the SetDead() in client.c exit_client() 
	  was the real culprit of the double send of ERROR followed by the
	  QUIT old code (from hybrid-6 as well btw) set client dead before
	  sending message to channel about QUIT, hence client never saw the
	double message.  

2003-02-02 21:33  db

	* include/tools.h, src/tools.c: 
	- fix dlinkFindDelete() for now 
	  easier to do it this way, then look at the code. code re-use! 

2003-02-02 13:47  db

	* src/: channel.c, client.c: 
	- dlinkFindDelete() has been in tools.c a long time, I've just
	  hesitated to change working code. Oh well. It is faster.  

2003-02-02 13:45  db

	* src/send.c: 
	- sending a linebuf to a client thats dead or closing is not a good
	  idea at least, if its not an error message or "you are dead" 

2003-02-01 13:12  db

	* modules/core/m_kick.c: 
	- same as m_join.c its bad practice to remove a client quitting 

2003-02-01 13:11  db

	* modules/m_join.c: 
	- Even with an abort list, its still bad practice to try and remove 
	  a client thats quitting ! 

2003-02-01 12:13  db

	* src/send.c: 
	- don't send to defunct clients in a list 

2003-01-31 20:55  db

	* src/: client.c, send.c: 
	- this simply removes some redundant code from send.c 

2003-01-31 16:00  db

	* include/channel.h, include/client.h, modules/m_join.c,
	modules/core/m_kick.c, modules/core/m_part.c, src/channel.c,
	src/client.c: 
	- While I agree with andrews ideas and he did a good job of finding 
	  this one, the fix to m_kick.c was a little extreme. I think this 
	  should take care of it.  
	  I've added a temporary IsExited() flag. We really don't need it
	  but for debugging it could be handy.  

2003-01-31 06:17  a1kmm

	* src/channel.c, modules/core/m_kick.c, modules/core/m_part.c,
	include/channel.h: 
	- Move part_one_client to channel.c 
	- Convert kicks of yourself to parts. This is the simplest way to
	  stop big problems if a user kicks themselves and then exits during
	  the kick.  Users should be using PART anyway to leave the channel,
	  so this has a nice side-effect of sending the right message. If it
	  is discovered that this is breaking clients it may need to be
	redesigned.  

2003-01-31 05:53  a1kmm

	* src/channel.c, modules/core/m_part.c, include/channel.h: 
	- Kludge around the fact that a channel can be destroyed after 
	  remove_user_from_channel is called, by incrementing users 
	  artificially, and calling sub1_from_channel manually later.  
	  - This would be less of a kludge if we rename users to 
	    refcount or something(TODO).  
	- In order not to break vchans, I had to set the vchan ID when the
	  users count is 2 or less, instead of the normal 1. This is an awful
	  kludge, and we need a better way to do it.  

2003-01-31 05:15  a1kmm

	* src/s_bsd.c, src/send.c, src/channel.c, src/client.c,
	modules/core/m_part.c: 
	- Fixed another exit_client() type bug: 
	  - A client is closing after exit_client() has started.  
	  - A client is dead only after exit_client() has completed.  
	  - Before changing any lists, you must check if a client is dead.  
	  - Only exit_client() should ever SetDead() or SetClosing().  

2003-01-30 03:28  a1kmm

	* src/.depend, src/fileio.c, src/listener.c, modules/.depend: 
	- Fixed a harmless uninitialised memory bug, to stop "false" alarm
	  in valgrind.  
	- Fixed a fd_close() that should have been a close() when the system
	  runs out of fds(reported by Metalrock).  

2003-01-30 00:28  lusky

	* include/client.h: 
	- fix missing \ on line 501 so it'll compile 

2003-01-28 14:04  db

	* include/client.h, src/list.c, src/parse.c: 
	- cleanup to style in list.c 
	- make sure a client marked as Killed is not parsed 

2003-01-27 22:28  db

	* src/send.c: 
	- don't send to a dead client.  

2003-01-27 14:01  lusky

	* Hybrid-team: 
	- fixed cryogen's entry in Hybrid-team 

2003-01-26 21:42  lusky

	* include/patchlevel.h: 
	- rev patchlevel to -7rc8 

2003-01-26 14:12  lusky

	* contrib/m_whois.c, modules/m_whois.c: 
	- whois idle display logic fix from lee 

2003-01-25 16:43  lusky

	* RELNOTES, src/s_serv.c: 
	- set TCPNODELAY before sending SERVER during handshake to make sure 
	  zipped data doesn't get slammed into the same packet 

2003-01-25 15:42  lusky

	* tools/rsa_respond/: Makefile, respond.c: 
	- check for getpass() failure so it doesn't core when called
	  incorrectly from old ircII 
	- add INCLUDES and LDFLAGS to Makefile to make it simpler to build 
	  for those of us without system-installed OpenSSL 

2003-01-24 22:00  lusky

	* src/restart.c: 
	- unused var in restart 

2003-01-24 20:59  lusky

	* RELNOTES: 
	- Updated RELNOTES for rc8 

2003-01-24 20:41  lusky

	* contrib/README, contrib/m_whois.c, modules/m_whois.c: 
	- fix for contrib/m_whois core 
	- fix for modules/m_whois bogusly showing idle time for non-local
	clients 
	- reiterate in contrib/README that contrib modules may crash 
	
	Submitted by:	db Reviewed by:	jrl 

2003-01-24 18:52  lusky

	* BUGS, src/packet.c: 
	- mention gettext not working on Solaris 8 
	- removed null byte check which was choking on zipped links 

2003-01-24 00:01  lusky

	* include/ircd.h, modules/core/m_die.c, src/ircd.c, src/restart.c: 
	- fixed a race condition with /restart and check_pidfile.  We now 
	  unlink the pidfile on /die and /restart, and don't complain if the 
	  file doesn't exist when starting.  
	
	Submitted by:	lusky 

2003-01-22 21:24  db

	* modules/m_invite.c: 
	- bah. This is tricky to get right. but you cannot "broadcast" an
	  invite to hybrid-6 (presumbably csircd etc.) servers without them
	  getting upset about ghosted nick. oops. We reviewed and reviewed and
	  tested... but anyway. So, use CAP_PARA to not send the broadcast to
	  non CAP_PARA servers.  Note, the only easy clean way of not ending
	  up with a double invite notice to a target, is to paramertise the
	  INVITE notice. INVITE notice now has four parameters if its just a
	  notice of an invite. The normal three parameters is used in all
	  other cases. So, in cases of -p, only the three parameter version is
	used.  

2003-01-21 20:29  bill

	* modules/m_invite.c: 
	- invites from a local user to a local user were propogated, fixed.  

2003-01-21 08:42  lusky

	* include/patchlevel.h: 
	- revved patchlevel to 7rc7 

2003-01-21 07:26  db

	* src/modules.c: 
	- fixed leak found by Michael 

2003-01-20 23:13  db

	* modules/m_post.c: 
	- put/get was missing in the init code, so put/get would never
	trigger exit 

2003-01-20 05:44  db

	* include/client.h: 
	- fix prototype, no code change.  

2003-01-19 16:38  db

	* BUGS: 
	- solaris is broken for more than 256 fds when using cryptlinks 

2003-01-19 12:02  db

	* src/client.c: 
	- if client is exiting don't do anything in dead_link_on_read() its 
	  already dying/dead 

2003-01-19 06:25  db

	* src/s_serv.c: 
	- called dead_link_on_write() with only one parameter.  

2003-01-19 06:19  db

	* include/client.h, include/s_bsd.h, src/client.c, src/packet.c,
	src/s_bsd.c, src/s_conf.c, src/s_serv.c, src/send.c: 
	- renamed dead_link() to dead_link_on_write() 
	  renamed error_exit_client() to dead_link_on_read() 
	- added errno to dead_link_on_write() not used yet 
	
	  These two functions should be rationalised a bit more still...  
	- fixed some style 
	
	  The notable bug here was.. when a client is exited via read, it has 
	to be marked Dead as we did in dead_link(). Otherwise we can try to
	send to it. It really didn't cause major problems but it was
	potentially one.  

2003-01-17 18:02  db

	* contrib/m_whois.c: 
	- updated contrib m_whois.c from jack.. with style corrections 

2003-01-17 06:06  db

	* RELNOTES: 
	- RELNOTES comment about +pi channels was slightly wrong 

2003-01-17 06:00  db

	* modules/m_stats.c, modules/m_whois.c, modules/m_whowas.c,
	src/balloc.c, src/channel.c, src/client.c, src/packet.c,
	src/s_stats.c, src/vchannel.c: 
	- committed cleanups from michael 

2003-01-17 00:55  db

	* src/client.c: 
	- please for not be fd using instead of IsDead 

2003-01-16 22:21  db

	* include/: config.h, config.h.dist: 
	- updated config.h/config.h.dist as per jack 

2003-01-16 22:11  db

	* modules/m_list.c: 
	- ick, I should compile with -Wall more often. Getting lazy 
	  with Rodder normally running them. Missing return value in an int 
	  returning function.  

2003-01-16 21:19  db

	* RELNOTES: 
	- whoops forgot to update RELNOTES 

2003-01-16 21:18  db

	* include/channel.h, src/channel.c, src/ircd.c: 
	- vchans fix contributed by michael 

2003-01-16 20:57  db

	* RELNOTES, modules/m_help.c: 
	- fixed fd leak in m_help.c this has been here for a while...  

2003-01-16 20:15  db

	* RELNOTES, src/s_conf.c: 
	- fixed bogus logging 

2003-01-16 19:58  db

	* RELNOTES, doc/example.conf.quick, modules/core/m_message.c: 
	- oopsies. old traditional behaviour was to allow non-opers to 
	  send userhost@server privmsgs. dalnet used nick... probably 
	  should add an ifdef if we want to change it 

2003-01-16 18:09  db

	* modules/m_lljoin.c: 
	- removed double include of hash.h 

2003-01-16 17:01  db

	* RELNOTES: 
	- updated RELNOTES 

2003-01-16 16:54  db

	* modules/m_who.c: 
	- removed silly #ifdef. this meant serverhiding would only work on
	  who if ANONOPS was defined. why? spotted by Michael 

2003-01-16 16:13  db

	* src/client.c: 
	- another bug fix from Michael missing return(0); instead of return; 
	  in exit_client() 

2003-01-16 16:10  db

	* RELNOTES, src/messages.tab, src/s_conf.c: Two quick bug fixes
	passed on by michael <michael@phat-net.de> 
	
	- fakename in aconf could leak, fixed.  
	- missing : in messages.tab numeric 513 ERR_WRONGPONG 

2003-01-16 11:56  db

	* RELNOTES, modules/core/m_message.c: 
	- allow non opers to message nick@server, "opers" is reserved for
	  opers only I thought bill did this already, but my email is =still=
	out. sorry.  

2003-01-16 05:25  db

	* Hybrid-team, RELNOTES: 
	- added cryogen (Stuart Walsh) to contributors list. He has helped 
	  considerably with testing.  
	- added note about fix to broken ip limiting to RELNOTES 

2003-01-15 21:08  db

	* src/: ircd.c, ircd_signal.c: 
	- zombies should be caught with a SIGCHLD handler.  

2003-01-15 20:28  db

	* include/s_conf.h, src/ircd.c, src/s_conf.c: 
	- remove the expiration code. Having this destroys the code checking 
	  for too many clients on one IP.  

2003-01-13 09:35  db

	* Hybrid-team, src/client.c: 
	- added Yusuf Iskenderaglu to contributors 

2003-01-10 20:52  db

	* include/client.h, src/channel_mode.c, src/client.c, src/packet.c,
	src/parse.c, src/s_bsd.c, src/s_serv.c, src/s_user.c, src/send.c: 
	- Even more cleanups of the exit code, but this gets rid of the 
	  abort_list.  

2003-01-10 13:22  db

	* modules/m_invite.c: 
	- correct my tired code, after some code review work .  

2003-01-10 09:00  db

	* modules/m_invite.c: 
	- be consistent! 

2003-01-09 22:11  db

	* RELNOTES, modules/m_invite.c, src/send.c: 
	- m_invite failed to send an invite if the channel was +p to 
	  all servers that needed the invite, hence invites were blocked 
	  in some cases. Always send an invite, send a NOTICE to channel 
	  about the invite to servers that do NO support CAP_PARA 
	  It can be finessed later. I'm tired.  

2003-01-09 20:47  db

	* RELNOTES, modules/core/m_server.c: 
	- squit the uplink as hybrid-6 does, not the source if 
	  a server introduces a leaf or wrong masked server. This seriously 
	  breaks things! 

2003-01-09 01:04  db

	* src/client.c: 
	- d'uh return 0; from a void function. fixed 

2003-01-09 00:48  db

	* RELNOTES, src/s_conf.c: 
	- fixed broken throttling code. There was a decrement that should 
	  not have been there. all fixed. tested.  

2003-01-08 23:20  db

	* modules/m_wallops.c: 
	- trivial change to remove a duplicate #include "client.h" 

2003-01-08 23:15  db

	* RELNOTES, include/client.h, src/channel.c, src/channel_mode.c,
	src/client.c, src/ircdauth.c, src/packet.c, src/parse.c,
	src/s_bsd.c, src/s_serv.c, src/s_user.c, src/send.c: 
	- rationalised the exit_client code.  
	  IsClosing() is used to keep clients from being added to the
	  abort_list twice IsDead() is now used to keep clients from being
	  added to the dead_list twice IsDefunct() is used to check whether a
	  client is dying ie.  IsClosing() || IsDead() 
	  exit_client() is no longer called in some cases if a client/server 
	  is already IsDefunct().  
	  This removes the possibility of a double free of a client and
	  removes the possibility of accessing memory after it has been
	freed.  
	- Also removed a "bare" access to FLAGS_IPHASH 

2002-12-29 14:42  gregp

	* contrib/challenge.irc: 
	- ahem, actually add challenge.irc 

2002-12-29 14:42  gregp

	* tools/rsa_respond/respond.c: 
	- added challenge.irc to contrib/, compliments of BlackJac@EFNet 
	  script for EPIC (and apparently BitchX too) to support opering via
	  /challenge 
	- cosmetic change in respond.c, don't append a \n to stuff we puts() 

2002-12-28 00:02  bill

	* modules/m_gline.c: 
	- removed duplicated DupString() call, pointed out by Michael W.  

2002-12-20 21:40  lusky

	* include/patchlevel.h: revved patchlevel to rc6 

2002-12-18 22:58  db

	* Hybrid-team: 
	- Jack Low. so there.  

2002-12-18 20:51  db

	* Hybrid-team, RELNOTES, src/channel_mode.c: 
	- fixed a very nasty buffer overflow in ban handling.  
	  ban strings cannot be longer than MODEBUFLEN (200 chars) 
	  this fix to channel_mode.c ensures this happens.  
	- updated RELNOTES to note this change 
	- added MetalRock to the team listing, he's done more than a lot of 
	  folk at helping us find bugs.  

2002-12-18 10:03  bill

	* RELNOTES: 
	- finished updating RELNOTES in preparation for rc6 

2002-12-17 22:33  db

	* contrib/m_tburst.c: 
	- committed metalrocks change 

2002-12-17 21:44  db

	* src/client.c: 
	- removed a redundant free_client(), this was placed just before 
	  exit_one_client() which caused localClient part to go to NULL.  
	  This confused MyConnect() etc. so clients were not being removed 
	  from channel lists properly. The free_client() call is being
	  called after exit_client() anyway.  
	- tidied up a bit the formatting in one place...  

2002-12-17 05:35  androsyn

	* adns/parse.c: Allow '_' in hostnames per rfc1033 recommendations 

2002-12-16 15:43  db

	* src/packet.c: 
	- I have a sneaking suspicion the file descriptor is still on the 
	  poll/select etc. list... this should be dug into further.. In any
	  case its better to be a bit defensive about poking at a client
	anyway.  

2002-12-16 13:53  db

	* src/packet.c: 
	- localClient can go NULL after a parse here as well.  

2002-12-16 00:18  db

	* RELNOTES, src/kdparse.c: 
	- cleaned up getfield() field code. I obviously did it in a hurry
	  last time.  this fixes bug with , in a reason field.  
	- updated RELNOTES again 

2002-12-15 23:44  db

	* RELNOTES: 
	- started updating RELNOTES in preparation for one more rc 

2002-12-15 23:30  db

	* src/channel.c: 
	- add some sanity tests to not try to use who->user if user is NULL 

2002-12-15 22:00  db

	* src/channel.c: 
	- Don't decrement the joined count unless actually succeeded in
	  removing a channel join! 

2002-12-15 16:50  db

	* doc/technical/send.txt, modules/m_invite.c, src/packet.c: 
	- updated the send docs. a couple of functions disapeared to be
	  replaced with one function in its place. oops.  
	- a client can have a localClient part of NULL when we go try to
	  read from it oops. We can't do that. Notably this happened when a
	  server was unauthed, coring the server.  
	- m_invite was not sending invites properly when +p was on. I admit 
	  this code could be finessed, but I wanted to get it working first.  

2002-12-14 00:37  db

	* src/send.c: 
	- be careful with IsCapable() when the state of localClient is not
	  known if its NULL, it will panic the server.  

2002-12-13 21:08  db

	* src/channel_mode.c: 
	- allow "op cookies" *ugh* 
	  mode * +o-b nick cookie will now work. its an exception for this 
	  case only. ugh ugh ugh ugh ugh 
	- cleaned up some of the table code. Mode table of 512 is a tad
	  large but will fix later...  

2002-12-12 22:38  bill

	* src/: client.c, s_user.c, send.c: Submitted by: Reviewed by: 
	Approved by: Obtained from: 
	- changed all instances of nick[user@host] to nick [user@host] ..
	this fixes a nasty bug that can be described by this: 
	
	   wheres[the[nick@start.com] 

2002-12-12 20:21  db

	* src/packet.c: 
	- *sigh* a client can be set dead (IsDead()) in a number of places 
	  while parsing. In all cases, if exit_client() is called, 
	  and the client is local (which it is here) then localClient goes
	  *poof* and its set dead. You can't read data from something that
	  aint there scotty! SHE'S GONNA BLOW CAPTAIN! 

2002-12-12 13:16  bill

	* Hybrid-team: Submitted by:	vx0 
	- updated vx0's email address, per his request 

2002-12-11 23:33  db

	* src/: client.c, packet.c: 
	- client can be SetDead() after parsing a message, if this happens 
	  don't try to parse any outstanding buffers for it! 

2002-12-10 14:29  bill

	* src/client.c: 
	- fixed missing ) 

2002-12-09 20:10  androsyn

	* src/client.c: This is the correct fix for the linebuf leak. 
	Basically close_connection() wasn't setting MyConnect() == FALSE as
	doing so would have caused a core dump further down.  More the
	close_connection() call towards the end of the function where
	localClient is no longer needed.  Add a free_local_client() function
	that actually does the free and sets localClient = NULL 

2002-12-03 19:42  jmallett

	* configure, autoconf/configure.in, include/setup.h.in,
	src/dynlink.c: Use dlfunc(3) if we have it, fake it otherwise, at
	least abstracting out the hideousness of data pointer integral
	casts.  

2002-11-30 06:39  androsyn

	* src/client.c: 
	  Fixed the leaking linebuf issue.  Basically what would happen is
	  that upon exit_one_client() we never called linebuf_donebuf for
	  the clients sendq and recvq..oops.  

2002-11-28 10:36  db

	* src/channel.c: 
	- revert to 7.342 for now, until have time to figure out the "all
	  members in channel names have @" bug.  

2002-11-27 19:18  db

	* src/balloc.c: 
	- I was in a hurry to get groceries before ok? :-) 

2002-11-27 15:54  db

	* src/balloc.c: 
	- As pointed out by TimeMr14C...  

2002-11-27 08:46  db

	* include/numeric.h: 
	- grrrr KNOCKDISABLED needs to use 715 (thank you Michael) 

2002-11-26 20:56  jmallett

	* src/Makefile.in: Take the easy way out for non-GNU compilers, and
	make people make sure tools.c always compiles with whatever changes
	they're making - roll-back revision 7.113's unexplained delta here,
	and compile it always.  If we really do care enough to rip it out of
	the build where it isn't needed, there are other ways to do that,
	like we do for @SPRINTF@.  

2002-11-26 20:46  jmallett

	* src/: s_bsd_devpoll.c, s_bsd_kqueue.c, s_bsd_poll.c,
	s_bsd_select.c, s_bsd_sigio.c: Fix compilation (mostly) with TenDRA
	4.1.2 on FreeBSD 5.0-CURRENT, by not letting unused s_bsd_*.c become
	empty compilation units.  

2002-11-26 13:34  db

	* src/channel.c: 
	- reverse chanops+voice clients with peons in names listing 

2002-11-24 01:27  jmallett

	* servlink/servlink.h, src/md5.c: Repeat after me "char isn't
	signed"...  "on reasonable UNIX systems".  Checking for
	"<derived-char> > -1" is broken, when you mean "<derived-char> != 
	(char) -1" [~0, 0xff on most machines].  
	
	That table is all-but begging to be int8_t or similar.  
	
	Also, match the constness returned by the _cfp functions, since
	discarding it is evil, and we don't seem to need to.  

2002-11-23 10:12  db

	* include/defaults.h: 
	- should be #error not error as pointed out by michael@phat-net.de 

2002-11-20 20:35  bill

	* modules/m_connect.c: 
	- fixed typo that caused leaking of hidden server IPs 

2002-11-20 11:00  bill

	* contrib/m_operspy.c: 
	- duplicate previous fix in m_operspy() .. just in case.  

2002-11-19 22:55  bill

	* contrib/m_operspy.c: 
	- fix a potential core. this does create a detection vulnerability,
	but being stable is more important 

2002-11-19 17:18  db

	* src/channel_mode.c: 
	- fixes buffer overflow with +a -a channel mode 
	
	found and patch submitted by Jack L. xxjack12xx@doramail.com 

2002-11-18 12:54  db

	* modules/m_unkline.c: 
	- oops. forgot some continues' 

2002-11-13 06:15  db

	* modules/m_unkline.c: 
	- These variables now not needed. (error_on_write) 

2002-11-13 06:12  db

	* modules/m_kline.c: 
	- I stared at this until my eyeballs nearly fell out. Anyway, fixed
	  typo spotted by michael@phat-net.de 

2002-11-12 22:30  db

	* modules/m_unkline.c: As the result of a nasty core on hemmet I
	re-examined this code.  I'd truly like to know what kind of drugs I
	was on when I first did this. really. Anyway, this makes more sense
	to me.  

2002-11-12 21:33  jmallett

	* README.PLATFORMS: Well, I can't look after some platforms I used
	to be able to since I moved to Kansas, but I can look after
	OpenBSD/macppc now!  Hopefully more to come, but not just yet :/ 
	
	(I'm back!) 

2002-11-12 18:58  wiz

	* contrib/help/opers/rehash, help/opers/rehash: 
	- Removed CHANNELS from the rehash help 

2002-11-12 06:45  db

	* include/modules.h, src/ircd.c, src/ircd_parser.y, src/modules.c: 
	- UMODE_ALL -> FLAGS_ALL (motd rehash patch) 
	
	It seems to be that there exist a problem with the dynamic core
	modules, afaik it  should be  impossible to unload a  core  module,
	that is true..... MODUNLOAD can't  unload a core module at all, BUT
	if you MODRELOAD'ing a core module first, you're able to MODUNLOAD a
	core module afterwards.  
	
	michael@phat-net.de 

2002-11-12 06:12  db

	* modules/core/m_part.c: Just a small bug I came across by chance,
	if you haven't got it already :-) 
	
	In modules/core/m_part.c (line 178) there is an extra space in the 
	format string "%s PART %s  :%s".  This was using hybrid 7-rc4.  
	
	submitted by tfarrell@frogbert.queens.unimelb.edu.au 

2002-11-12 06:09  db

	* src/s_user.c: %S -> %s as noted by Michael <michael@phat-net.de> 

2002-11-11 16:25  db

	* include/ircd.h, src/ircd.c, src/ircd_signal.c: patch contributed
	by wcampbel@botbay.net 

2002-11-11 13:43  bill

	* modules/: m_motd.c, m_stats.c: Submitted by:	Lee H 
	- reverted previous fix.  treating remote requests the same as local
	  oper requests is in fact correct, at the msgtab level.  each mo_()
	  function triggered by server will have to do a sanity check looking
	  for IsOper() before giving out any sensitive data.  

2002-11-10 12:53  bill

	* contrib/m_operspy.c: Submitted by:	metalrock 
	- fixed core in m_operspy.c caused by doing a WHOIS on a linked
	server 

2002-11-06 14:17  wiz

	* modules/: m_challenge.c, m_oper.c: 
	- Cleaned up failed oper/challenge notices, clarified 
	  error messages... yes I am bored, greg.  
	
	Reviewed by:	xyst, billy-jon 

2002-11-05 07:49  bill

	* contrib/m_operspy.c: 
	- replaced 'unique case' detection fix with a slightly more robust
	one 

2002-11-02 10:09  wiz

	* modules/m_challenge.c: 
	- Changed misleading failed oper notice from /challenge 
	  This error is not always caused by host mismatch.  

2002-11-01 07:38  bill

	* modules/: m_motd.c, m_oper.c, m_stats.c, m_whowas.c: 
	- remote STATS and MOTD requests always treated the source as an
	oper, fixed.  
	- whowas now gives correct reply when 'null nick' is provided 
	- fixed trivial bug that would skew oper count 

2002-11-01 06:24  db

	* contrib/: m_force.c, m_operspy.c: 
	- fixes by adx 

2002-10-30 22:31  lusky

	* include/patchlevel.h: 
	- revved patchlevel to 7rc5 

2002-10-30 22:30  db

	* RELNOTES: 
	- updated RELNOTES 

2002-10-30 20:12  wiz

	* include/hook.h, src/hook.c: 
	- Fixed compile time errors from missing ) and missing proto 
	  in hook.c/hook.h (hi bill!) 

2002-10-30 14:53  androsyn

	* src/s_user.c: Second half of the USER/PING cookie fix 

2002-10-30 14:44  androsyn

	* src/s_user.c: Fix the USER/PING cookie bug properly..  

2002-10-30 14:31  db

	* configure, autoconf/configure.in: 
	- apparently, the -ggdb option blows up gcc 3.0 or something 
	  so its not specific to just OSX 
	  Pointed out by Alex Strange (I can't find his email atm) 

2002-10-30 14:23  androsyn

	* src/s_user.c: Fix dumb bug that caused the USER response to be
	taken instead of the identd response..  

2002-10-30 13:24  bill

	* src/hook.c: Submitted by:	AndroSyn 
	- this one should be DLINK_FOREACH_SAFE 

2002-10-30 12:59  bill

	* src/hook.c: 
	- style cleanups 
	- implemented DLINK_FOREACH wherever possible 

2002-10-30 10:44  wiz

	* doc/example.conf, doc/example.efnet.conf, include/client.h,
	include/s_conf.h, modules/core/m_message.c, src/ircd_lexer.l,
	src/ircd_parser.y, src/packet.c, src/s_conf.c, src/s_user.c: 
	- Added can_flood option in auth {} blocks 
	- Added true_oper_no_flood in general {} block 
	
	Reviewed by: xyst Approved by: Diane 

2002-10-29 20:33  bill

	* contrib/m_operspy.c, contrib/m_whois.c, include/numeric.h,
	modules/m_whois.c, src/messages.tab: 
	- removed RPL_WHOISADMIN, as it is un-needed, and wreaks of vanity.  
	  stats p still distinguishes admins, but maybe it shouldn't .. ? 

2002-10-29 19:56  androsyn

	* adns/adns.h, adns/internal.h, adns/query.c, adns/types.c,
	src/adns.c, src/s_auth.c, src/s_bsd.c: Fix the NULL ipv6 hostname
	bug..  

2002-10-29 15:53  wiz

	* Hybrid-team: Hi everybody, I'm wiz.  

2002-10-29 13:14  db

	* doc/challenge.txt: 
	- updated challenge.txt, this never got updated properly 

2002-10-29 12:38  bill

	* src/channel.c: 
	- oops, completed removal of persistent channels 

2002-10-28 14:09  bill

	* doc/convertconf-example.conf, doc/example.conf,
	doc/example.efnet.conf, doc/whats-new.txt, include/channel.h,
	include/channel_mode.h, include/s_conf.h, modules/m_info.c,
	modules/m_join.c, src/channel.c, src/hash.c, src/ircd.c,
	src/ircd_lexer.l, src/ircd_parser.y, src/s_conf.c: 
	- ripped persistent channels.  this should be re-thoughtout and
	re-implemented from scratch at a later date.  

2002-10-27 18:08  gregp

	* modules/m_challenge.c: 
	- fixing m_challenge.so braindeath, reported by wiz 
	  - we were trying to log source_p->challenge stuffs directly after
	    we'd freed it a few lines above (oops) 
	  - prehaps we should announce it to locops sometimes too! 
	
	Reveiwed by:     my pet donkey, wiz Submitted by:    wiz, various
	bovines 

2002-10-24 13:54  bill

	* src/channel.c: 
	- better commented expire_channels() (sheesh, these things are more
	trouble than they're worth) 
	- added some continue statements, make things a bit more robust 

2002-10-24 11:16  bill

	* modules/core/m_message.c, src/channel.c, src/parse.c: 
	- opers can no longer over-ride umode +g 
	- made expire_channels() use DLINK_FOREACH_SAFE 
	- made HELP use MFLG_HIDDEN when listing commands 

2002-10-23 20:35  bill

	* contrib/m_operspy.c, include/msg.h, src/parse.c: 
	- added MFLG_HIDDEN, to hide commands from stats m 
	- updated m_operspy.c to use MFLG_HIDDEN 

2002-10-23 18:16  bill

	* src/m_error.c: 
	- no longer show all opers every time a user issues the ERROR
	command.  too much potential for abuse, especially since the ip is
	not shown, and it can be done pre-registration.  

2002-10-23 15:12  bill

	* src/: channel.c, list.c: 
	- added additional sanity checking in expire_channels(), which fixes
	a core 
	- removed extra ; in make_dlink_node() 

2002-10-22 11:47  androsyn

	* src/ircd_parser.y: Wrap the fallback stuff in #ifdef IPV6 

2002-10-19 15:36  androsyn

	* src/adns.c: Make char *domain IPV6 only 

2002-10-19 15:35  androsyn

	* src/s_conf.c: Make fallback to ip6.int support the default 

2002-10-19 15:32  androsyn

	* include/res.h, include/s_auth.h, include/s_conf.h, src/adns.c,
	src/ircd_lexer.l, src/ircd_parser.y, src/s_auth.c, src/s_conf.c: 
	Added support for ip6.arpa and fallback support for ip6.int.  Also
	fixed a buglet where the server would spit out a failed host lookup
	message twice when compiled for IPv6.  

2002-10-17 10:06  bill

	* contrib/m_jupe.c: 
	- cosmetic fix.  if we're not a hub, tell user why we fail 

2002-10-16 20:20  bill

	* contrib/m_operspy.c: 
	- kludged small bug that allowed detection of m_operspy.c module 

2002-10-16 19:28  bill

	* modules/m_rehash.c: 
	- updated rehash usage notice 

2002-10-16 13:52  bill

	* modules/m_who.c, modules/core/m_message.c, src/channel.c: 
	- reverted un-needed previous m_who.c commit 
	- notices to user@server were being changed to PRIVMSG.  fixed.  
	- reset idle times following a succesful msg to user@server 
	- redid initilization of expiring_channels to be consistent with 
	  lazylinks_channels 
	- redid expire_channels() to walk the linked list forwards, and 
	  have channels be added to the list with dlinkAddTail() rather 
	  than dlinkAdd().  functionality should be the same, this is 
	  just cleaner.  

2002-10-15 21:18  db

	* modules/m_who.c: 
	- with --enable-efnet ptr was undefined in m_who.c 

2002-10-15 19:23  db

	* src/ircd_parser.y: Modifications as suggested by Michael
	<michael@phat-net.de> 

2002-10-13 18:26  bill

	* src/channel.c: 
	- typo in expire_channels() comment, pointed out by metalrock 

2002-10-12 03:39  db

	* modules/m_cryptlink.c, src/s_conf.c: 
	- "Unauthorised" vs. "Unauthorized" ircnet spells it the second way, 
	  so guess hybrid will too.  

2002-10-11 21:33  db

	* src/channel_mode.c: 
	- fixed another bug. When more than four modes happened locally in a
	  mode change the code was not placing a new + or - on the next line 
	  so ended up with "bare" modes with no + or - in front. fixed.  

2002-10-11 20:38  db

	* modules/m_ping.c, src/channel_mode.c: 
	- I hate server hostmasking. I really hate it.  
	  In any case, the match() in m_ping.c should have been an irccmp() 
	  ping is looking for an exact match on "me.name" not a wild card
	  match.  

2002-10-11 18:32  db

	* modules/m_rehash.c: 
	- I won't ask why rehash CHANNELS was there 

2002-10-11 12:57  db

	* contrib/m_force.c, src/channel.c, src/ircd.c, src/s_auth.c: 
	- fixed bogus expiry code 
	- fixed typo in s_auth.c 

2002-10-10 15:17  bill

	* include/channel.h, include/channel_mode.h, include/tools.h,
	src/channel.c, src/ircd.c: 
	- redid persistent channels 

2002-10-10 11:49  androsyn

	* src/: channel_mode.c, client.c, hash.c, motd.c, resv.c, s_auth.c,
	s_conf.c, s_serv.c, scache.c, whowas.c: More strlcpy() cleanups. 
	Also fixed a buffer overflow.  

2002-10-10 11:30  androsyn

	* src/s_user.c: Clean up a number of strlcpy()'s that have magic
	numbers stuck in them 

2002-10-10 08:44  db

	* src/s_user.c: REALLEN + 1 as spotted by adx 

2002-10-09 09:59  androsyn

	* modules/core/m_server.c: Move this allocation down a bit.  

2002-10-09 08:08  db

	* contrib/m_force.c, modules/core/m_server.c, src/channel.c,
	src/client.c, src/linebuf.c: 
	- as noted by adx. There were a few unnecessary checks for NULL
	  pointer as we already have called outofmemory(), its pointless.  
	  adx also spotted an unfreed server struct.  

2002-10-08 14:06  db

	* src/channel.c: 
	- an oopsies here. if we have a zero persist time, then the channel 
	  disapears immediately if no one is left in it.  

2002-10-07 17:23  db

	* modules/m_motd.c: 
	    With hide_servers=yes and disable_remote=no, the servername is
	    removed from the 312 numeric when you /whois nick, but you can
	just do /motd nick and see the server they are on. This patch fixes
	that vulnerability...  ...  wiz -- Jason Dambrosio       | Software
	Engineer     |    "It's a good thing." ITS Solutions, Inc.   | 
	808.372.6823          |         -- Martha Stewart 

2002-10-07 10:03  bill

	* modules/m_ping.c: 
	- repeat of previous fix 

2002-10-06 08:02  bill

	* modules/m_ping.c: 
	- fixed logic error in ms_ping() 

2002-10-05 17:14  androsyn

	* modules/m_who.c: Fix a bug in WHO that would leak a channel the
	user was in regardless of +s/+p or +i modes.  

2002-10-03 21:18  db

	* src/hash.c: 
	- fixed comment in header. No coding change 

2002-10-03 08:33  bill

	* doc/convertconf-example.conf, doc/example.conf,
	doc/example.efnet.conf, include/s_conf.h, modules/m_info.c,
	modules/m_join.c, modules/core/m_nick.c, src/channel.c,
	src/ircd_lexer.l, src/ircd_parser.y, src/s_conf.c: 
	- added channel {} config entry 'oper_pass_resv', allows opers to
	pass RESVs.  suggested by DrmWEaver 

2002-10-02 16:09  bill

	* contrib/m_operspy.c, src/s_conf.c: 
	- redid operspy who to emmulate actual who 
	- added operspy topic 
	- fixed small oversight in oper_privs_as_string with nick_changes =
	no; 

2002-10-01 19:13  bill

	* contrib/m_jupe.c: 
	- WALLOPS warning broadcast to remove servers used oper as source,
	changed to server 

2002-09-24 09:33  bill

	* contrib/README: 
	- added m_operspy.c to contrib/ notes 

2002-09-19 22:31  db

	* include/event.h, src/event.c: 
	- major major bug here. There is the potential of overflowing 
	  the event_table[]. Range checking was not being done. <g> 

2002-09-19 09:14  bill

	* INSTALL, contrib/m_opme.c, modules/m_connect.c: 
	- added fbsd note to ipv6 install notes 
	- made OPME send LOCOPS rather than WALLOPS for &channels 
	- fixed potential leak of hub IP 

2002-09-18 21:22  bill

	* modules/: m_unkline.c, core/m_message.c: 
	- another speed enhancement noted by lee 
	- change ungline notice to be consistent with undline and unkline 

2002-09-18 20:11  bill

	* include/send.h, modules/m_who.c, modules/core/m_message.c,
	src/send.c: 
	- fixed compiletime error when ANONOPS was disabled 
	- fixed @# notices to not echo back to sender 
	- removed redundant if()s in sendto_list_local() and
	sendto_list_local_butone() (thanks to ratbox for this one) 

2002-09-17 20:23  lusky

	* include/patchlevel.h: 
	- rev patchlevel to 7rc4 

2002-09-16 19:13  db

	* tools/rsa_respond/: README, respond.c: applied Wendys patch to
	rsa_respond to allow epic to work properly 

2002-09-11 15:01  db

	* modules/: m_kline.c, m_testline.c: 
	- ok I goofed and forgot about these modules 

2002-09-11 08:27  db

	* RELNOTES, include/hostmask.h, src/client.c, src/hostmask.c,
	src/s_bsd.c, src/s_conf.c: 
	- tiny fix to speed up kline processing slightly. Instead of
	  checking for I lines as well as klines from find_kill(), only check
	  for klines. This adds find_kline_conf() to hostmask.c, I also
	  changed find_dline() to find_dline_conf() for consistency.  Noted by
	Lee Hardy (The goat man) 

2002-09-10 19:24  db

	* src/channel.c: 
	- fix bug +I+ introduced in invites. I hate !ptr logic.  

2002-09-10 12:58  db

	* modules/: m_oper.c, core/m_nick.c: 
	- This is the better fix for the ~ nick bug. Look at
	  clean_nick_name() in hybrid-6 this fix duplicates the behaviour of
	hybrid-6 clean_nick_name better.  

2002-09-10 11:50  androsyn

	* modules/core/m_nick.c: Fix another NULL nick bug that Lee found 

2002-09-09 19:25  db

	* src/hostmask.c: 
	- conf->status not conf->flags for CONF_ILLEGAL 

2002-09-09 06:43  db

	* src/: ircd_parser.y, s_conf.c, s_log.c: 
	- having ircd_parser.y put a string into ->host, then having s_conf
	  immediately moving it from host to name,just seemed too silly for
	  me. (conf_add_x_conf) Also cleaned up some style.  

2002-09-09 06:32  db

	* modules/m_oper.c: 
	- fixed typo umodes not umode 

2002-09-08 20:05  db

	* modules/m_oper.c: 
	- source_p->umode not source_p->flags, not that it seems to matter.  
	  tbh, I don't think ms_oper() is ever ever called.  

2002-09-08 14:09  bill

	* contrib/m_operspy.c: 
	- fixed non-oper-issued to properly respond with Unknown command 
	  side note: there should be a way for a msgtab-triggered function
	  to access the command that triggered it 

2002-09-06 23:34  androsyn

	* src/channel.c: This needs to be TOPICLEN+1, otherwise we'll chop
	the last byte off.  We already allocate TOPICLEN+1 so..  

2002-09-06 19:18  db

	* RELNOTES: 
	- updated release notes with bugs fixed since last release 

2002-09-06 12:37  db

	* include/s_log.h, modules/m_challenge.c, modules/m_oper.c,
	src/s_log.c, src/send.c: 
	- fixed bug with operlog and foperlog handling. The ConfigFile
	  entries were being treated as char filename pointers, instead of
	  strings.  There was missing log_failed_oper() code.  
	  log_oper() code was not being called when it should have been.  

2002-09-05 08:07  db

	* modules/m_whois.c: 
	- fixed /whois * bug. minor bug, but technically wrong. when doing a
	  /whois * it missed the fact it was successful, and promptly whinged
	  about there being no user *.  

2002-09-05 07:06  db

	* src/: Makefile.in, channel.c, class.c, client.c, s_conf.c,
	send.c: 
	- convert these to use DLINK_FOREACH DLINK_FOREACH_SAFE 

2002-09-04 23:05  db

	* modules/: m_accept.c, m_close.c, m_knock.c, m_who.c, m_whois.c: 
	- converted a pile of for() to DLINK_NEXT 
	- cleaned up m_who (idea from Androsyn) 

2002-09-04 19:48  db

	* modules/m_gline.c, src/s_gline.c: 
	- If a local oper votes twice on a gline, don't 
	  do the send-realops, don't send it off of the server, just notice
	  the oper and continue.  

2002-09-04 18:30  db

	* include/s_stats.h, src/s_stats.c: 
	- removed another never used statistic. It wasn't used in hybrid-6
	either <g> 

2002-09-04 18:10  db

	* include/s_stats.h, modules/m_stats.c, modules/m_trace.c,
	src/s_gline.c, src/s_stats.c: 
	- removed statistics variables never ever used (udp and local
	  client) Early versions of hybrid (based on irc2.8) had udp ping port
	  which was removed.  This is obviously no longer needed.  
	- re-worked m_stats to separate stats g from stats G, pending glines
	  vs. placed glines also reworked the style. Its a PITA fixing the
	style, but ever so much easier for editing...  
	- cleaned up style in m_trace.c also started introducing
	  DLINK_FOREACH. It does not change the code at all, its just a macro.
	No point doing it all at once.  

2002-09-03 14:30  db

	* contrib/m_whois.c: 
	- As pointed out by Lee, fix server hide 

2002-09-03 10:15  db

	* src/channel_mode.c: 
	- allow more than four "simple modes" i.e. +isntp but allow only 
	  one per. i.e. only one +i is allowed, only one -p etc. this
	  matches behaviour of hybrid-6 

2002-09-03 07:44  bill

	* contrib/m_operspy.c: 
	- final cleanups 
	- added warning for use 
	- changed copyright to primarily me, so that no one else gets blamed
	for this thing =) 

2002-09-03 07:27  bill

	* contrib/m_operspy.c: 
	- fixed compiletime warnings 

2002-09-03 04:24  db

	* src/messages.tab: 
	- missing ':' (I thought I fixed this already...) 

2002-09-02 22:43  bill

	* contrib/: Makefile.in, m_operspy.c: 
	- added a neat little toy that I made tonight.  extreme caution
	  should be exercised when using this module.  
	- modified Makefile to compile operspy automatically 

2002-09-01 23:34  db

	* src/s_conf.c: 
	- ircnet spells it "unauthorized" so I guess we should too.  

2002-09-01 23:06  db

	* contrib/m_whois.c: 
	- fixed stupid bug in contrib m_whois.c 
	  check entire if() for MyConnect() first, this means the glob flag 
	  is useless. cleaned up.  

2002-09-01 22:34  db

	* contrib/README, modules/m_gline.c, modules/m_join.c,
	src/channel_mode.c, src/s_auth.c: 
	- strengthened warning in README in contrib 
	- cleaned up logic in m_join.c to be somewhat saner 
	- burst proper channel modes in m_join for persistent channels 
	- removed superflous MODE when the SJOIN can do it anyway 
	- chm_simple() was missing mode_limit check, thus allowing clients 
	  to core the server with a pile of +nt-nt+nt etc.  
	- commented s_auth.c madness better 
	- corrected style in s_auth.c 

2002-08-28 11:13  db

	* src/channel_mode.c: 
	- committed fix as spotted by lee hardy, I also commented a function 
	  to make it clear 

2002-08-28 10:00  androsyn

	* doc/README.cidr_bans, include/irc_string.h, src/channel.c,
	src/match.c: Add CIDR bans.  This does both ipv4 and ipv6 cidr bans 

2002-08-25 09:21  androsyn

	* adns/query.c: 
	  Fix a stupid bug that could have potentially overflowed the heap. 
	  This never could have happened though, because the zone we are
	  checking is always ip6.int.  

2002-08-24 21:30  lusky

	* doc/example.efnet.conf: 
	- corrected disclaimer in example.efnet.com to per Disciple's rant 

2002-08-24 21:19  lusky

	* src/client.c: 
	- client IPs on exits were always masked (fl) 

2002-08-22 20:30  db

	* modules/m_whois.c: 
	- m_whois was also wrong.  
	  same reasons as m_nick.  

2002-08-22 19:26  db

	* modules/core/m_nick.c, src/parse.c: 
	- the parse fix is incorrect. really that entire parser needs to be 
	  torn apart and re-thought/re-written. *sigh* the protocol
	  apparently =relies= upon empty parv[1] in some cases! we cannot
	  simply blast it away as the original fix did. m_nick now checks
	  using BadPtr that parv[1] is not NULL or parv[1][0] != '\0' .  
	  I bet there are other functions that should do the same thing.
	  *ugh* 

2002-08-22 16:08  db

	* src/tools.c: 
	- I typoed it here too 

2002-08-22 16:06  db

	* include/tools.h: typoed -> as _ 

2002-08-22 14:33  db

	* include/tools.h, src/tools.c: make tools.h match tools.c and
	correct a bug in dlinkmove 

2002-08-22 09:08  db

	* src/s_user.c: 
	- fixed typo which had 'S' (capital S) instead of lowercase 's' 
	  reported by Justin Hammond 

2002-08-21 19:01  lusky

	* src/parse.c: 
	- check for null arg after : 

2002-08-20 22:58  lusky

	* TODO: 
	- Test commit for new cvsweb 

2002-08-20 19:01  lusky

	* RELNOTES: 
	- Updated RELNOTES for rc3 

2002-08-20 12:25  db

	* src/channel_mode.c: 
	- more cleanups 

2002-08-20 11:03  androsyn

	* src/hostmask.c: Set the default ipv6 bitmask to 128 

2002-08-20 09:41  db

	* include/channel.h, include/patchlevel.h, include/s_conf.h,
	include/tools.h, src/channel.c, src/channel_mode.c, src/client.c,
	src/s_conf.c, src/tools.c: 
	- fixed ipv6 hash klines 
	- cleaned up for() loops with macro 

2002-08-19 22:49  db

	* include/s_conf.h, src/client.c, src/s_conf.c: 
	- ip_hash() has to know whether its IPV4 or IPV6 form of ip 
	  so this has to be passed all the way down.  

2002-08-19 18:32  db

	* contrib/m_whois.c, include/numeric.h: 
	- included RPL_WHOISACTUALLY in numeric.h 
	- modified contrib version of m_whois.c to use RPL_WHOISACTUALLY 

2002-08-19 18:02  db

	* include/patchlevel.h, src/channel_mode.c, src/messages.tab: 
	- added 338 to messages.tab 
	- add some buffer overflow checks to channel_mode.c 

2002-08-18 23:42  androsyn

	* src/s_conf.c: A slightly less retarded version of hash_ip() 

2002-08-18 23:06  db

	* src/hostmask.c: 
	- cosmetic cleanup. wrapped declarations make my skin itch.  

2002-08-18 22:23  db

	* contrib/: Makefile.in, README, m_whois.c: Added Gozems m_whois.c
	to contrib. It looks better than ours, but we have to wait until
	more testing is done before making it the official m_whois, so it
	will have to wait until 7.1 

2002-08-17 00:16  a1kmm

	* modules/m_oper.c: 
	- Re-add the code to look for oper confs by IP as opposed to by
	host.  

2002-08-16 22:04  lusky

	* TODO: Test commit, new repo should be working now.  

2002-08-16 21:16  lusky

	* TODO: final test, i hope 

2002-08-16 20:48  lusky

	* TODO: please work! 

2002-08-16 20:35  lusky

	* TODO: test 

2002-08-16 20:27  lusky

	* TODO: test 

2002-08-16 20:25  lusky

	* TODO: another test 

2002-08-16 20:15  lusky

	* TODO: another test 

2002-08-16 20:10  lusky

	* TODO: test commit 

2002-08-16 19:01  lusky

	* TODO: another test commit 

2002-08-16 18:41  lusky

	* TODO: test commit to hybrid7 tree 

2002-08-16 04:07  db

	* modules/m_oper.c: 
	- thats a major stupid. spotted by wiz/stu 

2002-08-15 20:16  lusky

	* include/patchlevel.h: 
	- revved patchlevel to 7rc2 

2002-08-15 12:49  db

	* include/numeric.h: 
	- last minute update. add some documentation for numerics 
	  from other networks. courtesy Kev and numeric.h from ircu.  

2002-08-15 11:44  db

	* RELNOTES: 
	- updated release notes. There are a few other changes we made but 
	  cannot remember them.  

2002-08-15 08:00  adx

	* modules/: m_cjoin.c, m_list.c, m_names.c, m_whois.c, m_whowas.c,
	core/m_kick.c: Patch against messages like 401  :No such
	nick/channel (without nickname specified) 

2002-08-15 07:15  db

	* modules/m_cryptlink.c, modules/m_gline.c, modules/m_kline.c,
	modules/m_pong.c, src/client.c, src/hash.c, src/ircdauth.c,
	src/s_conf.c, src/s_serv.c, src/s_user.c, src/scache.c: 
	- pile of corrections to strlcpy() use. the size includes the null
	  byte.  This was caught by bill. I have done a quicky one pass review
	  while applying the patch. need another review.  

2002-08-15 06:32  db

	* src/ircd_parser.y: 
	- patch submitted by adx to get rid of some compile warnings 

2002-08-15 00:32  db

	* src/s_serv.c: Came across some code that has hard coded timeouts
	instead of the CONNECTTIMEOUT, so I thought I'd let you know and
	include a .diff for your convenience :) 
	
	...  
	
	Stuart Walsh - stu@ipng.org.uk IPng UK      - info@ipng.org.uk -
	http://ipng.org.uk 

2002-08-13 12:35  db

	* modules/m_oper.c: 
	- clean up formatting, compress an if 

2002-08-12 19:23  db

	* doc/example.efnet.conf: 
	- bunch of fallacies in this document corrected.  
	
	  NUMBER one, a reconnect time of five minutes on efnet WILL cause 
	  nick collides.  
	  NUMBER two, a longer ping time is not a help for a client or
	  server as it means more possibility for ghosting etc.  
	  NUMBER three, a vchan cannot possibly cause any problem at all on
	  efnet except look "weird" to the rest of the network.  

2002-08-12 12:06  db

	* modules/m_info.c: 
	- remote info is sent for a reason.  
	  remote admins need to see whats on another server. Perhaps this 
	  should be limited to an IsAdmin() 

2002-08-12 09:09  androsyn

	* src/channel_mode.c: The send_oplist prototype was wrapped in the
	wrong ifdef 

2002-08-11 08:13  androsyn

	* src/send.c: Undo that last commit..  

2002-08-11 07:46  androsyn

	* src/send.c: Fixed a off by one error in send_trim().  If you are
	using indexes remember you start counting at 0 NOT 1 

2002-08-10 19:29  db

	* doc/example.efnet.conf: 
	- disable persistent channels in the efnet conf example 
	  due to some slight synchronisation problems.  
	- reworded slightly "knock" wording.  
	- fixed wide line 

2002-08-09 08:56  bill

	* src/s_user.c: Submitted by:	Lee H 
	- erm yeah, spoof spoofed users, not everyone.  

2002-08-08 16:58  wcampbel

	* src/channel_mode.c: Missed a change from before 

2002-08-08 16:52  wcampbel

	* src/channel_mode.c: Fix for bans, spotted by users on irc6.qeast
	and irc.ipv6.homelien.  This would cause the ban to have to be
	issued twice in order for the ban to take effect.  Unbans were fine.  
	
	Submitted by:	Lee 

2002-08-08 10:45  bill

	* src/: client.c, s_user.c: 
	- with HIDE_SPOOF_IPS on, mask the ip in the client
	connect/disconnect notice 

2002-08-08 08:43  bill

	* modules/m_join.c, src/s_conf.c, src/s_user.c: Submitted by:	Lee H
	<lee@leeh.co.uk> Reviewed by:	me Approved by:	Lee H <lee@leeh.co.uk> 
	- fixed inverted IsMember() 
	- added lee's gline exemption patch.  this should fix it.  

2002-08-07 16:27  androsyn

	* TODO: test commit 

2002-08-07 14:12  androsyn

	* TODO: test commit..ignore 

2002-08-07 10:59  androsyn

	* modules/m_join.c: Patch from adx, basically don't send any
	message about a user being in too many channels if they attempt to
	rejoin one they are already on.  

2002-08-07 09:53  bill

	* modules/m_kline.c: 
	- cosmetic fix to temporary kline notice 

2002-08-06 17:26  androsyn

	* src/linebuf.c: I thought it was broken because of my stupidity..  

2002-08-06 17:24  androsyn

	* src/linebuf.c: Back out my last linebuf patch..  

2002-08-05 09:30  androsyn

	* src/linebuf.c: This *should* fix linebuf_copy_raw() to work
	correctly.  Lets hope those old issues with ziplinks don't show up
	again.  

2002-08-03 15:42  androsyn

	* src/balloc.c: Make BlockHeapAlloc() call outofmemory() instead of
	returning NULL..we really want to die if we have a failure here like
	we do with MyMalloc() 

2002-08-03 15:33  androsyn

	* src/client.c: Added a defensive NULL ptr check 

2002-08-03 14:45  androsyn

	* src/linebuf.c: Add a NULL pointer check to linebuf_allocate 

2002-08-02 14:58  leeh

	* modules/m_knock.c: 
	- moved knock-disable to +p, +s doesnt make sense.  

2002-08-01 06:55  leeh

	* RELNOTES, modules/m_kline.c: 
	- updated relnotes 
	- adxs fix for klines such as @foo and foo@ 

2002-08-01 06:22  leeh

	* src/channel_mode.c: 
	- allow +/-b desync modes that originate on remote servers to help
	  stop problems with desyncs.  

2002-07-31 15:52  leeh

	* contrib/m_ltrace.c: 
	- fixed ltrace wrt HIDE_SPOOF_IPS 

2002-07-31 15:52  db

	* src/parse.c: 
	- I will double review this when I get back from concert :-) 
	- Anyway, this should stop dumping over the end of an input buffer 
	  I'll test later...  
	- Also even if we don't log local clients, we should log remote IMO 

2002-07-31 11:17  leeh

	* modules/m_gline.c: 
	- trigger glines using the original reason.  

2002-07-31 10:35  leeh

	* modules/m_gline.c: 
	- if a user requests a gline for "@host", use "*@host" 

2002-07-31 10:30  leeh

	* src/hostmask.c: 
	- dont show kline exempt status to remote opers.  
	- show spoofed I:, just put the u@h as user@255.255.255.255 

2002-07-31 09:24  leeh

	* modules/: m_admin.c, m_away.c, m_invite.c, m_join.c, m_links.c,
	m_lusers.c, m_motd.c, m_names.c, m_stats.c, m_whois.c: 
	- allow opers to join channels on split to be consistent with hyb6
	(ugh) 
	- audited the ms_*() functions for stuff coming from hacked servers
	  that should never happen.  

2002-07-30 04:12  leeh

	* src/parse.c: 
	- return -1 on error from client, -2 on error from server so we dont
	  log everytime a client sends a command with invalid parms.  

2002-07-29 18:43  db

	* src/: packet.c, parse.c: 
	- cleaned up style in packet.c 
	- cleaned up style in parse.c 
	- added logging of complete input buffer if insufficient parms
	  received.  We might have a bogus \0 or something, we need to see
	what we have.  

2002-07-29 17:47  androsyn

	* src/channel_mode.c: The declaration on dir probably shouldn't be
	wrapped in #ifdef HALFOPS 

2002-07-29 17:31  greg

	* src/client.c: gcc -I../include -I../adns   -I/usr/local/include
	-O2 -g -ggdb -DNDEBUG -DIRCD_PREFIX=\"/usr/local/ircd\" -c client.c 
	client.c: In function `dead_link': client.c:1170: `to' undeclared
	(first use in this function) client.c:1170: (Each undeclared
	identifier is reported only once client.c:1170: for each function it
	appears in.) *** Error code 1 
	
	Replaced to with client_p.  
	
	Submitted by:	Random EFNet (l)user Reviewed by:	make all Approved
	by:	goats 

2002-07-28 18:08  androsyn

	* src/channel_mode.c: Fill in the UID in the mode_changes array..  

2002-07-28 17:27  androsyn

	* src/channel_mode.c: Allow for -o+o nick nick as well as -h+h and
	-v+v 

2002-07-28 16:43  leeh

	* src/: channel_mode.c, client.c: 
	- replaced find_client() calls with find_chasing() 

2002-07-28 14:37  leeh

	* src/channel_mode.c: 
	- removed some unused vars.  

2002-07-28 12:19  leeh

	* include/channel_mode.h, src/channel_mode.c: 
	- commited the first half of the desync fixes.  this will allow
	  users to set +b-b on channels.  

2002-07-27 12:51  androsyn

	* src/s_bsd.c: Don't kick out the errno, just the result of the
	strerror() 

2002-07-27 06:27  leeh

	* modules/core/m_kill.c: 
	- we were testing IsOperGlobalKill instead of IsOperK in m_kill.c
	  which prevented "Ko" opers being able to kill local users.  reported 
	  by kenny <kenny@psdnetworks.co.uk> 

2002-07-26 09:37  leeh

	* RELNOTES, modules/core/m_nick.c, src/parse.c: 
	- updated RELNOTES 
	- added an ilog() when we drop a server for invalid params 
	- extended the 'protection' to ms_nick(), which has varying degrees
	  of parameters (3 for nickchange, 9 for introduction) 

2002-07-26 07:03  leeh

	* src/channel_mode.c: 
	- commited by +eI anti-desync fixes.  

2002-07-22 18:00  db

	* src/channel_mode.c: 
	- correct bug where users were able to apply such lovely bans as 
	  !@ yes, thats right you saw it here first. bans and exceptions and
	  invexex you too can get one too by ordering a channel_mode.c from
	  K-TEL ONLY the best! 

2002-07-22 15:23  leeh

	* contrib/help/opers/kline, help/opers/kline: 
	- documented oper reason.  

2002-07-21 22:08  db

	* src/: ircd_lexer.l, s_conf.c: 
	- This fixes the \" case in QSTRING. (an admin wanted this one) 
	  This allows you to set email as "db@db.net" for example.  

2002-07-21 17:40  leeh

	* modules/m_info.c: 
	- wrapped the "Compiled on" info in #ifndef EFNET 

2002-07-21 14:06  leeh

	* src/packet.c: 
	- parse the data first then check for excess flood, else the whole
	  grace period becomes useless.  

2002-07-21 10:53  leeh

	* src/packet.c: 
	- the second half of my flood fixes that splits parsing into three 
	  loops instead of two.  

2002-07-21 10:15  db

	* src/: ircd_lexer.l, s_conf.c: 2002-07-21 17:43:31+0200, gozem -> 
	> Included is two patches which makes tracking errors in your
	ircd.conf a bit > easier. First one adds a print of which .include
	we are in and formats the > error in yyerror() a little better.
	Second gives you a warning when using > #include instead of .include
	so don't have to stratch your head wondering > why your file is
	ignored.  > > Output for the first patch is now: > -server-
	"opers.conf", line 185: parse error:  admin_is_a_monkey = yes; > >
	And output from second patch: > -server- "file.conf", line 87: You
	probably meant '.include', skipping: #inclu de "links.conf" > >
	There is a drawback on the first patch. Since we only know the full
	path to > the first file 'ircd.conf' the full patch will be
	displayed in the error.  > > > One more error/miss to report but not
	fixed. ircd_lexer.l ircd_parser.y > s_conf.c randomly uses ilog()
	and/or sendto_realops_flags() to report > errors. This means some
	errors get visable in ircd.log and some gets visable > for the opers
	online. Sometimes both. A wrapper funtion is needed that > always
	sends to both.  

2002-07-21 10:11  db

	* src/s_conf.c: 
	- pure and simple style fixes 

2002-07-21 09:17  leeh

	* modules/core/m_mode.c: 
	- should be checking parv[n-1][1] is \0, not [0] 

2002-07-20 21:55  a1kmm

	* src/: linebuf.c, packet.c: 
	- Kill unknowns/servers that send NULL in packets, and notify
	  clients that they are.  

2002-07-20 19:59  a1kmm

	* src/s_serv.c: 
	- Fixed a core with servers dying while they are being established.  

2002-07-20 08:51  leeh

	* include/packet.h, modules/m_invite.c, modules/m_oper.c,
	modules/m_time.c, modules/core/m_kick.c, modules/core/m_mode.c,
	src/packet.c: 
	- commited the first half of the floodcode fixes.  
	  - end the grace period in a few more places 
	  - raise the rate at which we parse commands above the level of
	    flooding to 2 per second 
	  - raise the burst level slightly 

2002-07-20 08:47  leeh

	* src/s_user.c: 
	- fixed a missing ( 
	- you cant just detach an oper conf if you dont put anything back in
	  its place else youre leaving a user with no class whatsoever, so
	  just dont detach the conf at all, as my patch does.  

2002-07-20 06:07  db

	* src/s_user.c: 
	- This fixes the deop of oper causing an oper to be tossed off the
	  server if they don't have a matching auth{} for their deopered
	  client.  Note that we have attached a new conf to the client
	  already, so this has to be removed in case they re-oper, else we
	  could end up with a link list of new confs. (unlikely an oper would
	be rude but still) 
	
	- cleaned up some style() return should always have a () 
	  function names should start at the left most char 

2002-07-20 03:07  leeh

	* modules/m_gline.c: 
	- fix to show oper or server already voted after the gline request.  

2002-07-19 08:51  androsyn

	* src/s_auth.c: Some extra paranoia in the auth_dns_callback code.  

2002-07-19 06:22  ejb

	* src/hostmask.c: 
	- commited gozem's patch to hostmask.c that should fix the 
	  ipv6 iline bug.  
	
	Submitted by:	Gozem <gozem@linux.nu> Reviewed by:	ejb db Approved
	by:	db 

2002-07-19 05:31  leeh

	* src/ircd.c: 
	- helps if I set split_users to the users splitcount and servers to
	  the servers splitcount, not the other way round..  

2002-07-19 03:56  leeh

	* modules/core/m_kill.c: 
	- bitchx determines foreign/local operkill based on the amount of
	  !'s in a path, so for remote kills send server!host!user!nick as
	path.  

2002-07-19 03:11  leeh

	* modules/core/m_kick.c: 
	- adxs fix to allow halfops to kick other halfops on -p channels, to
	  sync things up with +/-h.  

2002-07-18 21:34  ejb

	* src/parse.c: 
	- reworded invalid arguments message.  

2002-07-18 09:24  ejb

	* modules/core/m_server.c, src/parse.c: 
	- print more verbose notice for servers which send less arguments 
	  to a command than is required.  
	- drop local servers which do this.  
	- make m_server require 4 arguments, not 3.  

2002-07-18 08:43  db

	* src/parse.c: 
	- fixed typo 

2002-07-18 08:28  db

	* tools/convertconf.c: 
	- converted Q line was incorrectly using name= instead of nick= for 
	  nick jupes. Added code to convert channel jupes into channel= 

2002-07-18 02:49  leeh

	* tools/convertconf.c: 
	- missing a break; that broke things 

2002-07-18 00:12  db

	* src/: messages.tab, modules.c: 
	- This adds (core) to any module listed that is a core module 

2002-07-17 16:31  leeh

	* doc/challenge.txt: 
	- hwys updated challenge.txt 

2002-07-17 16:09  leeh

	* modules/m_version.c: 
	- wrapped 'T' in #ifdef IGNORE_BOGUS_TS 

2002-07-17 15:02  db

	* modules/m_help.c: 
	- fixed formatting 
	- use fbgets and friends not gets, we have them for a reason 
	- log path names of failures. having to use gdb to find a bogus path 
	  is silly.  

2002-07-17 06:58  leeh

	* src/s_conf.c: 
	- dont allow local admins to see ips in stats c if HIDE_SERVERS_IPS
	  is defined, only local admins would have been given the ip, noone
	else.  

2002-07-17 06:50  leeh

	* src/s_conf.c: 
	- I missed stats c when I did HIDE_SERVERS_IPS 

2002-07-16 15:30  db

	* tools/convertilines.c: 
	- end of an auth{} block should have a trailing ';' 
	  uncovered in the rc1 

2002-07-16 13:26  leeh

	* include/supported.h: 
	- fixed RPL_ISUPPORT to accurately report the status of halfops, +eI
	  and anonops 

2002-07-16 08:36  lusky

	* RELNOTES, include/patchlevel.h: 
	- revved patchlevel to rc1 

2002-07-16 03:35  leeh

	* INSTALL: 
	- added an efnut warning to INSTALL and noted the fact convertconf
	  wont touch I:, you need convertilines for it.  

2002-07-15 01:14  db

	* src/linebuf.c: 
	- one more time. somehow the wrong code got committed.  

2002-07-15 00:26  androsyn

	* modules/m_cryptlink.c: Fixed a bug where we would attempt to pass
	a NULL rsa key to RSA_size.  

2002-07-14 17:49  db

	* src/linebuf.c: 
	- This does things right, but has an icky goto...  

2002-07-14 16:41  db

	* src/linebuf.c: 
	- somehow some pre-increments got turned into post-increments 
	- size of a \r\n buffer is 2. (apparently) 

2002-07-14 15:11  leeh

	* contrib/m_opme.c: 
	- revert the accidental commit of m_opme done earlier..  

2002-07-14 15:00  db

	* src/linebuf.c: 
	- Don't try to work with a -1 index! 

2002-07-14 13:19  androsyn

	* src/: linebuf.c, send.c: Okay..lets try that again.  Changes for
	the goofy issue with va_list on Linux/Alpha and put a test inside
	#ifndef NDEBUG 

2002-07-13 21:10  androsyn

	* configure, autoconf/configure.in: Remove -W flags from the build
	for upcoming release 

2002-07-13 18:30  androsyn

	* Hybrid-team: Add scuzzy to Hybrid-team, he has helped us out with
	a lot of testing and debugging.  

2002-07-13 17:12  androsyn

	* configure: Try that one more time 

2002-07-13 15:58  androsyn

	* autoconf/configure.in, contrib/m_opme.c: Thats -DNDEBUG not
	-NDEBUG 

2002-07-13 15:54  androsyn

	* configure, autoconf/configure.in, include/memory.h: Disable
	asserts by default and fix a #endif in memory.h.  This should be it
	before -rc1 

2002-07-13 04:42  leeh

	* modules/core/m_server.c: 
	- squitting leaves when a non-hub introduces one is bad.  

2002-07-12 23:56  androsyn

	* modules/core/m_message.c, src/send.c: Make PRIVMSG and NOTICE
	send UIDs for prefixes, when possible 

2002-07-12 17:48  androsyn

	* src/client.c: Make dead_link exit message consistant 

2002-07-12 09:33  androsyn

	* include/tools.h: Forgot some more inlines 

2002-07-12 09:14  androsyn

	* include/balloc.h: Removed redudant #ifdefs 

2002-07-12 09:02  androsyn

	* include/tools.h: GCC called, it wanted its inline's back 

2002-07-11 20:29  joant

	* configure, autoconf/configure.in, include/tools.h,
	modules/m_kline.c, modules/core/m_server.c, servlink/servlink.c,
	src/channel_mode.c, src/motd.c, src/s_serv.c, tools/encspeed.c: 
	- Code cleanup thanks to Forte C v7 warnings.  
	- Order of CFLAGS changed in configure to fix Forte problem.  

2002-07-11 18:24  joant

	* src/channel.c: casting pointer arithmetic, better living through
	pointers 

2002-07-11 18:01  androsyn

	* modules/core/m_quit.c: Instead of saying Client Exit: say Quit:,
	to be a little more consistant with other networks 

2002-07-11 17:55  androsyn

	* src/send.c: Reorder some code so it will get inlined.  

2002-07-11 17:51  androsyn

	* include/s_conf.h, src/ircd.c, src/listener.c, src/s_conf.c: 
	Remove the #ifdef for PACE_CONNECT, we define it unconditionally
	anyways so...  

2002-07-11 17:43  androsyn

	* configure, autoconf/acconfig.h, autoconf/configure.in,
	include/balloc.h, include/client.h, include/ircd_defs.h,
	include/list.h, include/memory.h, include/setup.h.in, src/balloc.c,
	src/client.c, src/list.c, src/memory.c: Rip out the very, very ugly
	memdebug code..  

2002-07-11 16:42  androsyn

	* modules/m_accept.c: Missing semicolon 

2002-07-11 16:40  leeh

	* RELNOTES, doc/example.conf, doc/example.efnet.conf,
	include/parse.h, include/s_conf.h, modules/m_help.c,
	src/ircd_lexer.l, src/ircd_parser.y, src/parse.c, src/s_conf.c,
	tools/Makefile.in, tools/convertconf.c: 
	- updated RELNOTES with whatever it is ive done 
	- added ConfigFileEntry.use_help 
	- ripped remnants of fixklines from tools/Makefile.in 
	- some convertconf cleanups 

2002-07-11 16:32  androsyn

	* autoconf/configure.in, configure: Fixed formatting for
	./configure --help 

2002-07-11 08:27  leeh

	* modules/core/m_nick.c: 
	- allow unregistered connections to change the case of their
	nickname 

2002-07-11 08:01  leeh

	* configure, autoconf/configure.in: 
	- Joans configure fixes for forte 

2002-07-11 06:26  leeh

	* doc/example.conf, include/memory.h, include/tools.h: 
	- wrap the inlines in #ifdef __GNUC__, this should fix forte.  

2002-07-11 04:04  leeh

	* src/client.c: 
	- fixed an error with a Debug(), found by sofit <sofit@mail.bg> 

2002-07-11 02:23  androsyn

	* include/rsa.h: Add a newline to the end of rsa.h 

2002-07-11 02:17  androsyn

	* include/memory.h: Remove the inlines from memory.h that were
	giving forte c problems..  

2002-07-10 19:29  lusky

	* INSTALL, RELNOTES: 
	- fixing hybrid@ subscription instructions 

2002-07-10 03:34  leeh

	* configure, autoconf/configure.in, doc/example.efnet.conf: 
	- but my autoconf changes back :P 
	- fixed typo 

2002-07-10 01:35  androsyn

	* RELNOTES: Start updating RELNOTES for what *should* be -rc1 

2002-07-10 01:31  androsyn

	* include/ircd_defs.h: Update comments to note that TOPICLEN isn't
	set here anymore..  

2002-07-10 00:06  androsyn

	* configure, autoconf/acconfig.h, autoconf/configure.in,
	include/ircd_defs.h, include/setup.h.in: Make TOPICLEN configurable
	via autoconf 

2002-07-09 23:48  androsyn

	* configure, autoconf/acconfig.h, autoconf/configure.in,
	include/setup.h.in: Changes to configure for Forte C stuff also
	added a missing entry in acconfig.h for EFNET 

2002-07-09 17:05  leeh

	* configure, autoconf/configure.in, doc/Makefile.in,
	doc/example.conf, doc/example.efnet.conf, include/client.h,
	include/config.h: 
	- added a default efnet config submitted by Disciple.  
	- updated various places to reflect this 
	- added back #define TS5_ONLY 

2002-07-09 13:49  leeh

	* src/hostmask.c: 
	- dont show spoofed auth {} during HIDE_SPOOF_IPS 

2002-07-08 05:23  leeh

	* Hybrid-team, contrib/README: 
	- updated my nick and the README to include andros patch.  

2002-07-07 17:10  androsyn

	* contrib/: README.disable_identd, disable_identd.diff: Patch to
	disable identd requests 

2002-07-07 03:30  leeh

	* contrib/m_jupe.c: 
	- make_client() adds the new client to unknown_list, so we must
	  search and remove it 

2002-07-06 22:45  db

	* contrib/m_ltrace.c, modules/m_trace.c: 
	- m_ltrace.c was missing the previously global next_client_double() 
	  I've simply cut and pasted that code. That should shut up that
	  error.  
	- m_trace.c I simply tidied up the prototype, no need to split it
	into two lines.  

2002-07-06 15:25  lusky

	* include/patchlevel.h: 
	- revved patchlevel to beta18 

2002-07-06 15:20  leeh

	* contrib/m_tburst.c: 
	- bug in tburst, found by MoeBass 

2002-07-06 13:14  leeh

	* BUGS, RELNOTES, modules/m_kline.c: 
	- updated RELNOTES and BUGS 
	- fixed a truth val in m_kline.c 
	- updated my patch wrt the m_kline.c updates 

2002-07-06 09:58  db

	* modules/m_kline.c, src/hostmask.c, src/kdparse.c: 
	- This fixes non-redundant dlines for IPV4 at least. The IPV6 dline
	  code is still incomplete. I also fixed a number of style problems.  

2002-07-06 07:03  leeh

	* src/vchannel.c: 
	- we dont put ;'s on the end of if()s ;p 

2002-07-06 04:15  leeh

	* BUGS: 
	- updated BUGS with the multiple dline bug.  

2002-07-06 04:05  leeh

	* modules/m_ping.c: 
	- fixed ping for LL 

2002-07-04 16:21  leeh

	* contrib/m_jupe.c: 
	- unused var.  

2002-07-04 09:07  db

	* contrib/m_jupe.c: 
	- there is no way we are going to find a client struct we just
	  created on the unknowns list! 

2002-07-04 09:07  androsyn

	* modules/core/m_sjoin.c: The second half of that goofy spaces in
	SJOIN bug..  

2002-07-04 06:32  androsyn

	* contrib/m_jupe.c: If the length of a servername goes over
	hostlen, it surely is bogus.  

2002-07-04 06:13  androsyn

	* contrib/m_jupe.c: This seems to fix the jupe issue..  

2002-07-03 08:03  leeh

	* modules/m_who.c: 
	- fixed an issue with invisible users being shown in a /who output.  
	  this whole code needs a rewrite, but.  

2002-07-03 05:31  leeh

	* configure, autoconf/configure.in: 
	- retard proofing, it seems the concept of actually specifying a
	  param in --with-maxclients is beyond some people.  

2002-07-02 16:58  db

	* modules/core/m_message.c: 
	- fixed off by one error in too many recipients code in m_message.c 

2002-07-02 16:24  db

	* modules/core/m_message.c: 
	- fixed stupid bug I introduced with @# oops 

2002-07-02 15:25  db

	* modules/core/m_message.c: 
	- fix redundant nick/message handling. duplicate nicks/messages
	  should simply be ignored. i.e. /msg #channel,#channel hi 
	  results in "hi" to #channel 
	- fix so it properly reports too many targets.  

2002-06-28 21:34  db

	* include/client.h, modules/m_trace.c, modules/core/m_message.c,
	src/client.c: 
	- in fixing m_privmsg.c I noticed a function it used was only used
	  by m_privmsg.c moved it from client.c into m_privmsg.c (I bad, I
	  couldn't help it) I also noticed a function used in m_trace.c only
	  used in m_trace.c, so moved that as well.  

2002-06-28 11:48  db

	* modules/core/m_message.c: 
	- fixed other style problems, removed unnecessary casts 

2002-06-28 11:18  db

	* modules/core/m_message.c, src/client.c, src/messages.tab: 
	- ERR_TOOMANYRECIPIENTS 407 reply was bogus we no longer give 
	  actual number of recipients actually processed.  
	- Fixed a few style problems, and removed unnecessary casts 

2002-06-27 08:16  leeh

	* include/config.h, src/client.c: 
	- well fix the QS stuff in 7.1 (agreed with andro) 

2002-06-26 19:14  androsyn

	* src/client.c: Got the logic on that assert() backwards..how
	embarrassing 

2002-06-26 17:01  androsyn

	* src/client.c: Those should be source_p not client_p 

2002-06-26 16:38  leeh

	* modules/: m_kline.c, m_unkline.c: 
	- synced these up to show the same 

2002-06-26 15:01  androsyn

	* include/config.h, src/client.c: Minor little changes regarding
	the value that we should use for pending remote exits 

2002-06-26 14:35  leeh

	* src/client.c: 
	- exit 15000 clients at once if compiled for efnut.  

2002-06-26 14:16  androsyn

	* src/client.c: Fixed the issue with quit storms making the server
	completely unresponsive.  Basically what we do now is, add the
	clients that need exited to a linked list then have an event that
	will exit them 1500 at a time, rather than trying to exit say, 50000
	clients at once.  

2002-06-26 07:20  androsyn

	* src/client.c: Add some assert()'s to exit_client() and changed
	the error message for abort_list clients from "Dead link" to "Write
	error: connection closed" 

2002-06-26 05:16  leeh

	* modules/m_unkline.c: 
	- consistency with hyb6 and /kline, only use sptr->name in the
	  notice, not n!u@h{o} 

2002-06-25 20:05  androsyn

	* include/ircd.h, include/s_log.h, src/ircd.c, src/ircd_signal.c,
	src/s_conf.c, src/s_log.c: Make ircd.log close and open itself on
	rehash or SIGHUP.  Also clean up some formatting 

2002-06-25 16:06  leeh

	* doc/: example.conf, index.txt: 
	- doc updates 

2002-06-24 15:06  leeh

	* modules/m_join.c: 
	- the juped channel notices wandered off.  

2002-06-24 11:12  leeh

	* modules/core/m_server.c: 
	- exit the server that introduced the existing server to us always.  

2002-06-23 21:28  db

	* src/s_serv.c: 
	- pure consistency in naming. use local_server_p to keep it obvious.  

2002-06-23 16:02  leeh

	* src/send.c: 
	- removed a spurious IsClosing() that broke sending error messages
	  et al to the client.  

2002-06-23 02:22  leeh

	* contrib/help/opers/rehash, help/opers/rehash: 
	- there is no rehash help (Hwy) 

2002-06-22 15:39  db

	* src/s_serv.c: 
	- same bug was in add_lazylinkchannel() grrr 

2002-06-22 14:23  db

	* src/s_serv.c: 
	- duh. make the comments agree with the arguments to the function.  

2002-06-22 13:27  db

	* src/s_serv.c: 
	- add_lazylinkclient had the wrong assert. Its not a client in the 
	  first arg, it should always be a locally connected leaf server.  
	  Changed comments and parm names to make this clear, changed bogus
	  assert.  

2002-06-20 19:33  lusky

	* include/patchlevel.h: 
	- revved patchlevel to beta17 

2002-06-20 11:00  leeh

	* include/config.h, src/s_conf.c: 
	- dont allow spoof notices if HIDE_SPOOF_IPS.  

2002-06-19 13:49  leeh

	* modules/m_trace.c: 
	- audited the IP stuff in relation to spoofing and /trace 

2002-06-19 13:39  leeh

	* RELNOTES, modules/m_trace.c, src/parse.c: 
	- updated RELNOTES 
	- dont show an IP in /trace if HIDE_SPOOF_IPS.  

2002-06-19 13:26  leeh

	* src/client.c: 
	- I think ive got this right, hide the IP for servers always if
	  defined hide it for spoofs only if SHOW_IP (HIDE_IP would give the
	spoofed host) 

2002-06-19 13:17  leeh

	* include/config.h, include/config.h.dist, src/client.c: 
	- I think I was on craq when I did the HIDE_SERVERS_IPS define. 
	fixed it.  
	- added HIDE_SPOOF_IPS, for efnut.  
	- fixed the dead link/sendq notice for servers 

2002-06-18 12:15  leeh

	* README.PLATFORMS: 
	- update julifuq's contact info.  

2002-06-18 10:34  androsyn

	* src/: channel.c, channel_mode.c: Fixed that stupid space showing
	up in SJOINS 

2002-06-18 10:25  androsyn

	* src/channel.c: Document the goofy mysterious SJOIN space 

2002-06-17 05:32  leeh

	* src/tools.c: 
	- aaaaaand in tools.c 

2002-06-16 19:57  db

	* src/s_bsd_devpoll.c: -missing include (reported by Wendy) 

2002-06-16 19:54  db

	* include/tools.h: in tools.h we had: m->next = NULL; m->next =
	list->head; 
	
	That was daft. (spotted by Lee, but we forgot to fix earlier) 
	removing the redundant assign might speed things up slightly.  

2002-06-16 10:23  db

	* src/balloc.c: 
	- fixed a number of style problems. We want function names to begin 
	  at first char.  
	  we want to be consistent with if (foo) { oneline; } etc.  
	  and we want to be consistent with return needing () or not.  
	- fixed bug with elemsize causing odd address SIGBUS failures esp.
	on solaris.  

2002-06-16 09:31  leeh

	* modules/.cvsignore, modules/.depend, modules/Makefile.in,
	src/.depend, src/Makefile.in: 
	- patch via hwy: 
	  Id is not needed in .depends, when you lose the dependency files
	  (from that .cvsignore) you'll have problems recreating them.  

2002-06-16 07:55  leeh

	* configure, autoconf/configure.in: 
	- from hwy: 
	  The enclosed patch fixes the detection of nanosleep(), when it's 
	  non-existant, it'll actually enable select for the delay loop.  

2002-06-15 16:07  leeh

	* include/config.h: 
	- define HIDE_SERVERS_IPS by default for efnut.  

2002-06-15 06:09  leeh

	* modules/m_stats.c: 
	- hwys fix to correctly show oper/admin status on stats p.  

2002-06-15 05:33  leeh

	* contrib/README: 
	- nuked my old patches, added my shiny new one along with a readme.  

2002-06-15 00:35  androsyn

	* include/memory.h: Oops..I'll get this right :) 

2002-06-15 00:30  androsyn

	* include/memory.h, src/memory.c: Added inline versions MyMalloc
	and friends 

2002-06-15 00:24  androsyn

	* src/memory.c: Silly kids, realloc returns a void * not a char *.  

2002-06-15 00:19  androsyn

	* src/: fdlist.c, hook.c, hostmask.c, list.c, listener.c,
	s_bsd_kqueue.c, s_conf.c: Remove a few unneeded memset()'s as
	MyMalloc does this for us already.  Also cleaned up a few ugly
	looking things.  

2002-06-14 12:38  leeh

	* include/client.h: 
	- unused variable, splat.  

2002-06-14 12:18  leeh

	* doc/: convertconf-example.conf, example.conf: 
	- doc updates, anonops isnt broken 

2002-06-14 10:19  leeh

	* include/channel_mode.h, src/channel_mode.c: 
	- adxs patch to fix +a and numerous channel_mode.c bugs 
	
	  as far as im aware, this fixes all of the problems with +a, but we
	  need more testing.  

2002-06-12 12:29  db

	* src/: ircd_parser.y, s_conf.c: 
	- moved yy_aconf back into ircd-parser.y, its not needed in s_conf.c
	at all 

2002-06-12 11:57  androsyn

	* src/sprintf_irc.c: Make %lu spit out a 0 for 0 instead of
	000000000 

2002-06-11 18:40  androsyn

	* src/s_user.c: Revert that last change..i'm not thinking :P 

2002-06-11 17:53  androsyn

	* src/s_user.c: Make that not so ugly 

2002-06-11 14:37  leeh

	* src/s_user.c: 
	- aaaaand to unidented clients too.  this is slightly unoptimal,
	but.  

2002-06-11 13:29  leeh

	* src/s_auth.c: 
	- auth tweaks.  strip *all* ['s 
	  strip ~ and ^ from the beginning of the ident 

2002-06-10 18:49  androsyn

	* contrib/m_clearchan.c, contrib/m_force.c, contrib/m_ojoin.c,
	contrib/m_tburst.c, include/channel.h, src/channel.c: Fix contrib
	related topic things 

2002-06-10 18:42  androsyn

	* src/channel.c: Don't bother to free the topic if its not set 

2002-06-10 18:41  androsyn

	* src/channel.c: Free the topic if we are destroying the channel 

2002-06-10 18:39  androsyn

	* contrib/m_tburst.c, include/channel.h, modules/m_topic.c,
	src/channel.c: More of the topic changes 

2002-06-10 18:02  androsyn

	* include/channel.h, include/config.h, modules/m_join.c,
	modules/m_list.c, modules/m_topic.c, src/channel.c, src/s_serv.c: 
	Allocate topics from the block heap instead of being part of struct
	Channel 

2002-06-10 17:55  androsyn

	* src/s_user.c: Missed a random_ping 

2002-06-10 17:00  androsyn

	* include/client.h, modules/m_pong.c, src/s_user.c: Move
	random_ping into struct LocalUser where it belongs 

2002-06-10 16:56  androsyn

	* include/balloc.h, src/balloc.c: Remove an unnecessary member of
	struct MemBlock 

2002-06-09 05:03  leeh

	* contrib/README: 
	- updates to my temp-dline patch, itll now split tdlines/tklines
	  into four lists, those to check every minute, hour, day, week -
	  which should make them more efficient and help to cope with the
	  demand for longer tklines.  

2002-06-08 17:22  androsyn

	* src/client.c: We shouldn't call  remove_dependents if
	source_p->serv == NULL, why source_p->serv == NULL i'm not sure 

2002-06-07 16:38  leeh

	* src/s_serv.c: 
	- move the sendto_realops_flags() down till after the server is made 
	  so the IO doesnt trigger an exit for a server that doesnt have a 
	  cptr->serv yet.  

2002-06-07 16:37  androsyn

	* src/client.c: We could potentially add a client twice to the
	abort_list 

2002-06-07 16:13  leeh

	* contrib/m_force.c: 
	- err, forcejoin fixes.. cant remember what tho.  

2002-06-07 14:59  androsyn

	* src/hash.c: Remove a very hideous ugly stupid hack 

2002-06-07 07:22  leeh

	* contrib/m_force.c: 
	- diff by adx for forcepart param thingy 

2002-06-06 12:28  leeh

	* include/whowas.h: 
	- removed a duplicated id for scuzzy.  

2002-06-05 06:49  leeh

	* doc/example.conf: 
	- doc update, compressed is disabled by default.  

2002-06-03 22:30  androsyn

	* src/: ircd.c, modules.c: Set a default path for modules.  Also do
	not allow the user to specify a particular pathname of a module to
	load.  They should only be allowed to load modules in the search
	path.  Also reject things with ".." in them.  

2002-06-03 21:33  androsyn

	* include/hostmask.h: Add a newline to the end of the file to make
	recent versions of gcc shut up.  

2002-06-03 12:24  androsyn

	* adns/event.c, src/adns.c: Minor adns fixes.  

2002-06-03 11:54  androsyn

	* src/adns.c: Doh..left the TCP resolver turned on.  

2002-06-03 09:04  leeh

	* contrib/m_force.c: 
	- more contrib updates.  

2002-06-03 08:42  leeh

	* contrib/: m_force.c, m_ojoin.c: 
	- updates.  

2002-06-03 05:15  leeh

	* modules/Makefile.in, servlink/Makefile.in, src/Makefile.in,
	tools/Makefile.in: 
	- hwys lint fixes 

2002-06-02 16:23  lusky

	* include/patchlevel.h: revved patchlevel to b16 

2002-06-02 12:38  leeh

	* doc/technical/ts5.txt: 
	- added ts5 doc, typed in a very very scary looking log prompt..  

2002-06-02 07:08  leeh

	* contrib/m_force.c: 
	- hunt_server returns an int (!= HUNTED_ISME) 

2002-06-01 14:58  androsyn

	* RELNOTES: Updated RELNOTES again 

2002-06-01 14:56  androsyn

	* BUGS: Remove the TCP resolver bug from the list as I fixed it
	last night 

2002-06-01 14:49  androsyn

	* include/tools.h, src/tools.c: Inline versions of the dlink
	functions 

2002-06-01 11:47  db

	* contrib/m_ojoin.c: 
	- fixed minor bug in m_ojoin.c 
	  patch by adx 

2002-05-31 22:28  androsyn

	* adns/event.c, adns/transmit.c, src/adns.c: Fixed the adns tcp
	resolver.  

2002-05-31 19:32  androsyn

	* contrib/m_force.c: Scuzzy's modifications to allow the forcing of
	a user into a new channel.  Also adds support for remote forcing.  

2002-05-30 21:49  androsyn

	* src/s_serv.c: Doh..another one..  

2002-05-30 21:44  androsyn

	* src/s_user.c: Fixed some inverted if() statements 

2002-05-30 21:16  androsyn

	* contrib/m_ojoin.c: Fix from scuzzy to make ojoin send the topic
	to the joining user.  

2002-05-30 19:59  androsyn

	* modules/core/m_nick.c: Add a non-assert failure check 

2002-05-30 19:21  androsyn

	* src/: client.c, hash.c, irc_string.c, linebuf.c, listener.c,
	match.c, packet.c, parse.c, s_auth.c, s_bsd.c, s_conf.c, s_gline.c,
	s_log.c, s_serv.c, s_user.c, vchannel.c, whowas.c: The rest of the
	non-assert failure checks..  

2002-05-30 18:35  androsyn

	* src/fileio.c: More non assert failure cleanups..  

2002-05-30 18:29  androsyn

	* src/fdlist.c: Remove a pointless assert() 

2002-05-30 17:36  androsyn

	* src/client.c: Same story as before..add non-assert failure
	checks..  

2002-05-30 17:32  androsyn

	* src/channel.c: Add non-assert failure code..  

2002-05-30 17:29  androsyn

	* src/balloc.c: Added some non-assert failure code 

2002-05-30 17:25  androsyn

	* src/adns.c: Added some failure code in the case of non debug
	compiles 

2002-05-30 17:22  androsyn

	* src/s_serv.c: If a you are trying to register a server and its
	not on the unknown list something very bad has happened.  assert()
	if debugging..exit the client otherwise 

2002-05-30 17:12  androsyn

	* src/s_serv.c: Changed "Lost C-Line" to "Lost connect{} block" as
	we don't have C lines anymore...  

2002-05-30 17:08  androsyn

	* src/packet.c: Macros is your friend 

2002-05-30 16:55  androsyn

	* src/client.c: Don't send QUIT to remote servers for unregistered
	clients 

2002-05-30 13:13  leeh

	* src/client.c: 
	- fix for the idle client bug found by scuzzy <scuzzy@aniverse.net> 
	
	  I *think* this is the right fix, but my server decided the idlelimit 
	  wasnt worth bothering with anymore anyway.  

2002-05-29 09:13  db

	* src/balloc.c: 
	- fixed goof spotted by Jusuf 

2002-05-27 05:14  leeh

	* src/ircd_parser.y: 
	- removed the havent_read_conf from efnets example config, we know
	  theyre not gunna read the conf anyway and thisll just make it worse 
	- dont enable compressed links by default, only when someone sets 
	  compressed=yes; 

2002-05-26 00:11  androsyn

	* src/send.c: That was an ugly bit of code..  

2002-05-25 23:17  androsyn

	* RELNOTES: Yet another test commit 

2002-05-25 23:15  androsyn

	* RELNOTES: Test commit..  

2002-05-25 02:05  androsyn

	* src/s_bsd_sigio.c: Added a missing mask_our_signal() 

2002-05-25 02:00  androsyn

	* src/: ircd_signal.c, s_bsd_sigio.c: Minor cleanups to RT Sigio 

2002-05-24 23:52  androsyn

	* adns/setup.c: Make adns use the generic set non blocking routine 

2002-05-24 20:06  androsyn

	* src/: linebuf.c, send.c, packet.c: Change a few write() and
	read() calls to send() and recv() 

2002-05-24 18:55  androsyn

	* src/ircd_lexer.l: Replace index() with strchr() 

2002-05-24 18:42  androsyn

	* src/s_bsd_select.c: bcopy() people still use bcopy()?!?  Replaced
	those with memcpy() 

2002-05-24 18:38  androsyn

	* include/modules.h: Added missing prototypes..  

2002-05-24 18:35  androsyn

	* src/md5.c: Seed with something a bit more useful than pids 

2002-05-24 18:24  androsyn

	* src/balloc.c: Fix the non mmap() case of the block allocator 

2002-05-24 18:22  androsyn

	* src/: event.c, ircd.c, s_user.c: Change srandom/random to
	srand/rand which is a little more common 

2002-05-24 16:48  androsyn

	* contrib/: Makefile.in, example_module.c, m_clearchan.c,
	m_flags.c, m_force.c, m_jupe.c, m_ltrace.c, m_map.c, m_mkpasswd.c,
	m_ojoin.c, m_opme.c, m_tburst.c, spy_admin_notice.c,
	spy_info_notice.c, spy_links_notice.c, spy_motd_notice.c,
	spy_stats_notice.c, spy_stats_p_notice.c, spy_trace_notice.c,
	spy_whois_notice.c: Update contrib for the header changes and
	update .depend as well 

2002-05-24 16:40  androsyn

	* modules/.depend, src/.depend: Update .depend 

2002-05-24 16:39  androsyn

	* include/stdinc.h: Add stdinc.h 

2002-05-24 16:34  androsyn

	* adns/Makefile.in, adns/adns.h, adns/check.c, adns/event.c,
	adns/general.c, adns/parse.c, adns/query.c, adns/reply.c,
	adns/setup.c, adns/transmit.c, adns/types.c, include/balloc.h,
	include/channel.h, include/channel_mode.h, include/client.h,
	include/event.h, include/fdlist.h, include/fileio.h,
	include/hash.h, include/hostmask.h, include/irc_string.h,
	include/ircd.h, include/ircd_defs.h, include/ircd_getopt.h,
	include/linebuf.h, include/listener.h, include/m_info.h,
	include/memory.h, include/modules.h, include/motd.h, include/msg.h,
	include/numeric.h, include/packet.h, include/res.h, include/resv.h,
	include/rsa.h, include/s_auth.h, include/s_bsd.h, include/s_conf.h,
	include/s_debug.h, include/s_gline.h, include/s_misc.h,
	include/s_serv.h, include/s_stats.h, include/s_user.h,
	include/s_zip.h, include/send.h, include/sprintf_irc.h,
	include/vchannel.h, include/whowas.h, modules/Makefile.in,
	modules/m_accept.c, modules/m_admin.c, modules/m_away.c,
	modules/m_capab.c, modules/m_cburst.c, modules/m_challenge.c,
	modules/m_cjoin.c, modules/m_close.c, modules/m_connect.c,
	modules/m_cryptlink.c, modules/m_dmem.c, modules/m_drop.c,
	modules/m_eob.c, modules/m_gline.c, modules/m_help.c,
	modules/m_info.c, modules/m_invite.c, modules/m_ison.c,
	modules/m_join.c, modules/m_kline.c, modules/m_knock.c,
	modules/m_links.c, modules/m_list.c, modules/m_lljoin.c,
	modules/m_llnick.c, modules/m_locops.c, modules/m_lusers.c,
	modules/m_motd.c, modules/m_names.c, modules/m_nburst.c,
	modules/m_oper.c, modules/m_operwall.c, modules/m_pass.c,
	modules/m_ping.c, modules/m_pong.c, modules/m_post.c,
	modules/m_rehash.c, modules/m_restart.c, modules/m_resv.c,
	modules/m_set.c, modules/m_stats.c, modules/m_svinfo.c,
	modules/m_testline.c, modules/m_time.c, modules/m_topic.c,
	modules/m_trace.c, modules/m_unkline.c, modules/m_user.c,
	modules/m_userhost.c, modules/m_users.c, modules/m_version.c,
	modules/m_wallops.c, modules/m_who.c, modules/m_whois.c,
	modules/m_whowas.c, modules/core/m_die.c, modules/core/m_kick.c,
	modules/core/m_kill.c, modules/core/m_message.c,
	modules/core/m_mode.c, modules/core/m_nick.c,
	modules/core/m_part.c, modules/core/m_quit.c,
	modules/core/m_server.c, modules/core/m_sjoin.c,
	modules/core/m_squit.c, src/Makefile.in, src/adns.c, src/balloc.c,
	src/channel.c, src/channel_mode.c, src/class.c, src/client.c,
	src/crypt.c, src/dynlink.c, src/event.c, src/fdlist.c,
	src/fileio.c, src/getopt.c, src/hash.c, src/hook.c, src/hostmask.c,
	src/irc_string.c, src/ircd.c, src/ircd_lexer.l, src/ircd_parser.y,
	src/ircd_signal.c, src/ircdauth.c, src/kdparse.c, src/linebuf.c,
	src/list.c, src/listener.c, src/m_error.c, src/match.c, src/md5.c,
	src/memory.c, src/modules.c, src/motd.c, src/numeric.c,
	src/packet.c, src/parse.c, src/restart.c, src/resv.c, src/rsa.c,
	src/s_auth.c, src/s_bsd.c, src/s_bsd_devpoll.c, src/s_bsd_kqueue.c,
	src/s_bsd_poll.c, src/s_bsd_select.c, src/s_bsd_sigio.c,
	src/s_conf.c, src/s_debug.c, src/s_gline.c, src/s_log.c,
	src/s_misc.c, src/s_serv.c, src/s_stats.c, src/s_user.c,
	src/scache.c, src/send.c, src/snprintf.c, src/sprintf_irc.c,
	src/tools.c, src/vchannel.c, src/whowas.c: Cleaned up the includes
	a *lot*.  System level includes are(mostly) going in
	include/stdinc.h 

2002-05-24 04:23  db

	* src/: client.c, s_bsd.c: <adx> first, we don't need to send
	queued data at the beginning of +exit_client, because it's going to
	be sent in close_connection..  <adx> second, setting a client as
	dead before calling close_connection is not +a good idea <adx>
	because then he/she won't receive a Closing Link message <adx>
	client is set as dead in exit_one_client anyway..  <adx> there is
	also sth in s_bsd.c, we're setting client as dead but it is +done by
	exit_client too 
	
	- approved db 

2002-05-23 19:39  androsyn

	* modules/m_post.c, src/modules.c: Add PUT and GET to m_post 

2002-05-23 17:31  leeh

	* modules/m_cjoin.c: 
	- better fix 

2002-05-23 17:28  androsyn

	* modules/m_cjoin.c: /me beats lee over the head with a #endif 

2002-05-23 15:20  leeh

	* Hybrid-team, include/packet.h, modules/descrip.mms,
	modules/m_cjoin.c, modules/m_kline.c, src/descrip.mms,
	src/modules.c: 
	- larnes vms fixes 
	- made flood prot a little less anal 

2002-05-23 09:52  leeh

	* include/setup.h_vms, src/s_debug.c: 
	- fixes for memory count 
	- vms fixes for larne 

2002-05-22 06:52  leeh

	* RELNOTES, src/client.c, src/messages.tab: 
	- relnotes updates 
	- misplaced : in messages.tab 
	- an extern shouldnt really be static.. should it? 

2002-05-20 16:07  androsyn

	* include/client.h, include/ircd.h, include/send.h, src/client.c,
	src/packet.c, src/send.c: Okay..the abort_list is back.  Someday we
	will fix this properly *sigh* 

2002-05-20 10:53  androsyn

	* include/channel.h, src/channel.c, src/send.c: Don't attempt to
	send to channels you just freed..dumbass 

2002-05-20 10:28  androsyn

	* src/send.c: Another sanity check 

2002-05-20 10:11  androsyn

	* src/send.c: Add another NULL dlink head check 

2002-05-20 09:41  androsyn

	* include/client.h, include/ircd.h, include/send.h, src/client.c,
	src/packet.c, src/send.c: Remove the abort_list, it was the wrong
	fix.  Basically what we do now is, remove the user from the channel
	*before* we send the QUIT message to it.  This new function is
	called sendto_remove_channels_local().  This function does this,
	also it checks to make sure that while doing the for() loop, 
	list->head doesn't end up NULL.  

2002-05-19 17:26  androsyn

	* src/client.c: Add a sanity check.  

2002-05-19 17:22  androsyn

	* src/client.c: Don't add clients with IsClosing set to the
	abort_list 

2002-05-18 20:42  androsyn

	* src/: client.c, ircd.c: Put the stupid dead_list back..damnit 

2002-05-18 16:38  androsyn

	* RELNOTES: Updated RELNOTES 

2002-05-18 16:36  androsyn

	* RELNOTES: Updated RELNOTES for the upcoming beta16 

2002-05-18 14:50  androsyn

	* src/s_auth.c: Make unlink_auth_request use dlinkFind() 

2002-05-18 13:58  androsyn

	* src/client.c: Remove a stray prototype 

2002-05-18 13:53  androsyn

	* include/client.h, src/client.c, src/ircd.c: Remove the dead_list 

2002-05-18 00:12  androsyn

	* include/client.h, include/ircd.h, src/client.c, src/ircd.c,
	src/packet.c, src/send.c: This *really* fixes the problem of
	clients getting freed more than once.  

2002-05-17 22:42  androsyn

	* src/listener.c: Removed bogus warning..  

2002-05-17 11:58  db

	* src/send.c: ptr->next should be ptr_next one never knows when a
	client will go dead underneath us in a send 

2002-05-17 11:09  db

	* src/send.c: 
	- Don't trust a pointer that can change underneath us 

2002-05-17 09:08  androsyn

	* src/client.c: Removed a few of now redudant mem_frob()'s 

2002-05-17 09:07  androsyn

	* include/tools.h, src/balloc.c: Adds a mem_frob() into
	BlockHeapFree() 

2002-05-16 12:38  leeh

	* contrib/m_opme.c: 
	- *cough*cough* that was a locptr, in my head..  

2002-05-16 12:14  leeh

	* contrib/m_clearchan.c, contrib/m_force.c, contrib/m_ojoin.c,
	contrib/m_opme.c, modules/core/m_kick.c, src/channel_mode.c: 
	- fixed a bug in channel_mode.c where to_list instead of loc_to_list
	  was being checked.  
	- contrib module fixes for #ifdef HALFOPS/VCHANS 
	- unused variable in m_kick.c with #undef VCHANS 

2002-05-16 07:45  androsyn

	* src/balloc.c: Minor changes to the block heap.  

2002-05-16 06:57  androsyn

	* src/balloc.c: This should make the failure case of
	BlockHeapAlloc() a bit more robust.  If we end up with an out of
	memory condition, we attempt to garbage collect the heap and see if
	that frees anything.  

2002-05-16 03:18  androsyn

	* src/client.c: Oops..had the logic backwards...  

2002-05-16 03:15  androsyn

	* src/channel.c: Go awayy stupid #endif 

2002-05-15 23:17  androsyn

	* src/client.c: Don't do send_queued_write() if the connection is
	dead.  

2002-05-15 22:53  androsyn

	* src/channel.c: Fixed a bug where we would not fully take care of
	removing a user from a channel.  Also added an assert if the
	usercount in a channel goes below 0 in sub1_from_channel 

2002-05-14 04:41  leeh

	* include/channel.h, include/vchannel.h, modules/m_cjoin.c,
	modules/m_invite.c, modules/m_join.c, modules/m_knock.c,
	modules/m_list.c, modules/m_lljoin.c, modules/m_names.c,
	modules/m_topic.c, modules/m_who.c, modules/m_whois.c,
	modules/core/m_kick.c, modules/core/m_message.c,
	modules/core/m_mode.c, modules/core/m_part.c,
	modules/core/m_sjoin.c, src/channel.c, src/ircd_parser.y,
	src/s_serv.c, src/vchannel.c: 
	- put vchans under #ifdef VCHANS 

2002-05-13 16:34  leeh

	* src/channel_mode.c: 
	- splitting if()'s up is BAD.  
	
	  hotfuq as punishment..? 

2002-05-12 21:21  androsyn

	* src/client.c: Some more cleanups...  

2002-05-12 21:04  androsyn

	* src/client.c: Added SetDead() to exit_one_client() maybe this
	will fix this goofy thing 

2002-05-12 14:37  leeh

	* modules/core/m_sjoin.c: 
	- yes! align bits of code where I cant see them! 
	- removed the crap from efnets example config that they wont use 

2002-05-12 09:43  leeh

	* src/channel.c: 
	- better channel_member_names for #undef ANONOPS 

2002-05-12 07:50  leeh

	* include/channel.h, include/channel_mode.h, modules/m_who.c,
	modules/core/m_kick.c, modules/core/m_sjoin.c, src/channel.c,
	src/channel_mode.c, src/ircd_parser.y, src/s_serv.c,
	src/vchannel.c: 
	- adxs fix for an inverted if() in ircd_parser.y 
	- bigger and badder HALFOPS and ANONOPS fixes, run children, run for
	  your lives*!&(£!£ 

2002-05-12 05:28  leeh

	* include/channel.h: 
	- and ve call zis, an invisdible function.  

2002-05-12 05:15  leeh

	* README.PLATFORMS, include/channel_mode.h, include/config.h,
	include/config.h.dist, src/channel_mode.c, src/ircd_parser.y,
	src/s_conf.c, src/s_debug.c, src/send.c: 
	- updated README.PLATFORMS for NEXTSTEP 
	- added defines for ANONOPS and HALFOPS which will comment out most
	  of the actual code.  #ifdef EFNET will #undef these 
	
	  ill do vchans later.  

2002-05-11 14:53  leeh

	* configure: 
	- rebuilt configure, cheers hwy 

2002-05-11 14:07  leeh

	* autoconf/configure.in, include/setup.h.in: 
	- fixes.  can somebody please rebuild configure with autoconf2.1x? 

2002-05-11 13:43  leeh

	* autoconf/configure.in: 
	- added --efnet, will have to rebuild this in a sec on another box 

2002-05-11 10:23  lusky

	* include/patchlevel.h: 
	- rev patchlevel to beta15 

2002-05-10 12:24  leeh

	* modules/core/m_server.c: 
	- commented out the remote squitting of the newly introduced server,
	  this wont work at all on large networks without causing havoc.  
	
	Approved by:	db 

2002-05-09 03:06  leeh

	* contrib/m_opme.c: 
	- reusing ptrs is bad.  silly fl_ 

2002-05-08 07:40  leeh

	* contrib/m_opme.c: 
	- missing +ov stuff, missing local list stuff 

2002-05-08 05:19  leeh

	* contrib/README: 
	- added my temp dline patch to contrib/ 

2002-05-07 19:54  androsyn

	* src/: getopt.c, ircd.c: Remove some remains of DEBUGMODE 

2002-05-07 05:50  leeh

	* modules/m_challenge.c: 
	- move the IsOper check up, and make it send omotd 

2002-05-07 05:26  db

	* modules/m_challenge.c: Hi, 
	
	    The attached diff fixes a bug in the challenge command that will let 
	you oper more than once using PK authentication: submitted by "wiz",
	Jason Dambrosio 
	
	approved db 

2002-05-05 22:48  androsyn

	* src/s_bsd_sigio.c: Add some logging about RT signal queue
	overflows.  It might be useful for this to get noticed by the admin.  

2002-05-02 09:58  leeh

	* doc/: example.conf, kline.txt, whats-new.txt: 
	- misc documentation fixes and updates 

2002-05-01 10:23  leeh

	* doc/example.conf, src/channel_mode.c, src/s_conf.c: 
	- added back code that makes restricted do something 
	- fixed errors in the config (hi larne!) 

2002-05-01 09:36  leeh

	* doc/convertconf-example.conf, doc/example.conf,
	tools/convertconf.c: 
	- rewrote nearly all of the config.  ugh.  its still horribly
	  horribly long tho.. altho I shaved about 200 lines off.  
	- added a '-b' (basic) option to convertconf that wont pull in the
	  other blocks.  
	- DAMNATION TO THE BRITISH.  

2002-04-30 10:43  leeh

	* src/channel_mode.c: 
	- when +eI are disabled, send RPL_ENDOF(EXCEPT|INVITE)LIST so a
	  client doesnt stall.  

2002-04-30 10:21  leeh

	* doc/convertconf-example.conf, doc/example.conf, src/packet.c: 
	- fixed a > that shouldve been >= 
	- added back flood control for opers.  will allow a burst of 16
	  lines, then 2 per second afterward.  

2002-04-30 08:17  leeh

	* modules/core/m_sjoin.c: 
	- removed the nick chase crap from sjoin 
	- better fake direction tracking 

2002-04-30 07:29  leeh

	* src/ircd_parser.y: 
	- added code for silly people who dont know that cryptlinks need rsa 
	  keys, and normal confs need passwords :P 

2002-04-30 05:45  leeh

	* tools/: README, convertilines.c: 
	- added a license and updated readme 

2002-04-30 04:35  leeh

	* src/ircd_parser.y: 
	- missing "r" 

2002-04-30 03:46  leeh

	* src/ircd_parser.y: 
	- dont allow vhost="" in the connect {}; not when it sets aftype.  
	- when we handle RSA stuff in oper {};, do it in yy_achead, then
	  copy it to the other confs for multi user="".  

2002-04-29 16:57  leeh

	* doc/example.conf: 
	- we dont negotiate ciphers anymore.  

2002-04-29 16:05  leeh

	* doc/example.conf: 
	- added a warning that example.conf is not for efnet.  
	- added a warning that example.conf.efnet is not for people other
	  than efnet.  
	- removed efnet references in example.conf 

2002-04-29 15:30  leeh

	* include/Makefile.in: 
	- larnes makefile fix.  

2002-04-29 15:12  androsyn

	* configure, include/setup.h.in: Rebuilt configure with autoconf
	2.13 

2002-04-29 12:59  leeh

	* include/hostmask.h: 
	- a 25 line single space indented struct with no linebreaks doesnt 
	  follow the normal coding style of ircd-hybrid.  

2002-04-29 09:58  leeh

	* modules/: m_operwall.c, m_wallops.c, core/m_message.c: 
	- notice opers@server returned to hyb6 methods 
	- prefix both a wallops/operwall done by an oper with "OPERWALL -", 
	  differentiating is pointless.  

2002-04-28 09:47  leeh

	* src/messages.tab: 
	- shifted a %d so its a parameter 

2002-04-28 09:38  leeh

	* include/supported.h: 
	- CASEMAPPING or CHARSET?  who cares, send both.  

2002-04-28 06:03  leeh

	* configure, autoconf/configure.in: 
	- set nicklen to (n+1) so nicklen*2 works.  
	  reported by adx 

2002-04-28 01:14  androsyn

	* src/s_conf.c: Fixed a potential NULL dereference in the DNS
	handling code...  

2002-04-27 18:29  leeh

	* src/resv.c: 
	- removed an unneeded +len in MyMalloc() 

2002-04-27 17:50  androsyn

	* configure, autoconf/configure.in: Fix the nanosleep check..  

2002-04-27 17:26  leeh

	* README.FIRST, README.PLATFORMS, RELNOTES, modules/m_stats.c,
	src/s_serv.c: Fix for GCC on SPARC compiling in 32-bit mode.  The
	solution is to not let GCC move things from the structure pointers
	in to a register, it apparently is too broken to figure out how to
	do this properly.  Instead, memcpy the structure to a local one on
	the stack, and use it.  
	
	The GCC people were given a bug report on this and did nothing. 
	Considering the popularity of the SPARC platform, some shame should
	go around that a lowly IRCD coder had to spend some months trying to
	work around this, and that despite a bug report, the GCC people
	did/said nothing.  
	
	Anyway, this now makes ircd-hybrid-7 work on SPARC systems with GCC.
	Great! 
	
	Submitted by:	virtual jmallett vDD (with superhotfuq support) 
	Reviewed by:	db/leeh 

2002-04-27 16:55  leeh

	* RELNOTES: 
	- we now have flood control 

2002-04-27 13:36  db

	* src/: client.c, packet.c: 
	- ripped out #if 0 code. it looks horrible, and we have copies in
	cvs repo anyway.  

2002-04-27 13:34  leeh

	* src/channel_mode.c: 
	- dont allow users to set unlimited +/-h modes.  if they want to set
	  them, they can abide MAXMODEPARAMS and the flood protection.  
	
	Approved by:	virtual dianora v2.1 

2002-04-27 10:59  leeh

	* include/packet.h, modules/m_away.c, modules/m_topic.c,
	modules/core/m_message.c, modules/core/m_mode.c,
	modules/core/m_nick.c, modules/core/m_part.c, src/packet.c,
	src/s_auth.c, src/s_user.c: 
	- flood code.  

2002-04-27 05:20  leeh

	* doc/vchans.txt: 
	- brought the vchan doc up to date with how they currently work.  

2002-04-27 02:30  leeh

	* contrib/m_jupe.c, doc/whats-new.txt, include/supported.h: 
	- added the 'CALLERID' token to 005, for +g, as agreed with austhex 
	  developers 
	- idiot proofing, dont allow people to jupe their own server.  

2002-04-26 08:27  leeh

	* modules/core/m_nick.c, src/parse.c: 
	- added an ID collision check, which nukes both clients.  
	- ignore ERR_UNKNOWNNICK directed at us from servers.  until we can 
	  guarantee both servers will do the "right thing" on a nick
	  collision, we have to kill both clients, ours and theirs. 
	  unfortunately if BOTH servers do this, we get ERR_UNKNOWNNICK.  
	
	  ugh.  

2002-04-26 06:26  leeh

	* contrib/README: 
	- added a patch to give support for remote-unklines.  too late to go
	  in src/, so here it is.  

2002-04-26 05:30  leeh

	* src/m_error.c: 
	- only call exit_client() if MyClient(), else you have the situation
	  where if you get a command from a remote server we dont know, we
	  exit the client, the other server doesnt, and you get a desync.  

2002-04-26 04:51  leeh

	* modules/m_kline.c: 
	- remote servers cant set klines, we need to be checking
	  !MyClient(), not IsServer().  

2002-04-26 03:52  leeh

	* modules/core/m_sjoin.c: 
	- added back the notices for TS change in SJOIN that ran away from
	home.  

2002-04-25 17:47  leeh

	* RELNOTES: 
	- brought relnotes upto date 

2002-04-25 12:37  leeh

	* modules/core/m_sjoin.c: 
	- only allow +a in sjoin if enabled.  

2002-04-25 10:57  leeh

	* modules/m_info.c: 
	- and /info..  

2002-04-25 10:55  leeh

	* doc/convertconf-example.conf: 
	- add it to the example conf convertconf uses too 

2002-04-25 10:53  leeh

	* doc/example.conf, include/s_conf.h, src/channel_mode.c,
	src/ircd.c, src/ircd_lexer.l, src/ircd_parser.y, src/s_conf.c: 
	- changed the sendto_realops_flags() when +h has changed status to
	  an ilog(), we dont want this *every* time we unkline something, ugh.  
	- added use_anonops, disabled by default with comments reflecting
	  theyre slightly broken.  
	- made the use_invex/halfops/anonops/except actually ignore the
	  modes from local users if theyre unset (duh!) 

2002-04-25 09:25  leeh

	* contrib/m_clearchan.c: 
	- incrementing sptr->user->joined then calling add_user_to_channel
	  which also increments it isnt exactly a good idea 

2002-04-25 02:38  leeh

	* src/client.c: 
	- ints need a return number..  

2002-04-25 01:54  leeh

	* src/client.c: 
	- a1kmms fix for the core 

2002-04-23 07:26  leeh

	* include/defaults.h, include/ircd.h, modules/m_set.c, src/ircd.c,
	src/s_auth.c: 
	- commited my/joans ident stuff 
	
	Approved by:	diane 

2002-04-23 07:25  leeh

	* contrib/: README, spy_admin_notice.c, spy_info_notice.c,
	spy_links_notice.c, spy_motd_notice.c: 
	- updated README wrt ltrace 
	- removed some bogus MyConnect(source_p) 

2002-04-23 03:34  leeh

	* contrib/: Makefile.in, m_ltrace.c, spy_trace_notice.c: 
	- added a very cutdown version of ltrace, modded spy_trace_notice to 
	  watch for ltrace too.  

2002-04-22 15:16  leeh

	* src/s_conf.c: 
	- english spellings vs american spellings.. made them all the same 

2002-04-22 13:50  leeh

	* src/: channel.c, channel_mode.c: 
	- fixed two bugs reported by ShadowDog <esast@shadow.no> 
	  - an +ov user being sent +nick on a +a channel 
	  - server 'resynced' an opped users +v mode on +a channel, they can 
	    already see it as theyre opped.  

2002-04-22 10:26  leeh

	* src/channel_mode.c: 
	- re-enabled mode counting for +v 
	- moved the post increments to pre increments, to bring the limit
	  back down to MAXMODEPARAMS 
	- took a couple of magic numbers out back and shot them.  

2002-04-21 10:18  androsyn

	* RELNOTES: Test 

2002-04-21 05:59  leeh

	* contrib/help/opers/knock, help/opers/knock: 
	- s/+s/+p for when you cant knock 

2002-04-20 10:47  leeh

	* include/channel.h: 
	- redefine REQUIRE_OANDV 

2002-04-20 10:47  leeh

	* src/channel.c: 
	- add @+users to chptr->chanops when #ifndef REQUIRE_OANDV 

2002-04-20 10:33  leeh

	* include/channel.h, modules/m_who.c, modules/core/m_sjoin.c: 
	- wrapped some +ov stuff in #ifdef's.  
	- removed chptr->ts_winner 

2002-04-19 09:21  leeh

	* include/channel.h, modules/core/m_nick.c: 
	- wrapped chanops_voiced list in an #ifdef 
	- mark grace period complete on nickchange 

2002-04-18 12:11  leeh

	* modules/m_who.c: 
	- dont allow people to use /who <server> when serverhide is enabled.  

2002-04-18 09:12  db

	* contrib/m_clearchan.c, src/channel.c: Two patches sent in by adx 
	- clear +ov members in channel.c 
	- use block heap free in m_clearchan.c 
	
	approved db 

2002-04-18 06:15  leeh

	* modules/core/m_mode.c: 
	- only call SetFloodDone() when a client sets a mode in a channel,
	  not when they set a usermode/query a channels mode 

2002-04-16 19:25  leeh

	* contrib/m_tburst.c, doc/modes.txt, include/channel_mode.h,
	modules/m_invite.c: 
	- documented in modes.txt that +p also restricts halfops +/-h'ing 
	- I commited some debugging stuff to m_tburst.c, removed 
	- added macro ParanoidChannel, checks +pi, not just +p 
	- made invite use above macro.  
	- biscuits.  

2002-04-16 18:02  leeh

	* contrib/m_tburst.c, include/channel.h, include/ircd_defs.h,
	src/channel_mode.c: 
	- added a strcmp() to tburst, to take account of deltas 
	- bumped KEYLEN to 24 (23+1), resolving the problem with the
	  strlcpy() only copying 22 chars 
	- send chptr->mode.key out (the truncated key) instead of key 
	  (what was sent in the mode) 

2002-04-16 17:05  leeh

	* include/irc_string.h, src/ircd_parser.y, src/match.c,
	src/s_conf.c: 
	- duplicated match() into match_esc() and collapse() into
	collapse_esc() 
	- removed escaping from match() and collapse() 
	- run collapse_esc() before we add a gecos {}; 
	- make gecos {}; use match_esc() 

2002-04-15 15:51  leeh

	* RELNOTES: 
	- updated RELNOTES 

2002-04-15 09:31  leeh

	* src/client.c: 
	- mistook an ifdef for an ifndef 

2002-04-15 07:16  db

	* doc/serverhide.txt: 
	- updated serverhide.txt as amended by Wendy approved db 

2002-04-14 23:13  db

	* contrib/m_tburst.c: speeeeeeeeeelllllliiiinnnnnggggggggg 

2002-04-14 18:14  leeh

	* src/: client.c, s_bsd.c: 
	- my attempt at the ctrlfd core fix 

2002-04-14 17:05  leeh

	* modules/m_post.c, modules/m_resv.c, src/event.c, src/hook.c,
	src/linebuf.c, src/resv.c, src/s_bsd_devpoll.c, src/s_bsd_kqueue.c,
	src/s_bsd_poll.c, src/s_bsd_select.c, src/s_bsd_sigio.c: 
	- added more credits back 
	
	Approved by: diane 

2002-04-14 16:46  leeh

	* src/crypt.c: 
	- changing the licenses other people put coder under is a Bad Thing
	(tm) 

2002-04-14 15:13  androsyn

	* src/balloc.c: Fixed the credit lines on this.  Joan originally
	wrote and she should get credit for it.  

2002-04-14 15:10  androsyn

	* src/adns.c: Put back my original copyright line....  

2002-04-14 14:50  leeh

	* src/numeric.c: 
	- hwys fix for the gettext/message locale stuff 

2002-04-14 12:42  leeh

	* contrib/: m_force.c, m_tburst.c: 
	- added a license 

2002-04-14 07:56  leeh

	* contrib/m_clearchan.c, contrib/m_force.c, contrib/m_ojoin.c,
	contrib/m_opme.c, src/client.c: 
	- fixed some headers and copyrights.  

2002-04-14 04:06  leeh

	* modules/core/m_kill.c: 
	- fixed a bug with only sending :nick KILL instead of
	  :nick!user@host KILL to target, reported by jv.  

2002-04-14 02:50  leeh

	* contrib/: m_clearchan.c, m_force.c: 
	- adx's patches to fix clearchan/force.  

2002-04-14 02:39  leeh

	* src/channel_mode.c: 
	- commited a1kmms fix for mode changes: 
	
	  Looking at that code it seems that nc and mc are mixed up in 
	  some places. nc should be the number of modes, mc should be 
	  the number of parameters, so should only get incremented 
	  when there is an argument to the mode.  

2002-04-13 20:28  lusky

	* include/patchlevel.h: 
	- revved patchlevel to 7beta14 

2002-04-13 17:11  leeh

	* RELNOTES: 
	- brought RELNOTES into sync, cleared b13 notes.  

2002-04-13 14:12  leeh

	* include/patchlevel.h: 
	- nuked release names, playtimes over :( 

2002-04-13 08:37  androsyn

	* contrib/m_tburst.c: Make things a little more consistant.  

2002-04-13 08:30  leeh

	* contrib/: Makefile.in, README: 
	- updated README/Makefile for the modules thatve been repo moved.  

2002-04-13 07:58  leeh

	* contrib/Makefile.in: 
	- updated the Makefile to include m_tburst.c, which has been repo
	moved 

2002-04-13 07:46  leeh

	* src/ircd.c: 
	- initialise default_server_capabs to CAP_MASK when we declare it..  
	  this allows tburst to work.  

2002-04-13 06:55  leeh

	* contrib/m_tburst.c: 
	- also allow tburst if theres no topic (duh) 

2002-04-13 06:26  leeh

	* contrib/m_tburst.c: 
	- added m_tburst.c here for now 
	  requires a change in src/ircd.c:443 to work, change = to |= 

2002-04-13 06:18  leeh

	* src/fileio.c, include/fileio.h: 
	- made file_open and file_close extern, theyre needed by other
	things 

2002-04-13 04:46  leeh

	* modules/m_topic.c: 
	- if a *server* is setting a topic, dont try to send a n!u@h 
	- why is this code even here?  old tburst code? 

2002-04-13 01:36  db

	* Hybrid-team, src/channel_mode.c: 
	- <adx> +ov users are not shown on /names reply after joining a
	  channel <adx> if the channel is +a 
	
	- also added adx to list of contributors 
	
	approved by db 

2002-04-12 14:44  db

	* src/channel_mode.c: 
	- Corrected one off error in mode handling code, found by adx 
	
	approved -db 

2002-04-11 18:05  androsyn

	* doc/Makefile.in, doc/convertconf-example.conf,
	tools/convertconf.c: Lee's convertconf patch 

2002-04-10 22:33  db

	* include/patchlevel.h: 
	- more sensible patchlevel.  

2002-04-10 17:07  db

	* modules/m_cburst.c, src/channel.c, tools/convertconf.c: 
	- patches by Lee hardy to fix channel persist 
	- and to fix convertconf 
	
	Approved db 

2002-04-10 13:17  androsyn

	* tools/.cvsignore: Added convertinlines to cvsignore at Hwy's
	request.  

2002-04-10 05:33  db

	* modules/core/m_sjoin.c: 
	- Committed bug fix sent in by user 
	
	WarKnite found out it was caused in 
	 <WarKnite> m_sjoin.c:813 &chptr->peons should be &chptr->locpeons 
	
	Bug found by WarKnite and Stacy. Fix found by WarKnite Stacy Schane
	stacyschane@cox.net WarKnite warknite@swbell.net 

2002-04-09 20:01  androsyn

	* src/parse.c: Fixes bug reported by adx in do_numeric().  This was
	a bit of old code that didn't get changed with changes in the
	parser.  

2002-04-09 12:52  androsyn

	* autoconf/configure.in, configure: Fix misleading output regarding
	NICKLEN.  

2002-04-08 19:42  db

	* src/motd.c: Fix suggested by Wendy 
	- move test for file existence of ircd.motd, so we zero out the motd 
	  if its not there.  

2002-04-08 17:04  db

	* RELNOTES, doc/whats-new.txt, include/channel.h,
	include/supported.h, modules/m_join.c, modules/core/m_kick.c,
	modules/core/m_part.c, src/channel.c, src/client.c: Sent in by Lee 
	Approved by db 
	
	The patch does the following: 
	- fixes persistent channels to actually persist, we fixed them too
	far and broke them 
	- removes the perm crap from persistent channels.  we should always 
	persist, no matter whether a user parts, quits or falls down a
	rabbit hole into wonderland 
	- adds ircd-hybrid-7b14 stuff to RELNOTES 
	- adds docs about the $$ and $# stuff to whats-new, as well as
	updates 
	- adds the CHARSET=rfc1459 to 005 
	
	Theres still issues with persistent channels, but im too tired atm
	to do anything.  Basically - the event system/cleanup_channels()
	doesnt cope with the fact a channel should persist for at least
	persist_time.  It uses the TS of the channel - so if a user parts a
	1 year old channel, itll persist.  If the cleanup_channels() event
	is called 10s later, itll be destroyed in that event - we need to
	add a chptr->ts_persist to mark when we started persisting, and use
	that instead of TS in cleanup_channels().  

2002-04-07 21:13  androsyn

	* src/fdlist.c: Fix a potential buffer overflow if some wacky
	person set nicklen > 128 

2002-04-06 11:09  leeh

	* tools/: Makefile.in, convertconf.c, convertilines.c: 
	- removed ircd.conf/ircd.conf.new, old convertconf remnants 
	- added a proper I: -> auth {}; converter, which groups I: together 
	  based on classes/spoofs/passwords/flags 
	- stripped I: parsing from convertconf, added a notice to people to
	  use convertilines 

2002-04-06 10:31  db

	* INSTALL: 
	  Modified files: 
	    Hyb7                 INSTALL.sgml 
	  Log: 
	  Updated SGML source of INSTALL with Andro's changes 

2002-04-06 08:37  db

	* Hybrid-team: 
	- Cleaned up just a bit too much. re-added jv 

2002-04-06 07:54  db

	* Hybrid-team: 
	- corrected bills email 
	  removed and moved older contributors as appropriate.  
	  Jon, perhaps you can double check.  

2002-04-05 22:36  db

	* Hybrid-team: 
	- Changed Juli's entry 

2002-04-05 22:04  androsyn

	* include/channel.h, modules/core/m_mode.c, modules/core/m_sjoin.c,
	src/channel.c, src/channel_mode.c: Lee's patch..here is the
	description he gave: 
	
	The following patch adds back support for bouncing modes from
	clients we deop on an SJOIN.  
	
	Basically - when we bounce a clients status (either halfop or
	chanop) we add a user to a chptr->deopped LL.  Whenever we receive a
	mode, we search this list for the client, ignoring it if theyre
	found.  
	
	Whenever we change a clients membership on a channel (from anything,
	to anything), we scan the deopped list, removing them if theyre
	there.  

2002-04-05 09:08  db

	* src/client.c: 
	- we were removing client from history too late. This meant that a 
	  nick chase kill could cause a double exit of a client. oops.
	  thanks to adx for spotting this one.  

2002-04-05 05:24  leeh

	* contrib/m_force.c: 
	- added IsMember checks, and fixed a duplicate JOIN being sent to
	target 

2002-04-04 12:29  db

	* src/channel.c: Pointed out by Lee. Two backward tests meant we
	never expired persistent channels nor dropped them. oops.  

2002-04-04 06:24  androsyn

	* BUGS, INSTALL, src/s_bsd_select.c: Updated INSTALL to reflect the
	nicklen, maxclients changes.  BUGS to reflect that IAuthd is broken
	beyond repair, in case somebody comes asking.  s_bsd_select.c to
	force an #error if HARD_FDLIMIT_ > FD_SETSIZE.  

2002-04-03 09:10  androsyn

	* configure, autoconf/configure.in: Fixed minor issue with
	configure and nicklen 

2002-04-03 06:10  androsyn

	* configure, autoconf/acconfig.h, autoconf/configure.in,
	include/config.h, include/ircd_defs.h, include/setup.h.in: Added
	--with-nicklen=X and --with-maxclients=X to configure 

2002-04-03 05:21  androsyn

	* INSTALL: Documented the --enable-small-net stuff.  

2002-04-02 22:35  lusky

	* include/patchlevel.h: 
	- revved patchlevel to beta13 

2002-04-02 21:02  androsyn

	* RELNOTES, configure, autoconf/configure.in, include/config.h,
	include/setup.h.in, src/channel.c, src/client.c, src/linebuf.c,
	src/list.c: Added configure --enable-small-net and removed
	README.small_nets.  

2002-04-02 09:48  androsyn

	* RELNOTES: Updated RELNOTES for the beta13 

2002-03-31 21:52  db

	* include/patchlevel.h: enough goofing around children.  Ok folks.
	this is the penultimate one before the rc's 

2002-03-30 10:04  db

	* configure, autoconf/configure.in, include/modules.h,
	include/setup.h.in: configure problems patched by juli pointed out
	by jusuf to do with sharable modules 

2002-03-25 10:01  androsyn

	* src/ircd_parser.y: Add a bunch of missing semicolons that was
	causing newer versions of bison to cry.  

2002-03-25 08:57  androsyn

	* modules/m_knock.c: Committed Lee's knock patch 

2002-03-18 13:06  androsyn

	* src/balloc.c: Add an assert() for double frees.  This doesn't
	really help situations where the whole heap has been corrupted. 
	Perhaps I should add something silly like a magic number to identify
	blocks or something? 

2002-03-17 11:10  db

	* src/ircd_signal.c: jv and I FINALLY figured out why detaching
	from a running ircd on FreeBSD will crash.  Ignoring the SIGTRAP
	seems to work.  Everyone please try it on whatever platforms you
	have and make sure that it doesn't have some negative side effects.  
	
	- approved db 

2002-03-14 10:44  db

	* src/parse.c: To Lee. Write on the blackboard 100 times please "A
	string is not an integer." Thank you.  

2002-03-14 07:23  db

	* src/parse.c: -approved by db 
	
	At 10:32 14/03/2002, Lee H wrote: This patch will block remote
	servers from sending our clients numeric 501 
	(ERR_UMODEUNKNOWNFLAG), this causes us a problem in hyb7 with
	csircd, which rejects the +a and sends an error back everytime
	someone opers whos an admin.  

2002-03-13 06:53  db

	* modules/core/m_server.c, src/ircd_parser.y, src/s_serv.c: Fix by
	Lee, approved by db 
	
	- drop servers that have/introduce servers with invalid servername
	length 
	- don't set a servername > HOSTLEN 

2002-03-12 21:21  androsyn

	* src/send.c: Wohali's patch for that double free bug.  She's
	certainly got more patience than I do :P 

2002-03-12 21:16  androsyn

	* modules/core/m_server.c: Add a warning when a server is
	introduced with a hostname greater than HOSTLEN 

2002-03-12 20:28  androsyn

	* include/s_serv.h: Remove TBURST from the mask as we don't
	technically support it yet.  

2002-03-10 18:51  androsyn

	* src/ircd.c: Make sure irc_sleep returns something useful when
	using select() 

2002-03-10 18:46  androsyn

	* src/ircd.c: Fix compile error with select for delay.  

2002-03-09 17:08  androsyn

	* src/s_conf.c: Removed a dead variable..  

2002-03-09 17:03  androsyn

	* include/packet.h, src/client.c, src/packet.c, src/s_serv.c: Made
	client_dopacket() local, removed two dead functions from packet.c, 
	fixed a compile warning in s_serv.c 

2002-03-09 16:54  androsyn

	* include/client.h, src/client.c: Made a couple more functions
	local.  

2002-03-09 16:41  androsyn

	* include/patchlevel.h: Once again we change this.  

2002-03-09 16:40  androsyn

	* include/patchlevel.h: Changed the relname a bit :P 

2002-03-09 16:37  androsyn

	* src/: getopt.c, ircd.c: Removed a few stray references to debug.h 

2002-03-09 16:14  androsyn

	* include/s_serv.h, src/s_serv.c: Okay..so I was a little
	aggressive with that last one.  

2002-03-09 16:01  androsyn

	* include/s_serv.h, src/s_serv.c: Changed a few more functions from
	globals to static 

2002-03-09 14:59  androsyn

	* src/send.c: Remove debug.h from send.c 

2002-03-09 14:57  androsyn

	* src/: .depend, Makefile.in, m_error.c, send.c: Removed debug.c
	completely.  It was only being used three times so, we just replace
	it with ilog() 

2002-03-09 14:48  androsyn

	* adns/adns.h, include/class.h, include/hash.h, include/ircd.h,
	include/linebuf.h, include/listener.h, include/md5.h,
	include/s_auth.h, include/s_conf.h, include/s_log.h,
	include/scache.h, src/class.c, src/client.c, src/hash.c,
	src/ircd.c, src/linebuf.c, src/listener.c, src/md5.c, src/s_auth.c,
	src/s_conf.c, src/s_log.c, src/scache.c, src/sprintf_irc.c: Clean
	up a lot of dead code.  Also made a number of functions that were 
	declared global as locals, as they were only used within their own
	object file.  

2002-03-09 13:57  androsyn

	* src/channel_mode.c: Make ModeTable static as it is only used in
	channel_mode.c 

2002-03-09 10:03  androsyn

	* include/fileio.h, src/fileio.c: file_open / file_close can be
	static now, as they only get called in fileio.c 

2002-03-08 17:03  leeh

	* contrib/m_force.c: 
	- added the forcejoin/forcepart module ive been using to develop irc
	bncs 

2002-03-08 16:36  leeh

	* contrib/m_ojoin.c: 
	- fixed ojoin, we have sendto_server() now 

2002-03-07 07:04  db

	* INSTALL: 
	- Corrected email address 

2002-03-07 06:44  db

	* INSTALL: 
	- Updated INSTALL file as updated by Hwy 

2002-03-06 23:21  db

	* contrib/example_module.c, contrib/m_flags.c, contrib/m_jupe.c,
	contrib/m_map.c, contrib/m_mkpasswd.c, contrib/spy_admin_notice.c,
	contrib/spy_info_notice.c, contrib/spy_links_notice.c,
	contrib/spy_motd_notice.c, contrib/spy_stats_notice.c,
	contrib/spy_stats_p_notice.c, contrib/spy_trace_notice.c,
	contrib/spy_whois_notice.c, include/send.h, modules/m_accept.c,
	modules/m_admin.c, modules/m_away.c, modules/m_capab.c,
	modules/m_cburst.c, modules/m_challenge.c, modules/m_cjoin.c,
	modules/m_close.c, modules/m_connect.c, modules/m_cryptlink.c,
	modules/m_dmem.c, modules/m_drop.c, modules/m_eob.c,
	modules/m_gline.c, modules/m_help.c, modules/m_info.c,
	modules/m_invite.c, modules/m_ison.c, modules/m_join.c,
	modules/m_kline.c, modules/m_knock.c, modules/m_links.c,
	modules/m_list.c, modules/m_lljoin.c, modules/m_llnick.c,
	modules/m_locops.c, modules/m_lusers.c, modules/m_motd.c,
	modules/m_names.c, modules/m_nburst.c, modules/m_oper.c,
	modules/m_operwall.c, modules/m_pass.c, modules/m_ping.c,
	modules/m_pong.c, modules/m_post.c, modules/m_rehash.c,
	modules/m_restart.c, modules/m_resv.c, modules/m_set.c,
	modules/m_stats.c, modules/m_svinfo.c, modules/m_testline.c,
	modules/m_time.c, modules/m_topic.c, modules/m_trace.c,
	modules/m_unkline.c, modules/m_user.c, modules/m_userhost.c,
	modules/m_users.c, modules/m_version.c, modules/m_wallops.c,
	modules/m_who.c, modules/m_whois.c, modules/m_whowas.c,
	modules/core/m_die.c, modules/core/m_kick.c, modules/core/m_kill.c,
	modules/core/m_message.c, modules/core/m_mode.c,
	modules/core/m_nick.c, modules/core/m_part.c,
	modules/core/m_quit.c, modules/core/m_server.c,
	modules/core/m_sjoin.c, modules/core/m_squit.c, src/send.c: 
	Integrate a chunk of patches to make things using "" strings 'const 
	char *'.  This is basically a no-op change, covering '_version' as
	used in modules, and furthermore, the last two format strings in
	include/send.h and src/send.c.  
	
	Reviewed by:    db, joant Approved by:    db Submitted by:	jmallett 

2002-03-06 21:22  androsyn

	* autoconf/configure.in, configure: RT Sigio isn't really
	experimental anymore it seems to have proven itself pretty stable
	these days.  

2002-03-05 21:41  lusky

	* RELNOTES, include/patchlevel.h: 
	- revved patchlevel to 7beta12 
	- rearranged release notes 

2002-03-04 15:45  androsyn

	* src/send.c: Fixed the stupid bug in sendto_list_remote that cause
	us to send certain messages back to the sender.  

2002-03-04 14:29  leeh

	* modules/core/m_sjoin.c, src/channel.c: 
	- patch by adx <nizynski@optimus.waw.pl> to correctly add a +ov user
	  to &chptr->chanops_voiced 
	- make sure for +ov users we send +v as well as +o.. this is icky
	  though, as we have to recheck MAXMODEPARAMS..  

2002-03-01 17:23  enygma

	* src/modules.c: A cosmetic problem regarding load_core_modules
	solved 

2002-03-01 17:14  leeh

	* TODO, contrib/m_jupe.c: 
	- strncpy_irc -> strlcpy 

2002-03-01 13:22  androsyn

	* src/: adns.c, channel.c, client.c, ircd.c, ircd_parser.y,
	s_auth.c, s_log.c: Changed a bunch of eventAdd()'s to
	eventAddIsh().  I think it is a bad idea to have 15 events all
	coming up at the same time.  This will stagger the events a bit.  

2002-03-01 09:03  jmallett

	* README.FIRST, RELNOTES: Combine the notices for people who don't
	read documentation.  In reality, if someone can't be bothered
	reading documentation, should we really document this _twice_ on
	their account?  Sooth, if they aren't reading README.FIRST, I don't
	think they'll read RELNOTES.  The former has a name that yells out
	to be read, the latter is just something people with good sense will
	read.  
	
	In short, I've combined the notices into README.FIRST, using the
	(IMO) much nicer formatting from RELNOTES.  

2002-03-01 07:55  androsyn

	* configure, autoconf/acconfig.h, autoconf/configure.in,
	include/setup.h.in: Here are some better autoconf checks for
	nanosleep() 

2002-03-01 07:30  androsyn

	* configure, autoconf/configure.in, include/setup.h.in, src/ircd.c: 
	Add a check for nanosleep(). If nanosleep() isn't found we fall back
	to using select() for the delay.  The main reason for this is the
	fact that usleep() tends to be implemented via SIGALRM.  

2002-03-01 01:52  jmallett

	* README.PLATFORMS: Add notation for broken platforms, and mark
	GCC/SPARC ones as broken, until I see otherwise.  

2002-03-01 01:40  jmallett

	* README.FIRST: Back out my previous change.  Further [read:
	Proper] testing for the bug here shows it does in fact exist. 
	Apologies for the misinformation.  The test case was not as simple
	as I remembered it to be.  

2002-03-01 00:41  jmallett

	* README.FIRST: NetBSD's compiler team doesn't suck;  Their version
	of egcs doesn't break on SPARC, unlike newer GCC on OpenBSD and
	Solaris.  

2002-03-01 00:09  jmallett

	* adns/event.c, src/s_auth.c: Oops, bad juli! 
	
	Committing for standards reasons after being up for far too long is
	a bad idea.  Inserting inappropriate casts is worse.  
	
	Change some idiocy I did involving use of size_t instead of
	socklen_t.  
	
	And as an aside, I mixed up my ranting about signed vs. unsigned in
	my last commit.  

2002-02-28 12:36  ejb

	* include/patchlevel.h: 
	- added release names! 

2002-02-28 09:14  wcampbel

	* README.PLATFORMS, contrib/help/users/notice,
	contrib/help/users/privmsg, help/users/notice, help/users/privmsg: 
	Cleaned up some formatting in README.PLATFORMS Non-opers cannot use
	  username%hostname@server, so don't include it in the help files 

2002-02-28 09:12  leeh

	* INSTALL, RELNOTES, doc/example.conf, src/ircd_parser.y: 
	- added a b12 specific section in RELNOTES, noting the recent config
	  change I did, also moved the convertklines stuff into there.  
	
	  we should probably mention that RELNOTES now contains this when we
	  release b12, and people should update it when they change
	  something that people upgrading to the next beta need to know, such
	  as config file option changes, kline format changes etc 
	- updated the confs to reflect whois_wait -> pace_wait_simple 
	- modified the ilog() for havent_read_conf=yes; slightly.  

2002-02-28 08:54  androsyn

	* src/client.c: localClient must have fd set to -1 upon creation
	otherwise it will have all sorts of weird problems.  

2002-02-28 07:12  androsyn

	* modules/: m_cjoin.c, m_kline.c: Removed a few strncpy()'s for
	strlcpy() 

2002-02-28 07:03  androsyn

	* src/: s_auth.c, s_user.c: Fixed bug with unknown in username and
	cleaned up some string abuses that were still around from
	strncpy_irc() 

2002-02-28 04:46  leeh

	* include/s_conf.h, modules/m_help.c, modules/m_info.c,
	modules/m_whois.c, modules/m_whowas.c, src/ircd_lexer.l,
	src/ircd_parser.y, src/s_conf.c: 
	- renamed whois_wait to pace_wait_simple, and made it applicable to
	/help 

2002-02-27 20:02  jmallett

	* adns/event.c, src/dynlink.c, src/s_auth.c, src/s_bsd.c: Bring
	back my uintptr_t casts to the code which converts dlsym(3)'s return 
	value to something we can make into a function pointer within the
	bounds of the C standard.  This is a hack as such, but it is far
	more "correct" than trying to convert two pointers to eachother, one
	being a data pointer (void*) and one being a function pointer. 
	Document this as such, as it is important to compilers like TenDRA,
	and also mention that I _do_ have something which is correct, but
	that for POLA sake, and since this will work pretty much everywhere,
	I am choosing not to put it in at this time.  
	
	Also, convert casts of socklen_t pointers from 'int*' to
	'socklen_t*'.  Originally these were 'unsigned int*', which is
	correct on BSDish systems, but may not be if for some reason
	socklen_t is signed (it isn't with BSD networking), and really
	'size_t foo; use(&foo)' doesn't need to be 'use((socklen_t *)&foo)',
	but it doesn't hurt anyway.  If this is causing problems on some
	system, if it does not have socklen_t, we should make socklen_t a
	signed integer on that system using our typedef'd version, as it is
	infinitely more common for these parameters to be 'socklen_t*' which 
	is not the same as 'int*'.  
	
	The current source tree will now build happily on TenDRA systems
	again.  

2002-02-27 19:13  jmallett

	* RELNOTES: Add a list of things which have changed since the last
	beta and which need testing to the Release Notes, as suggested by
	Wohali.  
	
	Reviewed by:	wcampbell, on IRC 

2002-02-27 12:41  androsyn

	* src/s_auth.c: Fixed stuff with usernames getting set to unknown.  

2002-02-27 10:51  enygma

	* README.PLATFORMS, configure, adns/check.c, adns/event.c,
	autoconf/acconfig.h, autoconf/configure.in, include/modules.h,
	include/setup.h.in, modules/.depend, modules/Makefile.in,
	modules/m_info.c, modules/m_oper.c, modules/core/m_server.c,
	src/Makefile.in, src/dynlink.c, src/modules.c, src/parse.c,
	src/s_auth.c, src/s_bsd.c, src/s_serv.c, src/send.c: I have
	modified configure.in to detect shl_load and HP-UX Systems.  Then I
	modified modules.c and seperated some functions into dynlink.c 
	Rework has been done on some files, where declaration
	inconsistencies existed. Like static int and then only int for the
	same functions.  I believe the HP-UX porting is now completed.  

2002-02-27 10:28  androsyn

	* src/balloc.c: Correct an inversion of the last #define I
	committed.  

2002-02-27 10:20  androsyn

	* src/balloc.c: I hate hpux..did I ever tell you this? 

2002-02-26 09:44  wcampbel

	* doc/example.conf: Doc corrections to example.conf: Make the
	encrypted = yes; and cryptlink = yes; distinction clearer Document
	the stripping of [ ] from serverinfo fields in LINKS 

2002-02-25 16:05  wcampbel

	* contrib/: m_flags.c, m_mkpasswd.c: I gave NO ONE permission to
	put m_flags.c and m_mkpasswd.c under the GPL.  

2002-02-25 15:52  leeh

	* src/packet.c: 
	- cleaned up some k+r and single space indenting 

2002-02-25 14:01  leeh

	* include/resv.h, src/resv.c: 
	- made resv use strlcpy() 
	- bumped RESVNICKLEN to NICKLEN*2 

2002-02-25 13:22  leeh

	* modules/core/m_nick.c: 
	- nick[NICKLEN + 2] -> nick[NICKLEN] 

2002-02-25 12:56  leeh

	* tools/convertklines.c: 
	- made convertklines use the new conf format 
	- cleanups, added support for oper reasons 

2002-02-25 12:12  androsyn

	* src/channel_mode.c: More stupidity related to people using
	NICKLEN and abusing strings...  

2002-02-25 12:09  androsyn

	* src/resv.c: Minor cleanup related to NICKLEN changes...  

2002-02-25 10:40  androsyn

	* src/whowas.c: Forgot a NICKLEN+1 

2002-02-25 10:39  androsyn

	* include/client.h, include/irc_string.h, include/ircd_defs.h,
	include/supported.h, modules/m_cryptlink.c, modules/m_gline.c,
	modules/m_kline.c, modules/m_pass.c, modules/m_stats.c,
	modules/m_topic.c, modules/m_unkline.c, modules/core/m_nick.c,
	modules/core/m_part.c, modules/core/m_server.c,
	modules/core/m_sjoin.c, src/channel_mode.c, src/client.c,
	src/fileio.c, src/hash.c, src/irc_string.c, src/ircd_parser.y,
	src/ircdauth.c, src/list.c, src/motd.c, src/s_conf.c, src/s_serv.c,
	src/s_user.c, src/scache.c, src/whowas.c: Replace strncpy_irc()
	with strlcpy().  Change NICKLEN == 10, 9 + 1 for the NUL character. 
	I'm not sure if HOSTLEN and friends will need to be mangled as well,
	but we can explore that later.  

2002-02-24 13:32  lusky

	* include/config.h, include/config.h.dist, include/patchlevel.h,
	src/s_log.c: 
	- revved patchlevel to -7b11 
	- fixed compile warning for SYSLOG_USERS 
	- cleanup to config.h 
	- sync config.h.dist to config.h 

2002-02-24 10:37  leeh

	* src/client.c: 
	- also walk the unknowns list for dlines on check_klines() 
	  (bug reported by Paul Miseiko <teardrop@teardrop.ca>) 

2002-02-24 10:23  db

	* src/: s_user.c, send.c: 
	- Don't bother giving exit_client the socket name in dead_link 
	  it does not understand the %s convention dead_link() does and just
	  prints a '%s' instead. thats dumb.  
	- We had one place where we printed "Ghost" instead of "Ghosted
	  client" like everywhere else. fixed.  

2002-02-23 21:45  wcampbel

	* doc/operguide.txt: Updates to the Oper Guide: 
	
	Spelling and Grammar (Hwy) ChanFix information (qurve) Hybrid 6
	information (Hwy) 

2002-02-23 21:44  a1kmm

	* src/client.c: 
	- Added a #if 0 around the expensive asserts for now. Perhaps we
	  want a better define system later.  

2002-02-23 14:20  leeh

	* src/class.c: 
	- apparently you cant do that, oh well 

2002-02-23 10:54  leeh

	* src/class.c: 
	- cleanups to get_client_ping 

2002-02-23 10:32  androsyn

	* src/s_user.c: Fix ping cookies..  

2002-02-23 08:30  leeh

	* include/config.h, include/config.h.dist, src/client.c: 
	- added a kludged #define to hide server ips from everyone including
	  admins, I dont like this, but *shrug* 

2002-02-23 05:58  leeh

	* src/client.c: 
	- only check/set IsClosing/IsDead for local connections..  

2002-02-23 04:23  leeh

	* src/client.c: 
	- we only set IsDead for local clients 
	- the ->localClient->listener is already in the MyConnect() below? -
	  you cant try to access it if its not a local client..  

2002-02-22 22:29  a1kmm

	* src/: client.c, s_auth.c, s_user.c: 
	- Fixed the bug where we were leaving clients on the auth list until
	  after we parsed any commands waiting on their buffer(which meant
	  that if they got exited then, they would try to be removed from the
	  list they were already being removed from). I cannot get ircd to
	  core using any connection flooding or cloning test now.  
	- Left in my asserts() I wrote about a week ago. These are more
	  extensive and expensive than Androsyn's asserts, and we definitely
	  want them out before we release.  

2002-02-22 08:24  androsyn

	* src/s_serv.c: It seems cygwin really does need that damned
	vfork() 

2002-02-21 06:47  androsyn

	* modules/m_svinfo.c: Remove a call to time() and replace it with
	set_time() 

2002-02-20 19:47  wcampbel

	* doc/operguide.txt: Update to Riedel's operguide.txt 
	
	Submitted by:	Riedel 

2002-02-19 11:28  androsyn

	* src/client.c: Add an assert() that should catch if a client is on
	the lclient list when we try to free it...  

2002-02-19 08:22  androsyn

	* src/packet.c: Move an assert up a little bit..  

2002-02-18 15:07  wcampbel

	* doc/whats-new.txt: Documented CAP_PARA...  

2002-02-17 19:32  jmallett

	* src/client.c: Fix the bug reported by me and Wendy where we try
	to access the localClient structure which may be NULL, outside of a
	check for MyConnect.  This fixes the NULL dereference by putting it
	inside the if(MyConnect()).  

2002-02-17 18:30  jmallett

	* src/modules.c: Finally get around to testing src/modules.c on my
	old OSX box again.  Fixed a typo I managed to dissipate pretty well
	in the code of the word 'Modules'.  

2002-02-17 02:07  a1kmm

	* src/: s_serv.c, s_user.c: 
	- If you are removing a client from one list and putting them on to
	  another, after you have called send*, you have to check that the
	  client is not dead.  I have done this for register_local_user and
	  server_estab, but there may be other places where we move from one
	  list to another. I would appreciate it if someone can check this to
	  make sure it is okay to just return where I do etc... and that I
	don't check too early for IsDead() 

2002-02-17 01:34  a1kmm

	* src/: client.c, send.c: 
	- Do not call exit_client() again if a send error occurs while 
	  sending the queues for exit_client() 

2002-02-17 01:02  a1kmm

	* src/: client.c, s_bsd.c: 
	- Don't clean up the listener until the get to free_client. This
	  fixes the coredump in user_welcome() when the user has exited.  

2002-02-17 00:29  db

	* src/listener.c: 
	- mostly cosmetic. prototypes should be on separate lines, 
	- make formatting consistent with hybrid 'standard' 

2002-02-16 22:39  androsyn

	* include/client.h, modules/m_trace.c, src/client.c, src/hash.c,
	src/ircd.c, src/packet.c, src/parse.c, src/s_auth.c, src/s_bsd.c,
	src/s_conf.c, src/s_serv.c, src/send.c: Okay..I know this is a big
	ass commit, but it was driving me nuts.  I don't care if this delays
	an rc another week or two but its the right thing to do.  Basically
	move client_p->fd into client_p->localClient->fd.  If you don't like
	it, tough.  

2002-02-16 21:58  androsyn

	* src/send.c: Put the SetDead() back in there..  

2002-02-16 21:54  a1kmm

	* src/send.c: 
	- On second thoughts, don't close the fd if it is already -1.  

2002-02-16 21:52  a1kmm

	* src/send.c: 
	- Close the fd in dead_link() so we don't get into an infinite loop
	  by trying to send from exit_client().  

2002-02-16 21:38  androsyn

	* src/s_serv.c: Fixed a minor compile warning with an #ifdef 

2002-02-16 21:30  jmallett

	* configure, autoconf/configure.in: Fix the way configure
	determines the kind of dl*(3) [or lack thereof] to use so that it
	will work hopefully on the widest variety of systems.  

2002-02-16 21:19  jmallett

	* src/modules.c: Include dlfcn.h if we have -ldl or dlopen(3),
	sorry A1kmm! 

2002-02-16 21:04  jmallett

	* src/modules.c: Superfluous checks before including dlfcn.h 

2002-02-16 20:56  jmallett

	* src/modules.c: Move our preprocessor definition for the dl*(3)
	shims for dyld systems to the appropriate location.  

2002-02-16 20:11  androsyn

	* src/: s_serv.c, send.c: Remove some extra SetDead() calls.  We
	are going straight into exit_client() anyways.  

2002-02-16 19:55  androsyn

	* src/s_serv.c: Fix cygwin from spewing all over the console..  

2002-02-16 19:48  androsyn

	* include/client.h, src/client.c, src/packet.c, src/send.c: Fixed
	the double exit_client() stuff I think...  

2002-02-16 18:27  androsyn

	* src/s_bsd.c: Fixed a tyop 

2002-02-16 17:54  db

	* src/client.c: 
	- We have a macro that does what the old code did, so lets use it.  
	- cosmetic change only 

2002-02-16 17:46  androsyn

	* src/s_bsd.c: close_connection() needs to know about and close all
	servlink related connections including the ctrl connections and any
	of the pipes.  

2002-02-14 00:06  a1kmm

	* modules/m_who.c: 
	- Removed a spurious NUMLISTS define. Although I still wonder why we
	  didn't stick to MAX_SUBLISTS.  

2002-02-13 22:50  a1kmm

	* src/: .depend, client.c, s_serv.c, send.c: 
	- A patch by mrtime14c to fix double frees, with some cleanups by 
	  Dianora and a minor fix by me.  

2002-02-13 11:41  jmallett

	* include/channel.h, modules/m_who.c, src/channel.c,
	src/channel_mode.c: Centralize the preprocessor definition that
	controls how many lists are needed depending on OANDV, and make use
	of it correctly.  

2002-02-13 11:39  jmallett

	* README.FIRST: Add a big screaming note about the need to make
	clean or make distclean when upgrading.  This probably won't really
	apply after a release, but still.  

2002-02-13 11:16  androsyn

	* modules/m_who.c, src/channel.c, src/channel_mode.c: Fixes the
	mode bugs we were talking about..  Submitted by: svatopluk@gmx.de 

2002-02-12 07:27  jmallett

	* src/modules.c: If we want to use 0-6, then modulo by 7, not by 6.  

2002-02-12 07:13  jmallett

	* src/modules.c: Be sure to return NULL from dlerror() if we have
	no error to speak of.  

2002-02-12 07:06  jmallett

	* src/modules.c: Log when a symbol is defined more than once. 
	Clarify when our first dlopen() is done.  Misc. cleanup of my dl*(3)
	stuff.  

2002-02-12 06:48  jmallett

	* README.FIRST: Add a note about the version of the OSX DevTools
	required to build ircd-hybrid with shared module support properly.  

2002-02-12 06:45  jmallett

	* configure, autoconf/configure.in, include/setup.h.in,
	src/modules.c: I finally sat down and wrote working dl*(3) shims
	for dyld systems that do not have their own. Based on the
	NSModule(3) manpage, and various header files.  
	
	Works on OSX 10.0.4 with December 2001 Development Tools.  

2002-02-11 16:06  jmallett

	* README.FIRST: Correct a note about byacc so that people don't
	feel hopeless when they find out their byacc is dying.  
	
	Submitted by:	Samuel in Spain (He emailed me about this being
	unclear) 

2002-02-10 16:47  db

	* modules/m_who.c: 
	- cleaner patch for 'who 0' 

2002-02-10 14:24  db

	* modules/m_who.c: 
	- Stop a /who 0 coring 
	  it would not core on fbsd because of libc, but does on solaris.  

2002-02-10 10:26  androsyn

	* src/ircd.c: Forgot to remove a debugging fprintf().  

2002-02-10 01:49  androsyn

	* src/ircd.c: Tweaks for the delay on the ioloop.  

2002-02-09 20:35  wcampbel

	* include/m_info.h, include/motd.h, include/s_conf.h,
	modules/m_rehash.c, src/ircd.c, src/motd.c: Removed the remnants of
	the old help system.  
	(U)HELP_MOTD enums, ConfigFileEntry.(u)helpfile elements, and calls
	to (Init|Read)MessageFile() on the help directories.  
	
	Approved by:	Diane 

2002-02-09 01:55  a1kmm

	* src/hook.c: 
	- Fixed a reference to memory shortly after it has been freed.  

2002-02-07 23:04  jmallett

	* configure, autoconf/configure.in: Check for Apple's GCC, rework
	PICFLAGS a little.  

2002-02-07 21:55  lusky

	* include/patchlevel.h, src/adns.c: 
	- removed unusued dns_cancel_all function 
	- revved patchlevel to 7b10 

2002-02-07 20:26  jmallett

	* src/channel.c: Bring can_send into the logic that a server can
	send to a channel, because we allow servers to m_message() with a
	NOTICE, but the NOTICE always fails because of course they aren't on
	that channel. This doesn't affect PRIVMSG as that is stopped in
	m_privmsg().  
	
	Explained hastently to: Dianora 

2002-02-06 08:02  leeh

	* include/s_serv.h, modules/m_invite.c, src/adns.c, src/s_serv.c: 
	- cleaned up K&R/single space indenting in adns.c 
	- added CAP_PARA 
	- if channel is +p, broadcast invite to CAP_PARA servers 

2002-02-05 20:37  ejb

	* clean.com: 
	- Added clean.com .. this is a hack and will go away as soon as i 
	  have a working top-level descrip.mms for VMS.  

2002-02-05 14:45  ejb

	* README.FIRST, README.PLATFORMS: 
	- Added VMS to list of supported platforms.  

2002-02-05 14:38  jmallett

	* configure, autoconf/configure.in: Teach configure to determine
	whether $CC is SVR4 Source Generation System compliant, so we can
	use a shared interface, such as is done for PICFLAGS here. Since I
	had to add checks for Sun WorkShop anyway, I removed the SunOS
	checks... They didn't really make sense anyway in my opinion. I ran 
	this by a few people (both the patches and the idea), and it looked
	sane to them.  
	
	Right now we recognize the following SGS-ish compilers: 
		o) MIPSpro 
		o) Sun WorkShop 
		o) TenDRA 

2002-02-05 14:33  ejb

	* README.VMS, adns/setup.c, include/config.h, tools/descrip.mms: 
	- a few more VMS changes: 
	   use logical names, not hardcoded paths; 
	   fixed tools to compile mkpasswd properly; 
	   use IRCD$CONFDIR:RESOLV.CONF, not []RESOLV.CONF; 
	   brought README.VMS up to date.  

2002-02-05 13:16  leeh

	* modules/m_invite.c: 
	- disable invite propagation 

2002-02-05 07:37  jmallett

	* configure, autoconf/configure.in: Add support for MIPSpro based
	on what the SGI ABI compiler manpage dictates, though MIPSpro will
	probably play nice with a different set of options... This needs
	tested, but I can't test it, so I'm going to commit it as it doesn't 
	break anything that wouldn't already be broken, and hope someone can
	test it.  

2002-02-05 04:42  leeh

	* src/ircd_parser.y: 
	- dont allow spaces in network name (breaks 005) 

2002-02-04 21:04  wcampbel

	* INSTALL, README.FIRST: Update to INSTALL, reference convertklines 
	Cygwin IS currently supported, in a limited way.  

2002-02-04 19:40  jmallett

	* tools/viconf.c: Fix typo, viconf.c["Cant'", "Can't"] 

2002-02-04 19:20  ejb

	* Hybrid-team: changed my nick & email in Hybrid-team 

2002-02-04 14:07  ejb

	* adns/descrip.mms, include/res.h, modules/descrip.mms,
	modules/core/descrip.mms, src/descrip.mms, src/modules.c: 
	- fixed VMS compile; we generate [.modules]core.olb from 
	  [.modules.core]*.c, and link against [.src]ircd.exe along 
	  with modules.olb.  NOT tested for runtime yet, also still need 
	  to fix config.h paths (so binaries can be distributed).  

2002-02-04 12:14  androsyn

	* src/adns.c: The bugfix that went in -6. Well here it is for -7.  

2002-02-04 09:56  leeh

	* Hybrid-team, modules/.depend: 
	- added jmallet^3 to hybteam 

2002-02-04 09:31  jmallett

	* README.PLATFORMS: Correct my name, s/Joseph/J./ 

2002-02-04 08:22  jmallett

	* configure: Regenerate configure with autoconf 2.13 

2002-02-04 08:17  jmallett

	* autoconf/configure.in: Add rtsigio to the list of things we can't
	find if we can't find any selection paradigm. However I am not sure
	if we should automagically try this as it is marked experimental...
	? 

2002-02-04 05:51  androsyn

	* src/listener.c: Check errno, before we whine to the oper about
	being able to accept the connection or not.  

2002-02-04 00:03  androsyn

	* src/s_bsd_sigio.c: This should keep us from calling fcntl() on
	every read or write.  

2002-02-03 23:11  androsyn

	* src/s_bsd_sigio.c: Back out the changes Andrew made that tried to
	call the handler in comm_setselect() as these are not needed now.  

2002-02-03 23:07  androsyn

	* src/: s_bsd_sigio.c, s_serv.c: Minor bugfixes with fcntl() 

2002-02-03 22:17  androsyn

	* src/: channel.c, client.c, linebuf.c: Some tweaks to the default
	block heap sizes.. The should reduce initial memory consumption by a
	bit.  

2002-02-03 21:52  androsyn

	* modules/m_rehash.c: Ponder..who took out cleanup_channels() from
	rehash channels anyways..  

2002-02-03 21:29  androsyn

	* configure, autoconf/configure.in, include/setup.h.in,
	src/listener.c, src/s_auth.c, src/s_bsd.c, src/s_serv.c: Fix the RT
	Sigio code on linux once and for all.  Somebody other than me should
	test this and give me some feedback.  

2002-02-03 11:58  androsyn

	* modules/: m_kline.c, m_trace.c: A few changes that will keep code
	from directly calling time() by itself.  It now calls set_time(),
	updating SystemTime(and CurrentTime), and uses CurrentTime directly.  

2002-02-02 09:01  leeh

	* help/Makefile.in: 
	- dont build index files by default, we can keep them updated and in
	cvs 

2002-02-02 08:56  leeh

	* configure, autoconf/configure.in: 
	- patch to fix HAVE_SNPRINTF HAVE_VSNPRINTF via Giorgos Keramidas 
	  <keramida@freebsd.org> 

2002-02-02 08:34  leeh

	* include/supported.h, src/s_user.c: 
	- 005 was exceeding MAPARAMS, so added a second 005 set, which
	  includes the missing NETWORK=%s 

2002-02-02 08:25  leeh

	* src/parse.c: 
	- if we were exceeding the param count, we werent stripping off the
	  : (like we do if we dont exceed it), so we were ending up with ::::
	across servers 

2002-02-01 09:48  wcampbel

	* README.FIRST: Document the requirement that /etc/ services,
	protocols, and resolv.conf must be readable by the ircd user in
	order for the server to start.  

2002-01-31 21:13  wcampbel

	* doc/challenge.txt: Updated the challenge/response document from
	the SGML source.  

2002-01-30 07:59  leeh

	* include/channel.h, modules/m_set.c, src/client.c: 
	- commited patch to fix check_splitmode() wrt events from 
	  Giorgos Keramidas <keramida@ceid.upatras.gr> 

2002-01-29 23:48  androsyn

	* src/ircd.c: Keep people from starting ircd as root.  

2002-01-28 13:58  leeh

	* contrib/: example_module.c, m_flags.c, m_jupe.c, m_map.c,
	m_mkpasswd.c: 
	- commited hwys patch for contrib/ 

2002-01-27 12:05  leeh

	* modules/Makefile.in: 
	- commited hwys fix for the makefile 

2002-01-26 13:16  db

	* src/channel.c: Don't use strlen() when sprintf() already returns
	it 

2002-01-23 11:14  leeh

	* src/s_user.c: 
	- fixed the invisible stuff reported by andro..  

2002-01-23 10:59  leeh

	* src/s_serv.c: 
	- added an !IsRegistered check to hunt_server, else we would forward
	  trace requests to a client that had sent NICK but not USER 

2002-01-22 10:21  davidt

	* include/client.h, src/client.c: 
	- Add client_p->free_file and client_p->free_line.  
	  When exit_client() is called, it records the line/file it was
	  called from in the client struct, and if the client has already
	  been added to the dead_list, it will fail an assert leaving
	  free_[file|line] to be examined.  
	- This should be backed out before releasing, all changes are
	  wrapped in #ifdef DUPFREEDEBUG 

2002-01-21 23:11  androsyn

	* src/s_user.c: Fixed the ping cookie bug..now we need to fix the
	negative user count crap..  

2002-01-21 20:02  androsyn

	* src/client.c: An assert that should catch this double free bug.
	Basically we check to make sure the client isn't already on the dead
	list.  

2002-01-19 23:26  jmallett

	* include/memory.h: Add support for pulling in inttypes on VMS for
	uintptr_t.  Obtained partially from:	ejb 

2002-01-16 15:21  leeh

	* modules/m_invite.c: 
	- check_channel_name returns an int, not null..  

2002-01-16 09:02  jmallett

	* include/: hook.h, memory.h: Move my uintptr_t checks to memory.h,
	since it works with pointers and belongs there moreso than hook.h
	and now we can build on OpenBSD! 

2002-01-16 08:47  jmallett

	* configure, autoconf/configure.in, include/hook.h,
	include/setup.h.in: If we have <inttypes.h> include it for use of
	uintptr_t. If we don't, we check to see if we have uintptr_t
	normally. If we do not, define it as an unsigned long, as that
	should work on most/all platforms.  

2002-01-14 13:17  leeh

	* src/s_user.c: 
	- we needed a send_umode() for local clients..  

2002-01-13 17:56  androsyn

	* src/balloc.c: I will compile before I commit.  I will compile
	before I commit.  

2002-01-13 17:01  leeh

	* contrib/: m_clearchan.c, m_ojoin.c, m_opme.c: 
	- updated to revision stuff 

2002-01-13 16:49  leeh

	* src/s_user.c: 
	- removing it is better than a debug #if 0 

2002-01-13 16:47  leeh

	* src/s_user.c: 
	- fixed the double mode crap 

2002-01-13 16:33  androsyn

	* src/balloc.c: Add a check for mmap() failure.  

2002-01-13 16:22  leeh

	* src/s_user.c: 
	- fixed a stupid: wed mixed FLAGS_INVISIBLE into both sptr->umodes
	  and sptr->flags, so a user being invisible, was never told it unless
	  they forced the mode themselves ;) 

2002-01-13 11:54  wcampbel

	* BUGS, TODO, contrib/README, doc/index.txt, doc/whats-new.txt,
	tools/README: Doc updates Removed build_one, I'm sick of larne's
	whining 

2002-01-13 11:31  wcampbel

	* Makefile.in, RELNOTES, doc/ircd.8: Reference beta10 rather than
	beta8 

2002-01-13 09:22  db

	* src/channel.c: Smokey the coder says, only you can stop cute
	wrong code! <   if (who) --- >   if (who != NULL) 

2002-01-13 08:02  jmallett

	* modules/core/m_message.c: Move fl_'s check for a server sending a
	PRIVMSG into m_privmsg, and just return there, instead of going into
	m_message and _then_ checking for PRIVMSG or NOTICE.  

2002-01-13 07:58  jmallett

	* modules/core/m_message.c: As we now check much earlier on to see
	if a server is trying to PRIVMSG, take out the !IsPerson conditional
	here, so a server can indeed NOTICE a channel, in the case of, for
	example, saying someone cannot be opped at this time as the server
	is in split more (or things like channel flooding even!) 

2002-01-13 00:19  jmallett

	* src/hostmask.c: Fixing some comments, since they'll get fixed
	eventually anyway: 
	- "an possible" -> "a possible" 

2002-01-13 00:11  jmallett

	* contrib/spy_whois_notice.c: Make spy_whois_notice.c's _version
	use #Revision# 

2002-01-13 00:02  jmallett

	* include/s_bsd.h: Update comments about READBUF_SIZE 

2002-01-12 17:41  androsyn

	* src/adns.c: Fixed yet another wacky and weird /rehash dns bug..  

2002-01-12 16:06  a1kmm

	* src/channel.c: 
	- chanops != chanops_voiced 

2002-01-12 13:08  leeh

	* modules/core/m_message.c: 
	- servers shouldnt send privmsgs.. we have to allow notices for
	  stuff like remote klines etc, but there should be no reason for a
	privmsg at all 

2002-01-12 11:45  jmallett

	* configure, autoconf/configure.in: Portability fixing 
	- if the autoconf check for working '-g' failed, don't shove '-g'
	  down the IRC_CFLAGS of an unknown compiler, if it does work, add it
	  by default.  Checks for specific compilers ala TenDRA should be done
	  if it is known to produce bad code :) 

2002-01-12 11:38  jmallett

	* configure, autoconf/configure.in, include/setup.h.in, src/hook.c,
	src/ircd.c, src/modules.c: Add still more fixups for using TenDRA
	out of the box with Hybrid7.  
	
	- configure magic to stop autoconf from slamming '-g' into CFLAGS 
	  just because it doesn't explicitly break compiling NULL files 
	  Thanks to: Andrew Clausen for helping me think around this 
	- configure magic to make autoconf pick up the right types and 
	  includes on the host system, since autoconf uses CPPFLAGS to 
	  check for includes and types, and TenDRA does standards checking 
	  even when acting as a plain preprocessor, or whatever autoconf 
	  is making it do 
	- configure magic to check for <sys/resource.h>, use accordingly.  
	- we can't _really_ convert directly between data type pointers to 
	  function pointers, so convert to a faceless intermediary type
	  first, namely uintptr_t (as defined by ISO -- should always
	exist?).  

2002-01-10 21:00  wcampbel

	* doc/example.conf: Corrected some of the items that Lee recently
	changed in the parser.  It's still not properly done...this whole
	doc MUST be rewritten soon.  

2002-01-10 14:54  jmallett

	* Hybrid-team: Sort in nick alphabetical order, as advertised.  

2002-01-10 14:36  jmallett

	* configure, autoconf/configure.in: Add proper TenDRA support to
	our configure script. Not only can we detect if someone is trying to
	use TenDRA, we can also set up the necessary string of IRC_CFLAGS to
	work on most platforms, and we can produce shared modules! 

2002-01-10 13:45  jmallett

	* iauth/source/auth.c, iauth/source/mtree.c, iauth/source/sock.c,
	src/ircdauth.c: Second round of my commits to change zero and
	pointer comparing in assertions.  This time do ones in the form of
	'assert(ptr [!=]= 0)', reverse of last sweep.  

2002-01-10 13:30  jmallett

	* src/s_bsd.c: Turn off disable_sock_options if we have IPV6 set
	up. The real solution is to do "proper" things for IPV6 here but
	using IPPROTO_IPV6 just makes protocol unavailable messages instead.
	So Here it is disabled, a temporary and seemingly satisfactory fix.  

2002-01-10 08:59  jmallett

	* configure, autoconf/configure.in, src/Makefile.in,
	src/snprintf.c: Conditionalise src/snprintf.c on whether or not we
	actually need it using configure! This also means we don't need to
	produce a bogus non-empty translation unit for strict compilers like
	TenDRA, Forte, and aCC.  

2002-01-10 07:05  androsyn

	* README.PLATFORMS: I suppose I'll claim Linux on x86 and sparc 

2002-01-09 19:17  wcampbel

	* README.PLATFORMS: I guess I'll take the punish^H^H^H^H^Hleasure
	of handling Cygwin issues :) 

2002-01-09 17:51  jmallett

	* README.PLATFORMS: Reformat the table to have space for 'Mac OS X'
	in the OS area. Also I'll support both Darwin and Mac OS X users.
	The two are orthogonal sometimes.  

2002-01-09 17:31  joant

	* README.PLATFORMS: ircd-hybrid-7/README.PLATFORMS 

2002-01-09 17:15  jmallett

	* README.FIRST, README.PLATFORMS: Since supporting Hybrid on every
	platform someone would run it on is important, add a document
	including people who want to take responsibility for, as well as who
	to yell at when things blow up. Add myself appropriately as the
	NetBSD and OpenBSD on SPARC with GCC person, as well as Darwin on
	PPC with Apple's version of gcc, and TenDRA on FreeBSD/x86.  The BSD
	on SPARC stuff doesn't currently work because of GCC, but I'll still
	take responsibility and try to help people with Hybrid on that pair 
	of platforms.  

2002-01-09 16:58  jmallett

	* README.FIRST: Add notes about Darwin and Mac OS X and GCC on
	SPARC and UltraSPARC that I've run into in my portability checks.  

2002-01-09 12:38  jmallett

	* tools/mkpasswd.c: Extraneous extern optind. We don't use optind
	anywhere right now, so we don't need its definition.  

2002-01-09 10:38  jmallett

	* src/: client.c, s_bsd.c, s_gline.c, s_serv.c, s_user.c, whowas.c: 
	Clean up a number of uses of "assert(0 != pointer)" and "assert(0 ==
	pointer)" and use NULL instead, since that will always do the right
	thing.  

2002-01-09 10:30  db

	* src/match.c: 
	- 0 != ptr is just _WRONG_ 

2002-01-09 10:16  leeh

	* doc/example.conf, include/s_conf.h, include/supported.h,
	modules/m_info.c, src/channel_mode.c, src/ircd.c, src/ircd_lexer.l,
	src/ircd_parser.y, src/s_conf.c, src/s_serv.c: 
	- updated /info to cover everything in ircd.conf at current 
	- renamed the following variables for consistency: 
	  maxbans -> max_bans 
	  allow_hidden -> disable_hidden 
	  split_server/user_count -> default_split_server/user_count 
	- added pace_wait to example.conf 

2002-01-09 10:09  db

	* modules/m_gline.c, src/match.c: 
	- style cleanups, also removed dead code marked as such 

2002-01-09 09:19  leeh

	* include/hostmask.h, modules/m_stats.c, src/hostmask.c: 
	- made stats k/K use find_conf_by_address instead of
	  find_address_conf saves us looping twice, once for an auth, once for
	a kline..  
	- hence removed the extra parm to report_Klines 

2002-01-09 05:27  jmallett

	* src/memory.c: Oops, meant to do cvs ci src/memory.c and did cvs
	ci -m src/memory.c 
	
	Anyway, correct usage of mem_frob (instead of memfrob()) and put it
	inside #ifndef NDEBUG.  

2002-01-09 05:20  jmallett

	* src/: client.c, memory.c: src/memory.c 

2002-01-08 17:53  jmallett

	* modules/m_gline.c: Document GLine interfaces somewhat slightly,
	including inputs and what we're doing with so many inputs! 

2002-01-08 09:23  jmallett

	* src/client.c: Add an assertion to make sure the head of the list
	of channels a user being exited is in is really NULL. This is
	manifesting itself in strange ways later on and we need to head it
	off here.  

2002-01-07 13:32  jmallett

	* configure, autoconf/configure.in: Fix OS/compiler logic in
	configure to be slightly more generic than checking for using gcc in
	the SunOS case, in case we decide to include support for generic
	portable compilers like TenDRA or OpenWatcom or such, and they have
	different options for PIC code.  

2002-01-07 10:48  jmallett

	* configure, autoconf/configure.in: Bring in my slightly redone PIC
	checks. Fixes GCC on SunOS problems with the previous version of my
	changes here. Also include some notes about what is being done for
	PIC checks.  

2002-01-06 23:26  db

	* contrib/help/opers/index, help/opers/index,
	contrib/help/users/index, help/users/index: 
	- reverted accidental commits 

2002-01-06 23:12  joant

	* contrib/help/opers/index, help/opers/index,
	contrib/help/users/index, help/users/index, src/s_bsd.c,
	src/snprintf.c, tools/convertconf.c, tools/convertklines.c: 
	Portability fixes for vendor compilers 

2002-01-06 22:50  db

	* configure, autoconf/configure.in, modules/m_invite.c: 
	- folded in jmallets changes for OSX loadable modules 

2002-01-06 14:09  leeh

	* modules/core/m_kill.c: 
	- added oper accountability back to kills via quits 
	- fixes for -6, which takes the nick of the killer from the front of
	  the path - so set path = source_p->name when bogus..  
	- cleanups 

2002-01-06 11:16  leeh

	* doc/example.conf: 
	- slight doc updte.  

2002-01-06 11:12  leeh

	* contrib/help/opers/set, help/opers/set, include/ircd.h,
	modules/m_set.c, src/channel.c, src/client.c, src/ircd.c: 
	- fixed up splitmode 

2002-01-05 23:26  a1kmm

	* modules/m_gline.c: Cast localtime argument to (const time_t*)
	first, apparently fixes some compile warnings on OpenBSD/sparc/gcc.  
	Submitted by: flata(Joseph Mallett).  

2002-01-05 21:46  a1kmm

	* modules/m_invite.c: 
	- Don't send invite back to the source even if they are the target
	  of the invite.  

2002-01-05 02:14  a1kmm

	* LICENSE, contrib/m_flags.c, contrib/m_jupe.c, contrib/m_map.c,
	contrib/m_mkpasswd.c, contrib/spy_admin_notice.c,
	contrib/spy_info_notice.c, contrib/spy_links_notice.c,
	contrib/spy_motd_notice.c, contrib/spy_stats_notice.c,
	contrib/spy_stats_p_notice.c, contrib/spy_trace_notice.c,
	contrib/spy_whois_notice.c, include/balloc.h, include/channel.h,
	include/channel_mode.h, include/class.h, include/client.h,
	include/common.h, include/config.h, include/config.h.dist,
	include/defaults.h, include/event.h, include/fdlist.h,
	include/fileio.h, include/handlers.h, include/hash.h,
	include/hook.h, include/hostmask.h, include/irc_string.h,
	include/ircd.h, include/ircd_defs.h, include/ircd_getopt.h,
	include/ircd_handler.h, include/ircd_signal.h, include/ircdauth.h,
	include/linebuf.h, include/list.h, include/listener.h,
	include/m_info.h, include/m_kline.h, include/md5.h,
	include/memory.h, include/modules.h, include/motd.h, include/msg.h,
	include/numeric.h, include/packet.h, include/parse.h,
	include/patchlevel.h, include/res.h, include/restart.h,
	include/resv.h, include/rsa.h, include/s_auth.h, include/s_bsd.h,
	include/s_conf.h, include/s_debug.h, include/s_gline.h,
	include/s_log.h, include/s_misc.h, include/s_serv.h,
	include/s_stats.h, include/s_user.h, include/s_zip.h,
	include/scache.h, include/send.h, include/setup.h.in,
	include/setup.h_vms, include/sprintf_irc.h, include/supported.h,
	include/tools.h, include/vchannel.h, include/whowas.h,
	modules/m_accept.c, modules/m_admin.c, modules/m_away.c,
	modules/m_capab.c, modules/m_cburst.c, modules/m_challenge.c,
	modules/m_cjoin.c, modules/m_close.c, modules/m_connect.c,
	modules/m_cryptlink.c, modules/m_dmem.c, modules/m_drop.c,
	modules/m_eob.c, modules/m_gline.c, modules/m_help.c,
	modules/m_info.c, modules/m_invite.c, modules/m_ison.c,
	modules/m_join.c, modules/m_kline.c, modules/m_knock.c,
	modules/m_links.c, modules/m_list.c, modules/m_lljoin.c,
	modules/m_llnick.c, modules/m_locops.c, modules/m_lusers.c,
	modules/m_motd.c, modules/m_names.c, modules/m_nburst.c,
	modules/m_oper.c, modules/m_operwall.c, modules/m_pass.c,
	modules/m_ping.c, modules/m_pong.c, modules/m_post.c,
	modules/m_rehash.c, modules/m_restart.c, modules/m_resv.c,
	modules/m_set.c, modules/m_stats.c, modules/m_svinfo.c,
	modules/m_testline.c, modules/m_time.c, modules/m_topic.c,
	modules/m_trace.c, modules/m_unkline.c, modules/m_user.c,
	modules/m_userhost.c, modules/m_users.c, modules/m_version.c,
	modules/m_wallops.c, modules/m_who.c, modules/m_whois.c,
	modules/m_whowas.c, modules/core/m_die.c, modules/core/m_kick.c,
	modules/core/m_kill.c, modules/core/m_message.c,
	modules/core/m_mode.c, modules/core/m_nick.c,
	modules/core/m_part.c, modules/core/m_quit.c,
	modules/core/m_server.c, modules/core/m_sjoin.c,
	modules/core/m_squit.c, src/adns.c, src/balloc.c, src/channel.c,
	src/channel_mode.c, src/class.c, src/client.c, src/crypt.c,
	src/event.c, src/fdlist.c, src/fileio.c, src/getopt.c, src/hash.c,
	src/hook.c, src/hostmask.c, src/irc_string.c, src/ircd.c,
	src/ircd_lexer.l, src/ircd_parser.y, src/ircdauth.c, src/kdparse.c,
	src/linebuf.c, src/list.c, src/listener.c, src/m_error.c,
	src/md5.c, src/memory.c, src/modules.c, src/motd.c, src/numeric.c,
	src/packet.c, src/parse.c, src/restart.c, src/resv.c, src/rsa.c,
	src/s_auth.c, src/s_bsd.c, src/s_bsd_devpoll.c, src/s_bsd_kqueue.c,
	src/s_bsd_poll.c, src/s_bsd_select.c, src/s_bsd_sigio.c,
	src/s_conf.c, src/s_debug.c, src/s_gline.c, src/s_log.c,
	src/s_misc.c, src/s_serv.c, src/s_stats.c, src/s_user.c,
	src/scache.c, src/send.c, src/snprintf.c, src/sprintf_irc.c,
	src/tools.c, src/vchannel.c, src/whowas.c: 
	- Put the ircd under GPLv2, as allowed under GPLv1.  
	- Added a consistant header to all ircd files as suggested under the
	  GPL version 2 license. This will ensure that we as coders are
	  protected against inclusion of our code into commercial projects,
	  and more importantly, liability for anything that might go wrong.  
	Approved-By: Diane 

2002-01-04 22:27  db

	* src/md5.c: 
	- alarm() is deprecated, use setitimer 
	- timer is not needed anyway, since NO one in their right minds
	  would run an efnet server on an NFS mount 
	- this code sucketh majorly and will be dealt with, but I couldn't 
	  take the alarm anymore 

2002-01-04 19:15  db

	* servlink/servlink.h, src/channel.c: 
	- Two tiny portability changes suggested by Joseph Mallett 
	  missing void * in channel.c check_splitmode() 
	  moved order of externs in serverlink.h 

2002-01-04 08:01  leeh

	* modules/Makefile.in, src/modules.c: 
	- made m_message.c a core module 

2002-01-04 05:10  leeh

	* src/modules.c: 
	- there was an #ifdef STATIC_MODULES at the top :) 

2002-01-03 22:33  db

	* src/: ircd.c, modules.c: 
	- Don't try to load core modules if doing a static link 

2002-01-03 22:02  db

	* adns/dlist.h: 
	- The define has to be left there, cause after all, its about to be
	used ;-) 

2002-01-03 21:20  androsyn

	* adns/: check.c, dlist.h: Fixed brokeness of OS X C compiler. 
	Thanks a lot for managing to screw up something else..  

2002-01-03 16:46  leeh

	* src/channel.c: 
	- dont allow users to send to resv'd channels 

2002-01-03 05:11  leeh

	* modules/Makefile.in, src/modules.c: 
	- made quit a core module 

2002-01-02 15:08  leeh

	* include/modules.h, src/modules.c: 
	- finished protected modules (raaaah!) 

2002-01-02 14:43  leeh

	* include/modules.h, src/modules.c: 
	- added headers to most of the modules functions 

2002-01-02 10:45  leeh

	* include/modules.h, modules/Makefile.in, src/ircd.c,
	src/modules.c: 
	- install core modules into ircd/modules 
	- on startup walk a table of core modules, loading each as we go 
	  if any fail, exit(0); 
	- no protection from modunload as of yet..  

2002-01-02 09:43  leeh

	* include/config.h, include/config.h.dist, src/modules.c: 
	- renamed MODPATH to AUTOMODPATH 
	- added MODPATH 

2002-01-02 08:38  leeh

	* modules/core/m_kill.c: 
	- dont give out remote servernames of kills when we have shide on 

2002-01-02 08:31  wcampbel

	* doc/serverhide.txt: Updated SHIDE documentation 

2002-01-02 08:25  leeh

	* modules/m_users.c, src/s_user.c: 
	- fixes for local client stuff wrt shide 

2002-01-01 15:27  leeh

	* modules/core/m_kill.c: 
	- tell users when they get killed 

2002-01-01 15:12  leeh

	* modules/Makefile.in: 
	- beginning of the core module stuff 

2002-01-01 11:50  db

	* modules/core/m_mode.c: 
	- cosmetic cleanup of m_mode.c 

2002-01-01 09:27  leeh

	* modules/Makefile.in, src/channel_mode.c: 
	- allow halfops to set all simple modes except MODE_PRIVATE 
	- that extra -c in Makefile.in was causing: 
	  [2002/1/1 16.22] Error loading module m_whowas.so: 
	  /home/leeh/ircd-7/modules/autoload//m_whowas.so: unsupported file
	  type 
	
	  reverted.  

2002-01-01 08:58  leeh

	* doc/example.conf: 
	- documented vhost="" 

2002-01-01 08:53  leeh

	* src/: ircd_lexer.l, ircd_parser.y: 
	- renamed bind_address to vhost for consistency with serverinfo {}; 

2001-12-31 23:56  a1kmm

	* include/channel.h: 
	- Turned off intensive debug. Hopefully all the channel bugs have
	gone.  

2001-12-31 22:08  a1kmm

	* modules/m_capab.c: 
	- Handle CAPAB x y z the same as CAPAB :x y z 

2001-12-31 08:22  db

	* modules/Makefile.in: 
	- missing -c 

2001-12-31 07:06  db

	* src/channel_mode.c: 
	- fixed obvious typo. this resolves assert failure 

2001-12-31 05:54  db

	* src/s_serv.c: 
	- trivial cosmetic change. dumb spacing 

2001-12-31 04:13  a1kmm

	* src/channel_mode.c: 
	- Changed cl => ch. It is 1/1/2002 0:13 NZDT so I am allowed to make
	  a few typos.  

2001-12-31 04:04  a1kmm

	* include/channel.h, src/channel_mode.c, src/ircd_parser.y,
	src/parse.c: 
	- Commited some integrity checks for the channels. These are very
	  CPU intensive, and they are checked for every command, but I left
	  them on for now so we can catch anything wrong with the channel code
	  for the soonest possible release time.  

2001-12-30 15:11  db

	* include/config.h, include/config.h.dist, modules/core/m_sjoin.c: 
	- "up" ported IGNORE_BOGUS_TS define from 6. This is a module, so
	  easy to re-enable later.  

2001-12-30 02:11  a1kmm

	* modules/m_who.c, modules/core/m_sjoin.c, src/s_debug.c,
	src/s_serv.c, src/vchannel.c: 
	- Fixed a few missing references to chanops_voiced. This time I
	  found where they should be with grep, so I hopefully did not miss
	any again.  

2001-12-30 00:49  a1kmm

	* include/channel.h, modules/.depend, modules/core/m_sjoin.c,
	src/channel.c, src/channel_mode.c, src/send.c: 
	- Finished implementing +vo. It is turned on by the define
	REQUIRE_OANDV 
	- Fixed a minor bug in chm_voice which could cause desyncs.  
	- Fixed halfop privilege checks for simple modes and +-h.  

2001-12-30 00:45  db

	* include/s_conf.h, src/ircd_lexer.l, src/ircd_parser.y,
	src/s_bsd.c, src/s_conf.c, src/s_serv.c: 
	- added the ability to specify a specific IP to bind to for outgoing 
	  connects. in connect block 
	- removed really really bad doc. If this is still needed, I have a
	  local copy.  

2001-12-29 23:32  db

	* include/s_conf.h, src/s_conf.c: 
	- removed another uneeded four bytes from struct ConfItem 

2001-12-29 22:55  db

	* include/s_conf.h: 
	- removed two struct elements no longer used in struct ConfItem 

2001-12-29 21:19  db

	* src/: client.c, irc_string.c, ircd.c, ircdauth.c, listener.c,
	m_error.c, match.c, parse.c, s_bsd_kqueue.c, s_bsd_sigio.c,
	s_conf.c, s_debug.c, s_serv.c, s_user.c, snprintf.c: 
	- removed some #if 0's .. Some of these are ok for commenting code 
	  so left those, but most was old and dead code.  

2001-12-29 16:29  db

	* include/channel.h, src/channel_mode.c: 
	- start in at the +vo crapola 

2001-12-29 15:52  wcampbel

	* doc/example.conf: Document ping_cookie in both example.conf's 

2001-12-29 11:40  davidt

	* modules/m_help.c: 
	- Avoid trying to lowercase a string constant.  

2001-12-29 10:24  davidt

	* src/ircd.c: 
	- Produce srandom seed slightly differently 
	  (XOR tv_sec with tv_usec and pid) 

2001-12-29 01:23  androsyn

	* modules/m_pong.c: Fixed header order..  

2001-12-29 01:07  androsyn

	* include/client.h, include/numeric.h, include/s_conf.h,
	src/ircd.c, src/ircd_lexer.l, src/ircd_parser.y, src/messages.tab,
	src/s_user.c, modules/m_pong.c: Changes to support PING cookies.  

2001-12-28 10:08  davidt

	* help/Makefile.in, contrib/help/opers/index, help/opers/index,
	contrib/help/users/index, help/users/index: 
	- Expand tabs in index, to prevent it being mutilated when
	displayed.  

2001-12-28 10:00  davidt

	* help/Makefile.in, contrib/help/users/index, help/users/index,
	contrib/help/opers/index, help/opers/index: 
	- Convert index to uppercase, and columnise.  

2001-12-28 09:41  davidt

	* help/Makefile.in, contrib/help/opers/index, help/opers/index,
	contrib/help/users/index, help/users/index, modules/m_help.c: 
	- De-K&Rify m_help.c 
	- Make /HELP and /UHELP case-insensitive 
	- Make /UHELP with no args do /UHELP index (like /HELP) 
	- Add 'make index' target in help/ 
	- Add indexes.  
	  Currently these are in CVS, and auto-generated.  Perhaps they
	  shouldn't be.  

2001-12-27 18:21  a1kmm

	* modules/m_llnick.c: 
	- Also don't allow llnick on a non-local nick.  

2001-12-27 18:10  a1kmm

	* modules/m_llnick.c: 
	- Don't allow a ll client server to change a nick on the ll hub.  

2001-12-27 14:02  leeh

	* modules/m_stats.c: 
	- missed a hook_add_event 

2001-12-27 04:39  leeh

	* modules/m_stats.c: 
	- commiting in contrib/ only doesnt work, oops ;p 

2001-12-27 04:38  leeh

	* contrib/: Makefile.in, README, example_module.c, m_flags.c,
	m_jupe.c, m_map.c, m_mkpasswd.c, spy_admin_notice.c,
	spy_info_notice.c, spy_links_notice.c, spy_motd_notice.c,
	spy_stats_notice.c, spy_stats_p_notice.c, spy_trace_notice.c: 
	- added the Revision stuff to the _version strings in contrib/ 
	- inverted an if() to make it cleaner 
	- added stats_p_notice spying..  

2001-12-26 19:36  db

	* src/ircd_parser.y: 
	- If there is no crypt, don't look for crypt variables..  

2001-12-24 23:51  androsyn

	* src/: s_stats.c, scache.c: Fixed more bogus $Id$ tags..  

2001-12-24 23:48  db

	* src/whowas.c: 
	- bogus $Id 

2001-12-24 09:15  androsyn

	* modules/: m_accept.c, m_admin.c, m_away.c, m_capab.c, m_cburst.c,
	m_challenge.c, m_cjoin.c, m_close.c, m_connect.c, m_cryptlink.c,
	m_dmem.c, m_drop.c, m_eob.c, m_gline.c, m_help.c, m_info.c,
	m_invite.c, m_ison.c, m_join.c, core/m_die.c, m_kline.c, m_knock.c,
	m_links.c, m_list.c, m_lljoin.c, m_llnick.c, m_locops.c,
	m_lusers.c, core/m_kick.c, core/m_kill.c, core/m_message.c,
	m_motd.c, m_names.c, m_nburst.c, m_oper.c, m_operwall.c, m_pass.c,
	m_ping.c, m_pong.c, m_post.c, core/m_mode.c, core/m_nick.c,
	core/m_part.c, core/m_quit.c, m_rehash.c, m_restart.c, m_resv.c,
	m_set.c, m_stats.c, m_svinfo.c, m_time.c, m_topic.c,
	core/m_server.c, core/m_sjoin.c, core/m_squit.c, m_trace.c,
	m_unkline.c, m_user.c, m_userhost.c, m_users.c, m_version.c,
	m_wallops.c, m_who.c, m_whois.c, m_whowas.c: Change the _version
	stuff to use the Revision tag..  

2001-12-24 09:12  androsyn

	* modules/m_testline.c: Test commit..  

2001-12-23 14:11  davidt

	* src/s_serv.c: 
	- Fix possible division by zero.  

2001-12-21 22:31  wcampbel

	* modules/m_close.c: Fix for: *** CLOSE Not enough parameters 

2001-12-21 20:09  wcampbel

	* doc/ircd.8: Update to the manpage, HTML version available: 
	http://kabel.pp.ru/sgml/ircd.8.html 

2001-12-20 21:57  wcampbel

	* doc/challenge.txt: Update to the CHALLENGE/Response Docs 
	
	Approved by:	me.  

2001-12-20 21:11  db

	* modules/m_oper.c: 
	- An oper using RSA challenge, does not have a normal password.  
	  If they are perverse enough to try to oper using a password, don't 
	  let them core the server.  

2001-12-20 13:32  leeh

	* src/send.c: 
	- dont check to->from->from! 

2001-12-20 13:23  leeh

	* doc/example.conf, src/ircd_parser.y: 
	- ripped host=""; from shared {}; and made it use user="user@host";
	  like the rest of the config does..  
	- this MAY cause issues with older confs 

2001-12-20 12:31  androsyn

	* src/ircd_parser.y: Fixed oper {} so that a block with a key set
	and no password is counted as valid.  

2001-12-20 11:38  leeh

	* modules/core/m_quit.c: 
	- m_quit() can never be called by a server or a foreign client 

2001-12-20 11:34  leeh

	* modules/m_restart.c: 
	- SHOW_IP -> HIDE_IP 
	- removed a pointless ilog(), we have two others anyway.  

2001-12-20 11:22  leeh

	* modules/m_info.c: 
	- removed a pointless IsOper() 

2001-12-20 03:05  leeh

	* modules/m_stats.c: 
	- we used client_p in half, source_p in half, changed to source_p 
	- dont pace remote clients 
	- cleanups 

2001-12-19 10:45  leeh

	* include/client.h, modules/m_knock.c, modules/m_stats.c,
	modules/m_trace.c, src/s_conf.c, src/s_user.c: 
	- major cleanups on trace 
	- ripped IsIPHidden - its depreciated, we have IsIPSpoof 

2001-12-19 09:02  leeh

	* modules/m_trace.c: 
	- dont show spoofed ips to remote opers 

2001-12-19 02:59  a1kmm

	* modules/.depend, src/.depend, src/client.c, src/list.c,
	src/memory.c, src/s_auth.c, src/s_bsd_sigio.c: 
	- Fixed an uninitialised memory reference into localClient that was
	  coring m_challenge.  
	- s_bsd_sigio now updates the time :) 
	- changed the order of some things to cope with the immediate
	  callback from comm_setselect.  
	- Re-added an O_NONBLOCK previously taken out - it caused the adns
	  socket to end up blocking, which is a bad thing.  
	- Moved the #ifdef USE_SIGIO back down - it break make depend where
	it was.  
	- Remade depend with the right headers.  
	- Added a memfrob in the debugging code to catch uninitialised
	memory.  

2001-12-18 20:21  androsyn

	* adns/setup.c: Make our #define of INADDR_LOOPBACK host byte
	order...  

2001-12-18 20:09  androsyn

	* src/: channel.c, client.c: Change the default allocations for
	various block heaps...Probably ought to move these into config.h or
	something..  

2001-12-18 15:35  leeh

	* contrib/m_jupe.c: 
	- changed a couple of %s!%s@%s -> get_oper_name() 

2001-12-18 08:38  wcampbel

	* contrib/m_jupe.c: Repo moved the backup from developers into here
	and applied Lee's fix.  Repo moves are better as they do not lose
	history.  

2001-12-18 08:36  androsyn

	* src/s_bsd_sigio.c: Move the #ifdef for USE_SIGIO a bit further up
	in the code..  

2001-12-18 08:33  androsyn

	* src/s_bsd_sigio.c: Minor cleanups...  

2001-12-18 01:42  a1kmm

	* src/: s_auth.c, s_bsd.c: 
	- Made s_auth reschedule if no data is read on the first pass. This
	  is needed for sigio to work properly as we need to try reading at
	  once to tell the kernel to send the signal next time. Note that if
	  any auth data is received, it still must all be received in the same
	  packet. This should be a non-risky commit.  
	- Changed an assert() to an if () return; This was needed because
	  with SIGIO a call to comm_setselect from a handler that was not
	  called by comm_setselect can result in a call to the handler, which
	  caused re-entrancy problems with the assert. As the assert() should
	  never happen, this should not affect the rest of the ircd.
	  Additionally, it is a better action in the case it does happen if
	  NDEBUG is defined, as that would otherwise result in the ircd 
	coring(probably).  

2001-12-18 00:20  a1kmm

	* src/s_bsd_sigio.c: 
	- Fixed sigio; we now try to read/write immediately when a handler
	  is set but wasn't before on comm_setselect() 

2001-12-17 10:06  leeh

	* src/ircd.c: 
	- commited hwys patch for cygwin 

2001-12-16 16:04  db

	* include/channel_mode.h: 
	- removed unused macro 
	  I bet there are still a ton of these left ;-( 

2001-12-16 15:25  db

	* include/channel.h: 
	- typedef aBan no longer used. GOOD! DIE DIE DIE! 

2001-12-16 15:22  leeh

	* include/channel_mode.h, src/channel_mode.c: 
	- removed MODE_KEY and MODE_LIMIT (ahahahha!) 

2001-12-16 11:09  leeh

	* modules/core/m_message.c: 
	- PRIVMSG -> "%s", command 

2001-12-16 06:05  leeh

	* modules/m_version.c: 
	- 005 gets mapped to 105, duh. :) 

2001-12-16 05:03  leeh

	* include/s_gline.h, modules/m_gline.c, modules/m_stats.c,
	src/s_gline.c: 
	- if something is glined, cleanup_glines() will now remove it from
	  the pending list 
	- call cleanup_glines() after we add a gline 
	- check find_is_glined() earlier in majority_gline - why check for
	  duplicate votes when its not going to matter anyway? :) 

2001-12-16 04:36  leeh

	* include/hostmask.h, modules/m_stats.c, src/hostmask.c: 
	- report_Ilines -> report_auth 
	- moved the masked stats I code into m_stats.c 

2001-12-16 04:04  leeh

	* modules/: m_info.c, m_motd.c, m_version.c: 
	- removed a bogus MyClient in m_motd() 
	- allow remote versions, depending on serverhide 
	- ratelimit /version 
	- dont send 005 remotely - could cause client confusion? 

2001-12-16 03:15  androsyn

	* src/irc_string.c: Yet another stupid commit...  

2001-12-16 03:13  a1kmm

	* src/irc_string.c: 
	- INT16SZ = 2, not sizeof(unsigned int) 

2001-12-16 03:11  androsyn

	* src/irc_string.c: Fix another #ifdef 

2001-12-16 03:08  androsyn

	* src/irc_string.c: forgot the #ifdef IPV6 

2001-12-16 03:07  androsyn

	* src/irc_string.c: Fixed an ipv6 compile error..  

2001-12-16 02:58  androsyn

	* src/s_bsd_sigio.c: Yet another fix..  

2001-12-16 02:57  androsyn

	* src/s_bsd_sigio.c: Additional fixes for sigio..this should
	resolve the need to goto poll() all the time..  

2001-12-16 00:55  androsyn

	* src/send.c: Removed dead code that was #if 0'd out..  

2001-12-16 00:53  androsyn

	* src/irc_string.c: Removed a stupid check for INADDRSZ 

2001-12-16 00:50  androsyn

	* src/irc_string.c: Ripped out some old code..  

2001-12-16 00:48  androsyn

	* src/restart.c: I will compile before I commit 

2001-12-16 00:43  androsyn

	* src/restart.c: Fixed misleading message on server restart 

2001-12-15 22:10  wcampbel

	* doc/example.conf: Document Jeremy's issue with mismatched
	forward/reverse in connect {}'s host entry.  

2001-12-15 21:53  wcampbel

	* INSTALL, doc/serverhide.txt: Doc updates 

2001-12-15 15:39  leeh

	* contrib/Makefile.in, src/s_conf.c: 
	- added jupe back, its not dangerous 
	- missing %s 

2001-12-15 15:20  leeh

	* modules/.depend, src/.depend, src/client.c: 
	- you cant compile an id string, commented it out in .depend 
	- check for splitmode everytime a client/server leaves (ugh) 

2001-12-15 13:35  leeh

	* messages/ayb.po, messages/custom.po,
	messages/translations/ircd-croatian.po,
	messages/translations/ircd-danish.po,
	messages/translations/ircd-dutch.po,
	messages/translations/ircd-german.po,
	messages/translations/ircd-norwegian.po,
	messages/translations/ircd-spanish.po,
	messages/translations/ircd-swedish.po, modules/m_knock.c,
	src/messages.tab: 
	- updates to knock numerics 

2001-12-15 09:32  wcampbel

	* contrib/help/opers/knockll, help/opers/knockll: This command was
	added recently, adding a generic help file for it.  

2001-12-14 22:34  a1kmm

	* modules/.depend, modules/Makefile.in, src/.depend,
	src/Makefile.in: 
	- Fixed .depend system to work properly with CVS, so we don't always
	  end up committing .depend. .depend changes should now be rare.  
	  Please do not commit after make depend from a non-gcc box unless
	  you are sure that your compiler is not including system headers.
	  Other than that .depend should be universal so we shouldn't
	experience any problems.  

2001-12-14 22:21  wcampbel

	* INSTALL: Lee edited the INSTALL file without editing the SGML
	source, merged back his changes.  

2001-12-14 22:10  wcampbel

	* Hybrid-team, INSTALL, doc/challenge.txt, doc/index.txt,
	doc/messages.txt, doc/server-version-info, doc/serverhide.txt: 
	Documentation updates 

2001-12-14 21:25  androsyn

	* configure: Fixed the check for sigio...  

2001-12-14 21:24  db

	* modules/m_trace.c: 
	- fixed m_trace bug for unopered clients, we didn't check that
	  parv[1] was valid before blindly using it.  

2001-12-14 21:04  a1kmm

	* src/hostmask.c: 
	- stats K & stats Irequested by users is now much more efficiently
	  handled, and it actually works.  

2001-12-14 19:31  db

	* modules/m_unkline.c: 
	- cleanups of extraneous spaces 

2001-12-14 19:24  db

	* include/s_conf.h, modules/m_kline.c, src/s_conf.c: 
	- No reason at all to waste space in the ConfItem 

2001-12-14 19:07  db

	* include/s_conf.h, modules/m_kline.c, src/s_conf.c: 
	- Cleaned up oper_reason code. Only the admins need to see the oper
	  reason.  So only write the oper reason to the kline/dline conf file.
	  Never need to read it back in.  

2001-12-14 09:47  androsyn

	* configure, include/setup.h.in: Last of the sigio changes..  

2001-12-14 08:48  androsyn

	* autoconf/acconfig.h, autoconf/configure.in, src/Makefile.in,
	src/s_bsd_sigio.c, src/s_serv.c: Last of the changes for SIGIO i
	think...  

2001-12-14 08:46  leeh

	* INSTALL, doc/example.conf, src/s_conf.c: 
	- added example.conf.efnet, which allows us to make exmaple.conf
	  more userfriendly with features..  

2001-12-14 08:36  leeh

	* doc/example.conf: 
	- added the split options to example.conf 

2001-12-14 08:26  leeh

	* modules/m_gline.c: 
	- dont compare glines against klines 

2001-12-14 08:16  leeh

	* src/client.c: 
	- fixed the kline_with_connection_closed/kline_with_reason stuff 

2001-12-14 07:31  leeh

	* modules/: m_oper.c, core/m_message.c: 
	- ban our opers doing $irc.server 
	- initialise oconf to NULL 

2001-12-14 01:49  a1kmm

	* .cvsignore, modules/.cvsignore, modules/m_oper.c: 
	- Fixed a core in m_oper() when you deoper and then reoper.  

2001-12-14 00:47  a1kmm

	* src/channel_mode.c: 
	- Don't add ' ' to channel parambuffers unless we just added a
	  parameter mode.  

2001-12-13 21:20  bill

	* src/s_conf.c: 
	- added | support into klines 

2001-12-13 18:30  leeh

	* src/send.c: 
	- removed a dodgy deprintf..  

2001-12-13 13:09  leeh

	* include/channel.h, modules/core/m_die.c, modules/m_restart.c,
	modules/m_set.c, src/channel.c, src/ircd.c: 
	- added a restart notice for servers/users 
	- fixed a dupe die notice 
	- when we're in splitmode, add an event for check_splitmode() every
	  60s to pull us out of it, delete this when its deactivated 

2001-12-13 12:27  leeh

	* include/ircd.h, modules/m_join.c, modules/m_set.c, src/channel.c,
	src/ircd.c, src/s_conf.c: 
	- more splitcode stuff, added it all to /set and made no_*_on_split
	work 
	- needto add user/server tracking later..  

2001-12-13 11:31  davidt

	* doc/technical/cryptlink.txt: 
	- Updated cryptlinks specification as discussed with vulture and
	  einride.  Note that this new protocol has not yet been implemented.  

2001-12-13 11:11  androsyn

	* autoconf/acconfig.h: Fix to keep autoconf from whining about
	HAVE_GETTEXT 

2001-12-13 10:57  leeh

	* configure: 
	- updated from configure.in or something 

2001-12-13 10:40  leeh

	* autoconf/configure.in: 
	- I shouldve done configure.in, not configure (hi larne!) 

2001-12-13 03:29  leeh

	* include/s_conf.h, src/ircd_lexer.l, src/ircd_parser.y: 
	- added split_user_count and split_server_count (number) to channel
	{}; 
	- added no_create_on_split and no_join_on_split (yes/no) to channel
	{}; 

2001-12-12 11:23  db

	* src/ircd.c: 
	- make buff 32 bytes long in both write_pidfile and check_pidfile.
	  purely cosmetic. Just for consistency.  

2001-12-12 00:41  db

	* modules/core/m_server.c: 
	- changed "no H-line" to "no matching hub_mask" 
	- changed comments to match docs host_mask->hub_mask 
	- made an if clearer and a tad more efficient 

2001-12-11 21:58  db

	* src/s_conf.c: 
	- "forward" ported hwy101's tkline expire notify from 6 to 7 

2001-12-11 16:09  leeh

	* configure: 
	- $GCC -> $CC, creating 2.5gig files with make depend isnt fun.  

2001-12-11 07:44  leeh

	* include/supported.h: 
	- if &channels are disabled, dont send it in 005 

2001-12-10 21:32  androsyn

	* configure, adns/Makefile.in, autoconf/configure.in,
	contrib/Makefile.in, modules/Makefile.in, servlink/Makefile.in,
	src/Makefile.in, tools/Makefile.in: Fixed make depend weirdness.
	Use cc -xM if on solaris and not using gcc 

2001-12-10 21:09  androsyn

	* src/ircd.c: Fixed our trojan-enz boner of the year bug...  
	Anybody caught doing something like char buff[sizeof(unsigned
	int)+1] will be beaten with extreme prejudice.  

2001-12-10 20:42  a1kmm

	* modules/Makefile.in, src/Makefile.in: 
	- Fixed $Id: $ tags echoed from Makefile.in into .depend 

2001-12-10 20:35  db

	* src/ircd.c: 
	- changed fd -> fb. How confusing.  

2001-12-10 20:22  a1kmm

	* configure, autoconf/configure.in, help/Makefile.in,
	include/rsa.h, include/setup.h.in, modules/Makefile.in,
	src/Makefile.in, src/rsa.c, src/s_bsd_devpoll.c,
	src/s_bsd_kqueue.c, src/s_bsd_poll.c, src/s_bsd_select.c,
	src/s_bsd_sigio.c: 
	- Fixed dependencies so they are saved to a file ".depend". This
	  means that building doesn't depend on sed, and it fixes the problems
	  admins on boxes that don't support cc -MM by allowing the .depend
	  file to already exist in the tarball.  
	- Moved all the #include "file" that were inside a #ifdef out of
	  them so that we always have dependencies at least as strong as they
	  should be.  
	- Wrapped rsa.h in #ifdef HAVE_LIBCRYPTO so we can include it even
	  when we don't have libcrypto.  
	- Took the dependency build out of configure.  
	- Added a depend target to help/Makefile.in 
	- Added a $Id: $ tag to help/Makefile.in so commit doesn't complain.  

2001-12-10 20:17  joant

	* src/s_log.c: Fixing SYSLOG_USERS compile cleanup 

2001-12-10 20:12  joant

	* src/s_log.c: Fixing SYSLOG_USERS #define error 

2001-12-10 20:09  db

	* src/fileio.c: 
	- formatting change only.  

2001-12-10 16:21  leeh

	* modules/core/m_message.c, src/send.c: 
	- dont check to->from == from->from in sendto_anywhere, stops
	  clients privmsg'ing themselves 
	- moved the check for a client above @#channel etc 
	- fixed a bogus check, only disallow non-chanops to send to
	+%@#channel 

2001-12-10 00:26  androsyn

	* src/s_bsd_sigio.c: Removed unnecessary variable..  

2001-12-10 00:24  androsyn

	* src/s_bsd_sigio.c: Some cleanups of sigio..  

2001-12-10 00:15  androsyn

	* src/send.c, include/fdlist.h: So the last commit to fdlist.h was
	misguided...  
	
	We now go into send_queued_write() directly rather than trying to go
	into comm_setselect() to do it first...This seems to make sigio work
	right..  

2001-12-09 23:57  androsyn

	* include/fdlist.h: Added a field to track writes for sigio 

2001-12-09 23:01  androsyn

	* src/s_bsd_sigio.c: Keep sigio from using 100% of the cpu..  

2001-12-09 22:09  lusky

	* include/patchlevel.h: 
	- revved patchlevel to 7beta9 

2001-12-09 21:37  jdc

	* configure, autoconf/configure.in: 
	- Removal of -R for SSL when using --disable-shared-modules.  

2001-12-09 21:17  jdc

	* include/irc_string.h, include/sprintf_irc.h, src/sprintf_irc.c: 
	- Fixes for ircsprintf() declaration problems.  

2001-12-09 20:55  jdc

	* src/channel.c: 
	- Follow-up fix for s_iphost.  

2001-12-09 20:52  jdc

	* modules/m_knock.c, src/channel.c: 
	- Renamed s_host to src_host; s_host is reserved on Solaris 8,
	  apparently.  s_ipaddr also renamed to src_ipaddr to keep
	consistency.  

2001-12-09 20:15  jdc

	* iauth/source/: misc.c, sock.c: 
	- More 'register' declaration removals.  

2001-12-09 19:59  db

	* include/sprintf_irc.h, src/hash.c, src/hostmask.c,
	src/irc_string.c, src/ircdauth.c, src/linebuf.c, src/sprintf_irc.c: 
	- register keyword is SOOO obsolete its not even funny.  
	  DIE DIE DIE DIE DIE DIE 

2001-12-08 17:57  jdc

	* configure, autoconf/configure.in: 
	- Fix for duplicate -lz's during link-time.  

2001-12-08 11:27  jdc

	* configure, autoconf/configure.in: 
	- zlib version checking during configure.  

2001-12-07 15:53  db

	* include/send.h, modules/m_invite.c, modules/core/m_message.c,
	src/send.c: 
	- do not send to origin in sendto_channel_remote() 

2001-12-07 03:59  leeh

	* doc/example.conf, include/s_conf.h, modules/m_join.c,
	src/ircd_lexer.l, src/ircd_parser.y: 
	- added configserverhide.disable_local_chanels 

2001-12-07 03:45  leeh

	* contrib/: m_clearchan.c, m_jupe.c, m_ojoin.c: 
	- these needed updating wrt the struct Message change done ages ago 

2001-12-06 16:34  davidt

	* make.com: 
	- Remove accidental #Id# tag from ChangeLog 
	- Add #Id# tag to make.com 

2001-12-06 15:52  davidt

	* TODO: 
	- Add $Id$ line.  

2001-12-06 14:55  androsyn

	* TODO: Test commit 

2001-12-06 13:46  leeh

	* include/modules.h: 
	- missing knockll_msgtab 

2001-12-06 12:14  androsyn

	* src/s_bsd_sigio.c: Minor cleanups in s_bsd_sigio.c 

2001-12-06 10:33  androsyn

	* include/s_bsd.h, src/ircd_signal.c, src/s_bsd.c,
	src/s_bsd_sigio.c: Added the workings for SIGIO support with RT
	signals on Linux.  

2001-12-06 08:03  androsyn

	* src/adns.c: Remove two stupid comments from adns.c 

2001-12-06 08:02  androsyn

	* src/adns.c: Fix a coredump in adns.c on rehash.  Basically if
	there were any pending events, adns would dump core upon the timeout
	of that event.  We now timeout *all* pending dns requests on a
	/rehash dns, making them fail no matter what.  

2001-12-04 07:13  ejb

	* src/ircd.c: 
	- fix a bug where we always sent CAP_ZIP even if the link wasn't
	zipped.  

2001-12-04 02:32  leeh

	* modules/m_topic.c: 
	- only for +s chans it is :P 

2001-12-04 02:00  leeh

	* modules/m_topic.c: 
	- dont send TOPICWHO if theyre not members 

2001-12-04 01:30  db

	* include/s_conf.h: 
	- added oper_reason to conf struct, nothing with it yet 

2001-12-04 01:01  androsyn

	* adns/internal.h: Removed an unused field.  

2001-12-03 11:38  androsyn

	* src/channel.c: Forgot to remove a MyFree on topic_info 

2001-12-03 09:31  androsyn

	* include/s_serv.h: Fixed a minor compile issue.  

2001-12-03 09:23  androsyn

	* include/s_serv.h, src/s_serv.c: Add caps for TBURST.  

2001-12-03 09:21  androsyn

	* modules/core/m_sjoin.c: Actually do something with the ts_winner
	field 

2001-12-03 09:17  androsyn

	* include/channel.h, include/hook.h, src/hook.c, src/s_serv.c: 
	Minor changes to support a hook on bursting channels and add a field
	to keep track of the ts winner...  

2001-12-03 08:35  wcampbel

	* contrib/help/opers/notice, contrib/help/opers/privmsg,
	help/opers/notice, help/opers/privmsg: Update of the NOTICE and
	PRIVMSG help files for opers to include opers@server as a target 

2001-12-02 08:16  ejb

	* doc/technical/debug_api.txt: 
	- Added documention for debug API.  

2001-12-02 08:15  leeh

	* src/s_serv.c: 
	- we only support one cipher both ways: 
	  ENC:BF/256,BF/256 -> ENC:BF/256 

2001-12-02 08:00  leeh

	* BUGS, include/s_conf.h, modules/m_rehash.c, modules/m_unkline.c,
	src/ircd.c, src/modules.c, src/s_conf.c: 
	- make MODRESTART cause a rehash, to reload modules from the conf 
	- rehash() was taking source_p and client_p, yet doing nothing with
	  them, so dont bother passing them 

2001-12-02 07:30  leeh

	* modules/core/m_message.c: 
	- $server -> $$server 
	- #host.mask -> $#host.mask 

2001-12-02 07:11  leeh

	* modules/m_knock.c: 
	- commited KNOCK stuff.. clients doing a KNOCK on a LL will have the
	  uplink answer their queries, theres a bit of kludging here.. but it
	works 

2001-12-02 06:31  leeh

	* modules/core/m_nick.c: 
	- fixed up the hostname/username checking, we dont need to pass
	  source_p (its always gunna be the same as client_p anyway) and due
	  to the fact we dont prefix nick - source_p isnt always where the
	nick originated..  

2001-12-02 05:55  leeh

	* doc/example.conf: 
	- cleanups 

2001-12-02 05:11  leeh

	* src/s_user.c: 
	- removed an extra : 

2001-12-02 05:08  leeh

	* src/s_user.c: 
	- dont give out ips on fake direction of NICK 

2001-12-02 05:05  leeh

	* modules/m_topic.c: 
	- if serverhide is on and a LL forwards us a topic request - if
	  we're masking who set the topic, mask it to the LLs servername, not
	ours..  

2001-11-30 12:04  db

	* include/ircd_defs.h: 
	- Well, that definition is obsolete.  

2001-11-30 09:59  androsyn

	* include/channel.h, modules/m_topic.c: Made topic_info a part of
	struct Channel and not just a pointer 

2001-11-30 08:18  davidt

	* modules/m_knock.c: 
	- oops, also introduce unknown clients to LL servers when
	propigating KNOCK 

2001-11-30 08:06  davidt

	* modules/m_knock.c: only pass KNOCK to servers which know about
	chptr (LL fix) 

2001-11-30 06:45  leeh

	* modules/m_knock.c: 
	- propagate knock remotely..  
	
	  there still needs to be LL stuff in here 

2001-11-30 02:52  a1kmm

	* src/s_user.c: 
	- Removed extraneous argument in a kill_client.  

2001-11-30 02:45  a1kmm

	* include/send.h, modules/m_invite.c, modules/core/m_message.c,
	src/send.c: 
	- Ran m_message.c and send.c through indent - they were unreadable 
	  before because of tabs.  
	- Cleaned up send.h - removed separate __GNUC__ and not gnuc
	  prototypes and made a single macro to give format attributes.
	  Removed prototypes for functions which no longer exist.  
	- Made sendto_remote_list work and send a linebuf once to every
	  remote user on the list.  
	- Don't require remote users to be in the channel to invite.  
	- Fixed vchan naming and propagation issues.  
	- Don't send error about a user being in channel if they are in
	  another vchan which is secret when you invite them(silently ignore).  
	- Don't send error about a user being on a different server if
	  server hiding is on and they are invited to a local channel(silently
	ignore).  
	- Propagate invite to all servers where there are chanops or
	  halfops, as well as to where the invited user resides.  
	- Send a notice to all local chanops and halfops if a channel is +p 
	  when someone invites.  
	- Don't accept privmsg/notice for local channels from servers.  
	- Don't send privmsg/notice for local channels to servers.  
	- Only propagate @%+ channel messages to servers that have ops, 
	  half-ops or ops, and halfops-ops-voiced respectively.  
	- Allow privmsg from servers - it is stupid not to when we allow 
	  notices from servers.  
	- Killed the mallocs and reallocs in the message code - we now use a 
	  static buffer.  
	- Probably introduced a few bugs because I'm tired(but hopefully
	not).  

2001-11-29 15:45  jdc

	* Hybrid-team: 
	- Updated Email address, as to welcome even more spam.  *rolls eyes* 

2001-11-29 15:33  jdc

	* TODO: 
	- Updated my portion of the TODO list.  *cry* 

2001-11-29 15:20  leeh

	* Hybrid-team: 
	- updated my email and sanified the core list slightly 

2001-11-29 15:00  db

	* Hybrid-team: 
	- Added einride to core, moved from contributor 

2001-11-29 13:23  leeh

	* include/client.h, include/numeric.h, include/s_conf.h,
	include/s_serv.h, modules/m_knock.c, src/ircd_lexer.l,
	src/ircd_parser.y, src/messages.tab, src/s_conf.c, src/s_serv.c: 
	- added first half of knock stuff.. the remote propagation doesnt
	  exist yet, and the numerics needadding to messages/* 
	
	  but ive run out of time, ill finish later :P 

2001-11-29 08:57  db

	* src/: messages.tab, numeric.c: Removed unnecessary casting on
	NULL in messages.tab be a bit more paranoid in numeric.c 

2001-11-28 22:53  db

	* include/numeric.h, modules/m_knock.c, src/messages.tab,
	src/numeric.c: 
	- KNOCK is now using a numeric at least on local server.  
	- numeric.c was not checking all validity 

2001-11-28 18:54  db

	* include/send.h: -fixed prototype for sento_channel_remote 

2001-11-28 18:27  jdc

	* include/rsa.h, modules/m_cryptlink.c, src/ircd.c, src/s_serv.c: 
	* include/rsa.h: 
	  - Remove #include <openssl/rsa.h>.  #include in include files ==
	  yuck.  
	* modules/m_cryptlink.c: 
	  - Re-order #include statements, particularly rsa.h being included
	    BEFORE <openssl/rsa.h> 
	  - Remove #include for <openssl/bio.h> and <openssl/pem.h>.  FYI,
	    the pem.h include breaks a lot of things due to OpenSSL's include
	    structure being a gigantic mess.  
	* src/s_serv.c 
	  - Same as modules/m_cryptlink.c, for the most part.  
	* src/ircd.c 
	  - Tinker with the pid file writing stuff.  Made it an unsigned
	    int, vs.  just an int.  Little more verbose if fbputs() fails too.  

2001-11-28 18:03  db

	* include/send.h, modules/m_knock.c, modules/core/m_message.c,
	src/send.c: 
	- This re-adds remote KNOCK capability in the same way it was done
	  in h6.  Its not a good way of doing it. There should be a KNOCK
	  CAPAB for h7 servers to lessen the traffic sent for a KNOCK. There
	  should also be some NUMERICS here instead of notices.  

2001-11-28 10:48  db

	* src/: parse.c, send.c: tiny format change in parse.c 
	
	The guts of it is here. When using sendto_match_butone() which is
	=only= used to do the "oper magic" messages. i.e. /msg $server.mask
	and /msg #hostmask The prefix sent to remote servers is only the
	nick, not the nick!user@host.  The prefix sent to local users is
	nick!user@host 

2001-11-28 06:47  leeh

	* modules/core/m_kick.c, src/channel_mode.c: 
	- dont allow halfops to kick halfops, or set +/-h 
	- allowing +h to set bans, but not see a real banlist is daft 
	- halfops can also set simple modes 

2001-11-28 05:34  leeh

	* include/channel_mode.h, src/channel_mode.c: 
	- undef BOUNCE_BAD_HOPS by default and reenable for release.  

2001-11-28 05:33  leeh

	* src/channel_mode.c: 
	- attempt at fixing up +a.. there was a bogus if() that was
	  preventing resyncs when setting -a, amongst other things.. (unsure
	  if it was ok to remove, hunt for the XXX) 
	
	  theres still a bug where setting -ao will give a user the oplist..  

2001-11-27 11:30  davidt

	* include/linebuf.h, src/linebuf.c, src/packet.c, src/s_serv.c: 
	- Yet more linebuf fixes.  
	  * Rename 'binary' flag 'raw', since it was confusing people, and 
	    didn't reflect what the code actually did.  
	  * Initialise binary/raw flag to 0, to avoid bogusly stripping 
	    \r\n from sent data.  
	  * Fix linebuf_get to correctly strip leading \r\n from data, when 
	    required, instead of removing the correct number of bytes from 
	    the _end_ of the string.  

2001-11-26 17:49  davidt

	* contrib/: m_flags.c, m_map.c, m_mkpasswd.c: 
	- Fix compile warnings in contrib modules 

2001-11-26 17:48  davidt

	* contrib/m_opme.c: 
	- Fix m_opme.c to compile 

2001-11-26 13:25  a1kmm

	* src/: ircd.c, linebuf.c: 
	- Let's initialise the resolver in the right place...  

2001-11-26 11:01  davidt

	* src/linebuf.c: 
	- Apply fix as discussed on mailing list and IRC.  
	  * Do not incorrectly terminate buffer simply because we ran out of
	    data to _read_.  

2001-11-26 05:27  androsyn

	* src/adns.c, src/ircd.c, src/ircd_lexer.l, src/ircd_parser.y,
	doc/example.conf: Okay..the dns_host stuff was a good idea..but its
	a chicken vs the egg problem.  The parser needs to setup the
	dns_host stuff..but the parser relies on the resolver being started
	already...oh well..  This removes the dns_host and dns_port option 

2001-11-26 00:38  a1kmm

	* src/linebuf.c: 
	- Fixed a bug to stop carriage returns or linefeeds making their way
	  into messages under some cases.  

2001-11-24 19:59  wcampbel

	* doc/Makefile.in: With the new help system, opers.txt and
	users.txt are no longer needed 

2001-11-24 13:35  leeh

	* contrib/example_module.c: 
	- missed this one when I added the extra param 

2001-11-21 13:04  leeh

	* modules/m_help.c: 
	- updated the headers 

2001-11-21 12:08  wcampbel

	* help/Makefile.in, contrib/help/opers/ping,
	contrib/help/opers/pong, help/opers/ping, help/opers/pong: Added
	the final two help files, PING and PONG.  

2001-11-21 07:57  androsyn

	* TODO: Updated a few things..  

2001-11-21 07:54  androsyn

	* doc/example.conf: A half-assed attempt at documenting the
	dns_host and dns_port options.  I'm sure somebody else could explain
	it better than I did :P 

2001-11-21 07:51  androsyn

	* include/ircd.h, include/s_conf.h, src/adns.c, src/ircd.c,
	src/ircd_lexer.l, src/ircd_parser.y, src/s_bsd_poll.c,
	src/s_conf.c: Added dns_host and dns_port to server info.  Modified
	set_time() to use gettimeofday() and store the result in struct
	timeval SystemTime.  CurrentTime is now a macro to
	SystemTime.tv_sec.  

2001-11-21 02:46  androsyn

	* BUGS: I hate mailx on solaris..did i ever tell you this? 

2001-11-21 01:49  androsyn

	* BUGS: Please work...  

2001-11-20 23:21  wcampbel

	* help/Makefile.in, contrib/help/opers/challenge,
	contrib/help/opers/dmem, contrib/help/opers/knock,
	help/opers/challenge, help/opers/dmem, help/opers/knock: Added 3 of
	the remaining missing help files.  From what I can see, there is
	only "ping" and "pong" left to do.  

2001-11-20 23:09  wcampbel

	* contrib/help/opers/ison, contrib/help/opers/lusers,
	help/opers/ison, help/opers/lusers, contrib/help/opers/oper,
	help/opers/oper: Update to help oper Moved two rev 1.1 help files
	to their proper locations 

2001-11-20 23:06  wcampbel

	* help/Makefile.in, contrib/help/opers/capab,
	contrib/help/opers/cburst, contrib/help/opers/client,
	contrib/help/opers/cryptlink, contrib/help/opers/drop,
	contrib/help/opers/eob, contrib/help/opers/error,
	contrib/help/opers/help, contrib/help/opers/lljoin,
	contrib/help/opers/llnick, contrib/help/opers/nburst,
	contrib/help/opers/pass, contrib/help/opers/post,
	contrib/help/opers/server, contrib/help/opers/sjoin,
	contrib/help/opers/svinfo, contrib/help/opers/uhelp,
	contrib/help/opers/user, help/opers/capab, help/opers/cburst,
	help/opers/client, help/opers/cryptlink, help/opers/drop,
	help/opers/eob, help/opers/error, help/opers/help,
	help/opers/lljoin, help/opers/llnick, help/opers/nburst,
	help/opers/pass, help/opers/post, help/opers/server,
	help/opers/sjoin, help/opers/svinfo, help/opers/uhelp,
	help/opers/user: Another large burst of help files.  Only a few
	still left to do, and indexes made.  

2001-11-20 21:27  wcampbel

	* help/Makefile.in, contrib/help/opers/notice,
	contrib/help/opers/privmsg, contrib/help/opers/userhost,
	contrib/help/users/notice, contrib/help/users/privmsg,
	help/opers/notice, help/opers/privmsg, help/opers/userhost,
	help/users/notice, help/users/privmsg: More help files.  Nearly
	complete now.  

2001-11-20 21:08  wcampbel

	* help/Makefile.in, contrib/help/opers/motd,
	contrib/help/opers/userhost, contrib/help/opers/users,
	contrib/help/opers/whois, help/opers/motd, help/opers/userhost,
	help/opers/users, help/opers/whois: Ok, another batch of help files 

2001-11-20 20:41  wcampbel

	* contrib/help/opers/cmode, contrib/help/opers/credits,
	contrib/help/opers/invite, contrib/help/opers/join,
	contrib/help/opers/links, contrib/help/opers/time,
	contrib/help/opers/who, help/opers/cmode, help/opers/credits,
	help/opers/invite, help/opers/join, help/opers/links,
	help/opers/time, help/opers/who: Spellchecked all the help files.  
	Another batch will be coming soon.  

2001-11-20 20:36  wcampbel

	* help/Makefile.in, contrib/help/opers/credits, help/opers/credits: 
	Added the /help credits 

2001-11-20 20:22  wcampbel

	* help/Makefile.in, contrib/help/opers/admin,
	contrib/help/opers/away, contrib/help/opers/invite,
	contrib/help/opers/join, contrib/help/opers/kick,
	contrib/help/opers/links, contrib/help/opers/list,
	contrib/help/opers/names, contrib/help/opers/nick,
	contrib/help/opers/oper, contrib/help/opers/part,
	contrib/help/opers/quit, contrib/help/opers/time,
	contrib/help/opers/topic, contrib/help/opers/version,
	contrib/help/opers/who, contrib/help/opers/whowas,
	help/opers/admin, help/opers/away, help/opers/invite,
	help/opers/join, help/opers/kick, help/opers/links,
	help/opers/list, help/opers/names, help/opers/nick,
	help/opers/oper, help/opers/part, help/opers/quit, help/opers/time,
	help/opers/topic, help/opers/version, help/opers/who,
	help/opers/whowas, contrib/help/users/stats,
	contrib/help/users/umode, help/users/stats, help/users/umode: Added
	the second batch of contributed help files.  

2001-11-20 18:40  wcampbel

	* help/Makefile.in, contrib/help/opers/accept,
	contrib/help/opers/cjoin, contrib/help/opers/close,
	contrib/help/opers/cmode, contrib/help/opers/connect,
	contrib/help/opers/die, contrib/help/opers/dline,
	contrib/help/opers/gline, contrib/help/opers/kill,
	contrib/help/opers/kline, contrib/help/opers/locops,
	contrib/help/opers/modlist, contrib/help/opers/modload,
	contrib/help/opers/modrestart, contrib/help/opers/modunload,
	help/opers/accept, help/opers/cjoin, help/opers/close,
	help/opers/cmode, help/opers/connect, help/opers/die,
	help/opers/dline, help/opers/gline, help/opers/kill,
	help/opers/kline, help/opers/locops, help/opers/modlist,
	help/opers/modload, help/opers/modrestart, help/opers/modunload,
	contrib/help/opers/operwall, contrib/help/opers/rehash,
	contrib/help/opers/restart, contrib/help/opers/resv,
	contrib/help/opers/set, contrib/help/opers/squit,
	contrib/help/opers/stats, contrib/help/opers/testline,
	contrib/help/opers/umode, contrib/help/opers/undline,
	contrib/help/opers/ungline, contrib/help/opers/unkline,
	contrib/help/opers/unresv, contrib/help/opers/wallops,
	help/opers/operwall, help/opers/rehash, help/opers/restart,
	help/opers/resv, help/opers/set, help/opers/squit,
	help/opers/stats, help/opers/testline, help/opers/umode,
	help/opers/undline, help/opers/ungline, help/opers/unkline,
	help/opers/unresv, help/opers/wallops: Large batch of help files
	(mainly copied out of opers.txt and users.txt) More will be coming.  

2001-11-20 12:29  davidt

	* modules/m_help.c: fix /quote help to display index 

2001-11-20 10:34  db

	* modules/core/m_server.c: 
	- This considerably simplifies m_server. No more support for 2.6(?)
	protocol 

2001-11-20 09:54  androsyn

	* README.FIRST: Modified the supported platforms slightly...  

2001-11-19 07:35  androsyn

	* src/client.c: MEMDEBUG build was broken..  

2001-11-18 22:39  lusky

	* BUGS: Nth try is the charm 

2001-11-18 22:34  lusky

	* BUGS: pleeeeeeese work 

2001-11-18 22:32  lusky

	* BUGS: I think it's finally working 

2001-11-18 22:22  lusky

	* BUGS: test commit 5 

2001-11-18 22:17  lusky

	* BUGS: test commit 3 

2001-11-18 22:15  lusky

	* BUGS: test commit 2 

2001-11-18 21:57  lusky

	* BUGS: test commit 

2001-11-18 19:07  androsyn

	* src/event.c: Documented the undocumented functions in event.c 

2001-11-18 07:49  kreator

	* src/balloc.c: 
	- fix broken build for balloc.c (one extra c comment ending) 

2001-11-17 13:41  androsyn

	* src/balloc.c: Documented balloc.c a bit better than what it was.  

2001-11-17 13:16  androsyn

	* src/s_bsd_poll.c: Updated function documentation for
	comm_select() 

2001-11-16 21:28  wcampbel

	* doc/ircd.8: Updated our manpage to be correct with our current
	implementation.  Corrected a few minor formatting issues with the
	manpage.  

2001-11-15 13:04  leeh

	* modules/core/m_server.c: 
	- err - if servernameis too long, you need to reject it - not chop
	it..  

2001-11-15 09:17  androsyn

	* src/adns.c: Fixed buglet where timeout_adns would get readded to
	the event list on each /rehash 

2001-11-14 19:25  bill

	* Hybrid-team: 
	
	pro is dead, billy-jon took his place 

2001-11-14 06:33  androsyn

	* adns/internal.h, include/s_bsd.h, src/s_auth.c, src/s_bsd.c,
	src/s_bsd_poll.c, src/s_serv.c: Cleaned up the poll() loop so that
	it is really only using a single list now.  Also modified the
	timeout parameters for ADNS.  Added a flag to comm_connect_tcp() so
	that the caller can pass a timeout.  We needed this to reduce the
	timeout on identd checking, which is now set to a 10 second timeout.  

2001-11-14 06:31  androsyn

	* Makefile.in: Modified build so that any errors during the make
	will cause the make process to stop.  

2001-11-13 16:35  leeh

	* help/.cvsignore: 
	- added a cvsignore to help 

2001-11-13 16:30  leeh

	* modules/m_help.c: 
	- parv[1] might not actually exist, so check parc before blindly
	passing it 

2001-11-13 11:17  kreator

	* modules/: m_challenge.c, m_cryptlink.c: 
	- fix broken build for --disable-openssl 

2001-11-13 06:35  leeh

	* include/numeric.h, messages/ayb.po, messages/custom.po,
	messages/translations/ircd-croatian.po,
	messages/translations/ircd-danish.po,
	messages/translations/ircd-dutch.po,
	messages/translations/ircd-german.po,
	messages/translations/ircd-norwegian.po,
	messages/translations/ircd-spanish.po,
	messages/translations/ircd-swedish.po, modules/m_cjoin.c,
	src/messages.tab, src/vchannel.c: 
	- added ERR_VCHANDISABLED (when vchans are disabled) 
	  ERR_ALREADYONVCHAN (client tries to create two vchans) 

2001-11-13 05:55  leeh

	* include/vchannel.h, modules/m_help.c, modules/m_join.c,
	modules/m_knock.c, modules/m_lljoin.c, modules/m_names.c,
	modules/core/m_part.c, src/m_error.c, src/modules.c,
	src/vchannel.c: 
	- added proper comments to vchannel.c 
	- removed a couple of places we passed client_p and source_p, but
	  never used client_p 
	- fixed a few places I forgot to add the rcount param 

2001-11-13 04:45  leeh

	* include/msg.h, messages/ayb.po, messages/custom.po,
	messages/translations/ircd-croatian.po,
	messages/translations/ircd-danish.po,
	messages/translations/ircd-dutch.po,
	messages/translations/ircd-german.po,
	messages/translations/ircd-norwegian.po,
	messages/translations/ircd-spanish.po,
	messages/translations/ircd-swedish.po, modules/m_accept.c,
	modules/m_admin.c, modules/m_away.c, modules/m_capab.c,
	modules/m_cburst.c, modules/m_challenge.c, modules/m_cjoin.c,
	modules/m_close.c, modules/m_connect.c, modules/m_cryptlink.c,
	modules/m_dmem.c, modules/m_drop.c, modules/m_eob.c,
	modules/m_gline.c, modules/m_help.c, modules/m_info.c,
	modules/m_invite.c, modules/m_ison.c, modules/m_join.c,
	modules/m_kline.c, modules/core/m_die.c, modules/core/m_kick.c,
	modules/core/m_kill.c, modules/m_knock.c, modules/m_links.c,
	modules/m_list.c, modules/m_lljoin.c, modules/m_llnick.c,
	modules/m_locops.c, modules/m_lusers.c, modules/m_motd.c,
	modules/m_names.c, modules/m_nburst.c, modules/m_oper.c,
	modules/m_operwall.c, modules/m_pass.c, modules/m_ping.c,
	modules/m_pong.c, modules/m_post.c, modules/m_rehash.c,
	modules/m_restart.c, modules/m_resv.c, modules/m_set.c,
	modules/m_stats.c, modules/m_svinfo.c, modules/m_testline.c,
	modules/m_time.c, modules/m_topic.c, modules/m_trace.c,
	modules/m_unkline.c, modules/core/m_message.c,
	modules/core/m_mode.c, modules/core/m_nick.c,
	modules/core/m_quit.c, modules/core/m_server.c,
	modules/core/m_sjoin.c, modules/core/m_squit.c, modules/m_user.c,
	modules/m_userhost.c, modules/m_users.c, modules/m_version.c,
	modules/m_wallops.c, modules/m_who.c, modules/m_whois.c,
	modules/m_whowas.c, src/messages.tab, src/parse.c: 
	- extended stats m (a la ircnet).  
	  now: COMMAND TOTALCOUNT TOTALBYTES REMOTECOUNT 
	
	  where remotecount is the count coming from a server.. this lets you
	  gauge how many commands are coming from our clients - how many
	from servers..  

2001-11-13 03:20  leeh

	* modules/m_stats.c: 
	- allow stats ? for non-opers on the condition flatten_links is
	  disabled, dont give them capab info tho..  

2001-11-13 02:54  leeh

	* modules/m_trace.c: 
	- sending nothing in reply to a trace is bad, send RPL_ENDOFTRACE, I
	  dont see why we cant actually send a limited trace (servers/opers) 

2001-11-13 01:59  leeh

	* contrib/help/opers/topic, help/opers/topic, src/version.c.SH: 
	- added a copyright for US to version.c.SH 
	- made the topic help use <> and [] 

2001-11-12 16:32  kreator

	* src/hostmask.c: 
	- another small fix for hostmask.c and find_conf_by_address() 

2001-11-12 15:44  leeh

	* help/Makefile.in: 
	- skip dirs when installing help..  

2001-11-12 15:08  leeh

	* BUGS: 
	- kre fixed the auth thing, removed 

2001-11-12 14:57  kreator

	* src/hostmask.c: 
	- fix find_conf_by_address() issue which resulted in auth{} (and
	  other) blocks to malfunction, ie. issue when admins had to add
	  wildcards after '@' to get them working 

2001-11-12 10:37  leeh

	* modules/m_capab.c: 
	- dont allow capab from registered servers - it breaks the capab mon
	code 

2001-11-11 10:37  ejb

	* Makefile.in, configure, autoconf/configure.in,
	contrib/help/opers/info, contrib/help/opers/topic,
	contrib/help/opers/trace, contrib/help/users/info,
	help/Makefile.in, help/opers/info, help/opers/topic,
	help/opers/trace, help/users/info: 
	- added help/ directory; added a few sample help files, this will
	  need to be completed before release.  

2001-11-11 10:07  ejb

	* include/config.h: 
	- hm.. put paths correct way around 

2001-11-11 10:05  ejb

	* include/config.h, include/ircd_defs.h, modules/m_help.c: 
	- added better /help ..  
	  still need to write help files and make them install.  

2001-11-11 09:38  leeh

	* include/numeric.h, messages/ayb.po, messages/custom.po,
	messages/translations/ircd-croatian.po,
	messages/translations/ircd-danish.po,
	messages/translations/ircd-dutch.po,
	messages/translations/ircd-german.po,
	messages/translations/ircd-norwegian.po,
	messages/translations/ircd-spanish.po,
	messages/translations/ircd-swedish.po, src/messages.tab: 
	- added RPL_HELPSTART, RPL_HELPTXT, RPL_ENDOFHELP, ERR_HELPNOTFOUND 

2001-11-11 09:15  leeh

	* src/modules.c: 
	- removed the start notice from modlist 
	- changed a strstr() in modules-dld -> match, as per modules.c 
	- use RPL_ENDOFMODLIST 

2001-11-11 09:05  leeh

	* include/numeric.h, messages/ayb.po, messages/custom.po,
	messages/translations/ircd-croatian.po,
	messages/translations/ircd-danish.po,
	messages/translations/ircd-dutch.po,
	messages/translations/ircd-german.po,
	messages/translations/ircd-norwegian.po,
	messages/translations/ircd-spanish.po,
	messages/translations/ircd-swedish.po, src/messages.tab: 
	- bumped ERR_LASTERRMSG upto 999 
	- added 506 -> 999 into messages.tab 
	- moved RPL_MODLIST -> 702 (conflicted with other ircds) 
	- added RPL_ENDOFMODLIST (703) 

2001-11-11 08:17  leeh

	* include/client.h, modules/m_who.c: 
	- fixes for /who (jv) 

2001-11-09 06:16  leeh

	* modules/m_list.c: 
	- show a vchans topic in list - not its roots 

2001-11-09 05:27  leeh

	* include/s_conf.h, src/ircd.c, src/ircd_parser.y: 
	- allow 0 to disable links_delay, when its raised, add the event 

2001-11-08 15:36  leeh

	* src/ircd.c: 
	- check links_delay is > 0 before adding the event 

2001-11-08 09:38  bill

	* src/modules.c: 
	- made MODLIST parameter wild-card matching 

2001-11-07 22:04  wcampbel

	* doc/example.conf: Apparently EFnet opers can't take a joke 

2001-11-07 15:43  davidt

	* src/channel_mode.c: 
	- fix pretty_mask to not damage the passed in string, so we can 
	  use it afterwards.  

2001-11-07 15:24  leeh

	* BUGS: 
	- added the specific auth block thing 

2001-11-04 19:10  wcampbel

	* doc/messages.txt: Updated messages.txt from the SGML source 

2001-11-04 18:02  wcampbel

	* INSTALL, doc/challenge.txt, doc/server-version-info: First three
	generated docs committed.  This means that they can no longer be 
	edited directly.  INSTALL, doc/challenge.txt, and
	doc/server-version-info 

2001-11-03 22:20  wcampbel

	* tools/: README.mkpasswd, mkpasswd.c: Updated mkpasswd from the
	master site.  

2001-11-03 17:50  db

	* modules/m_invite.c: 
	- backwards test broke m_invite.c 

2001-10-30 21:04  ejb

	* tools/: descrip.mms, mkpasswd.c: 
	- added VMS support for mkpasswd.  

2001-10-30 17:51  ejb

	* tools/: descrip.mms, mkpasswd.c: 
	- mkpasswd for VMS.  

2001-10-30 17:27  ejb

	* README.VMS, include/setup.h_vms, src/channel.c,
	tools/descrip.mms: 
	- couple more VMS fixes, and updated README.VMS.  

2001-10-30 16:39  bill

	* make.com, modules/descrip.mms, src/balloc.c, src/crypt.c,
	src/descrip.mms, src/ircd.c, src/ircd_lexer.l, src/s_serv.c: 
	
	- VMS fixes a la larne 

2001-10-28 09:14  wcampbel

	* BUGS: Minor documentation correction in BUGS 

2001-10-26 22:43  androsyn

	* modules/m_trace.c: Tracked down that ever annoying /trace bug
	that causes garbage to end up in it.  

2001-10-26 14:04  db

	* modules/m_invite.c: 
	- *sigh* I should have known better. yes yes yes *fwap* 
	  another reversed if 

2001-10-25 19:21  wcampbel

	* doc/whats-new.txt: Updated whats-new.txt to not reference removed
	  items and to be technically accurate with the current operation of
	ircd.  Corrected an unclear commit comment.  

2001-10-25 16:46  androsyn

	* src/s_user.c: Fixed problem that was causing /mode Nick to fail 

2001-10-25 05:44  db

	* modules/m_ping.c: 
	- needed #include "hash.h" 

2001-10-24 22:21  wcampbel

	* .cvsignore, Makefile.in, RELNOTES, doc/challenge.txt, doc/ircd.8,
	doc/modes.txt, doc/technical/index.txt, tools/rsa_respond/Makefile,
	tools/rsa_respond/README: Massive documentation update: Corrected
	some missed items in the CHALLENGE changes Removed the incomplete
	cookies proposal Updated version references to 7b8 Minor changes in
	other documents Correct make rsa_respond (generate
	rsa_respond.tar.gz) Add rsa_respond.tar.gz to .cvsignore Fixed make
	clean in tools/rsa_respond.  

2001-10-24 21:23  db

	* src/channel.c: 
	- make_nick_user_host was just too stupid for words 

2001-10-24 19:36  db

	* include/client.h, include/hash.h, modules/m_accept.c,
	modules/m_connect.c, modules/m_gline.c, modules/m_invite.c,
	modules/m_ison.c, modules/m_lljoin.c, modules/m_llnick.c,
	modules/m_nburst.c, modules/m_pong.c, modules/m_trace.c,
	modules/m_userhost.c, modules/m_who.c, modules/m_whois.c,
	modules/core/m_kill.c, modules/core/m_message.c,
	modules/core/m_mode.c, modules/core/m_nick.c,
	modules/core/m_sjoin.c, src/channel_mode.c, src/client.c,
	src/hash.c, src/parse.c, src/s_serv.c, src/s_user.c,
	src/vchannel.c: 
	- removed a pile of extra parameters that were not really used 
	  in find_client() 

2001-10-24 11:03  androsyn

	* src/rsa.c: Fixed stupidness with headers that prevented us from
	including openssl/pem.h 

2001-10-24 07:41  androsyn

	* modules/m_challenge.c: Make /challenge honor minor details like
	hostmasks :P 

2001-10-24 03:36  db

	* include/client.h, include/hash.h, src/client.c, src/hash.c,
	src/s_conf.c: 
	- more wallpaper stripping... get_server() did nothing but call 
	  hash_get_server() pointless call.  
	- other cleanups 

2001-10-23 23:19  db

	* include/channel.h, include/hash.h, modules/m_cburst.c,
	modules/m_cjoin.c, modules/m_drop.c, modules/m_invite.c,
	modules/m_join.c, modules/m_knock.c, modules/m_list.c,
	modules/m_lljoin.c, modules/m_names.c, modules/m_resv.c,
	modules/m_topic.c, modules/m_who.c, modules/core/m_kick.c,
	modules/core/m_message.c, modules/core/m_mode.c,
	modules/core/m_part.c, modules/core/m_sjoin.c, src/channel.c,
	src/hash.c, src/parse.c, src/resv.c, src/vchannel.c: 
	- get_channel() was being called with a NULL always. silly. ditto 
	  with get_resv() second argument always a NULL.  
	  replaced get_channel(... CREATE) with get_or_create_channel() 
	  if channel does not exist, its created. Simplifies interface.  

2001-10-23 22:28  androsyn

	* doc/example.conf: Updated the example config to reflect the
	change with challenge.  

2001-10-23 22:26  androsyn

	* doc/challenge.txt, include/rsa.h, modules/m_challenge.c,
	src/ircd_parser.y, src/rsa.c, tools/rsa_respond/Makefile,
	tools/rsa_respond/respond.c: Changed challenge to use standard PEM
	format keys similiar to those used for cryptlinks in hybrid. 
	Removed the genkey utility as well, as the standard openssl command
	is capable of generating the keys that are necessary.  

2001-10-23 19:00  wcampbel

	* doc/: CIDR.txt, modeg.txt: Minor doc update 

2001-10-22 20:09  db

	* contrib/m_flags.c: 
	- We renamed IsSetOperN to IsOperN, correcting this contrib module
	to match 

2001-10-22 19:33  androsyn

	* modules/m_challenge.c: Fixed a problem where we were not
	attaching the conf when using challenge, like we do with /oper.  

2001-10-21 13:48  leeh

	* src/channel_mode.c: 
	- MODE_QUERY -> MODE_ADD 

2001-10-21 13:45  leeh

	* src/channel_mode.c: 
	- dont allow bans > NICKLEN/USERLEN/HOSTLEN 
	- dont ignore bans > NICKLEN+USERLEN+HOSTLEN, youll cause desync 

2001-10-21 12:10  davidt

	* src/Makefile.in: 
	- Update Makefile.in - I used src/*.c, which missed this out. Oops.  

2001-10-21 12:03  davidt

	* src/channel_mode.c: 
	- Some misc. fixes for bugs in channel_mode.c 
	  (-o+h was sent to clients as -o+h+o, +o on a +v'd client was sent 
	   locally as -v+o, but all remote servers converted it to plain +o, 
	   minor other things).  

2001-10-21 08:40  davidt

	* src/channel.c, src/channel_mode.c, src/client.c, src/ircd.c,
	src/s_serv.c, src/s_user.c, src/vchannel.c, include/channel.h,
	include/channel_mode.h, include/send.h, modules/m_cjoin.c,
	modules/m_invite.c, modules/m_join.c, modules/m_knock.c,
	modules/m_list.c, modules/m_lljoin.c, modules/m_names.c,
	modules/m_topic.c, modules/m_who.c, modules/m_whois.c,
	modules/core/m_kick.c, modules/core/m_message.c,
	modules/core/m_mode.c, modules/core/m_sjoin.c: 
	- Commit of fixed table mode code: 
	   * Non USE_TABLE_MODE code is gone.  If we commit this patch, we
	     go with USE_TABLE mode.  
	   * The TABLE_MODE code has been broken out into channel_mode.[ch].  
	   * -o on +a channels has been fixed to show the user being deopped
	     the mode change, and to resync their oplist.  
	   * +a on channels has been fixed to resync the channel's oplist.  
	   * The code has been cleaned up, although it's still a bit icky in
	     some places, but there shouldn't be any weird mystical -1/0/1
	     constants lying around anymore.  
	   * +b/-b from servers is NOT pretty_mask'ified (like the old code,
	     I beleive).  
	   * -b from clients will be pretty_mask'ed, but if that doesn't
	     match a ban on the channel, the original, un prettified mask is
	   checked.  
	* Misc other bug fixes.  
	   * Misc other bugs introduced. (probably :) 
	
	- If BOUNCE_BAD_HOPS is #define'd, the following is also done: 
	   * +h is translated to +o for non CAP_HOPS servers 
	     except towards the target's own server 
	     (i.e. no priviledges can be gained using this).  
	   * -h is translated to -o for non CAP_HOPS servers (this can never 
	     happen towards the target's own server).  
	   * -o is translated to -h from non CAP_HOPS servers.  
	   * A +h on a client which is linked through a non CAP_HOPS server 
	     is bounced back to the server that sent it (or dropped if from 
	     a client) as sendto_one(client_p, ":%s MODE %s -h %s", me.name, 
	     chptr->chname, target_p->name). [Although multiple bounces 
	     are merged into one MODE].  Assuming source_p is a client, 
	     a notice is also sent back.  Note that this notice will
	     probably break serverhiding, so something should be done about
	     this if we want to use BOUNCE_BAD_HOPS.  
	   * BOUNCE_BAD_HOPS will allow mixed CAP_HOPS/non CAP_HOPS nets to
	     work sanely(ish), by ensuring the whole net will see the client
	     as privileged, or unprivileged, and the clients local server will
	     never see a +h'd user as +o'd.  
	- This will probably have a few bugs, but it needs a few linked
	  servers to test properly.  

2001-10-20 19:16  davidt

	* src/ircd.c: 
	- Back out memset of ConfigChannel and ConfigFileEntry, since CVS
	  has been broken due to it for ages.  We need to zero it before we
	  read the config files, but we have to initialize the /SET options
	  after reading the conf files, so this is the wrong function.  
	  Also zeroing ConfigFileEntry won't work too well since we store
	  the config/kline/etc filenames in there.  
	  This might take a while to fix, which is why I'm backing out the
	  change so people can upgrade.  

2001-10-19 08:51  wcampbel

	* BUGS, Hybrid-team, INSTALL, README.FIRST, RELNOTES, TODO,
	doc/whats-new.txt, tools/README, tools/README.mkpasswd,
	tools/mkpasswd.c: Documentation fixes 

2001-10-17 22:54  db

	* src/packet.c: 
	- bug fix by |Rain| fixes handling of EOF 

2001-10-17 09:07  leeh

	* include/client.h, modules/m_connect.c, modules/m_gline.c,
	modules/m_info.c, modules/m_kline.c, modules/m_stats.c,
	modules/m_trace.c, modules/m_unkline.c, modules/core/m_kill.c,
	src/listener.c, src/modules.c, src/s_conf.c, src/s_user.c: 
	- IsSetOper* -> IsOper* for consistency, half were IsOper, half were 
	  IsSetOper..  

2001-10-17 08:32  jdc

	* modules/core/m_kill.c: 
	* Someone please fix this.  We lack the IsSetOperGlobalKill() macro.  
	  This is commited just to make things build.  

2001-10-17 08:25  jdc

	* doc/example.conf, doc/whats-new.txt, include/s_conf.h,
	include/supported.h, modules/m_cjoin.c, modules/core/m_sjoin.c,
	src/ircd_lexer.l, src/ircd_parser.y, src/s_conf.c: 
	* CONF CHANGE: channel {} "disable_vchans"  renamed to 
	"use_vchans".  

2001-10-16 19:40  db

	* src/ircd.c: 
	- zero out config structs in case they are full of garbage 

2001-10-15 15:42  davidt

	* src/linebuf.c, src/packet.c, src/s_serv.c, include/linebuf.h: 
	- Improved binary code for linebuf_get/parse, hoepfully this will
	  fix the compression/encryption problems.  

2001-10-14 20:13  db

	* modules/: m_connect.c, m_gline.c, m_kline.c, m_rehash.c,
	m_unkline.c, core/m_die.c, core/m_kill.c, core/m_squit.c: 
	- Wrong flag was being tested in m_kill.c, never noticed since 
	  usually kline = yes; is set.  
	- The error messages were obsolete, make it easier to know what to
	  change in the ircd.conf 

2001-10-13 01:08  a1kmm

	* src/hostmask.c: 
	- Oops forgot to change > back to >= from Rain's patch.  
	- Fixed a K&R style { after an if, found by fl.  

2001-10-12 23:40  a1kmm

	* src/hostmask.c: 
	- Changed back part of |Rain|'s patch: There is nothing wrong with
	  comparing a pointer with an invalid pointer so long as you don't
	  dereference the invalid pointer(which we don't). This saves a few
	clockticks.  
	- Optimised a little by not bothering to check the terminating NULL
	  of a hostmask is not a wildcard.  

2001-10-12 21:41  db

	* include/s_bsd.h, src/hostmask.c, src/s_bsd_poll.c: 
	- Bug fixes contributed by  Ben Winslow <rain@bluecherry.net> 

2001-10-12 20:29  wcampbel

	* contrib/m_ojoin.c: Added the old m_cinfo and m_ojoin modules to
	our devel tree.  They may not be the most up to date versions...but
	they are here 

2001-10-11 20:51  wcampbel

	* contrib/README: Updated the README to be consistant with the
	deletes I did earlier.  

2001-10-11 16:21  davidt

	* modules/m_info.c, src/ircd_parser.y, src/s_conf.c: 
	- Prevent use_halfops from being changed at runtime, as that would
	  Break Stuff(TM).  
	- Add use_* to m_info.c 

2001-10-11 13:15  wcampbel

	* Makefile.in, configure, autoconf/configure.in,
	contrib/Makefile.in: Completed repo move/cleanup.  It will now
	build again, you MAY have to do a clean checkout after this...  

2001-10-11 11:09  db

	* doc/example.conf: 
	- updated with current EFNet requirements, note that HOPS (half ops) 
	  is not presently accepted on EFNet.  

2001-10-11 10:18  jdc

	* include/ircd.h, src/channel.c, src/ircd.c, src/s_serv.c: 
	* Make use_halfops adjust sending HOPS capability.  
	* Added default_server_capabs to ircd.c; this contains the default 
	  startup capabilities (CAP_MASK), with certain ones AND+NOT'd out 
	  based on server configuration (i.e. use_halfops = no).  
	* s_serv.c had CAP_MASK replaced with default_server_capabs.  

2001-10-11 08:41  jdc

	* doc/example.conf, include/s_conf.h, src/ircd_lexer.l,
	src/ircd_parser.y, src/s_conf.c: 
	* Support for channel {} block command "use_halfops".  Default is
	  yes.  The code which uses the use_halfops variable hasn't been
	  written yet, though.  This is just for the config and what not.  

2001-10-10 19:42  androsyn

	* src/Makefile.in: Forgot to commit Makefile.in 

2001-10-10 19:39  androsyn

	* autoconf/configure.in, configure, include/irc_string.h,
	include/setup.h.in, src/snprintf.c: Added a vsnprintf() stolen from
	mutt that is necessary on platforms that do not have any native
	vsnprintf() 

2001-10-10 11:50  davidt

	* src/modules.c: 
	- Slightly modified version of poptix's patch, just check len > 3
	  before testing [len-3], and cache the result of strlen.  

2001-10-09 06:47  androsyn

	* configure, autoconf/configure.in, include/setup.h.in,
	src/irc_string.c: Gee..I broke another beta.  I forgot to remove
	the rest of the strtok_r() crap. oops 

2001-10-08 20:37  lusky

	* include/patchlevel.h, modules/core/m_sjoin.c: 
	- revved patchlevel to beta8 
	- removed unused variable 

2001-10-08 09:44  davidt

	* BUGS: 
	- Reword the /MODUNLOAD core entry to be more accurate, and include 
	  a simpler workaround.  We should perhaps default to 
	  --disable-shared-modules, but with some way to easily add
	  additional contrib modules automagically.  

2001-10-08 07:13  androsyn

	* include/irc_string.h: Removed the macro for strtoken() 

2001-10-07 20:05  db

	* modules/core/m_sjoin.c, src/channel.c: 
	- Look sorry, I know, but this code was just too stupid for words...  

2001-10-07 01:57  leeh

	* contrib/README: 
	- updated README to cover whats actually in contrib/ 

2001-10-06 11:32  leeh

	* modules/m_gline.c: 
	- we need to set the time on gline2, not gline1..  

2001-10-06 10:51  androsyn

	* include/irc_string.h: Added a change to allow strtok_r() to work
	without warnings..  

2001-10-06 10:35  androsyn

	* adns/Makefile.in, modules/Makefile.in, servlink/Makefile.in,
	src/Makefile.in, tools/Makefile.in: Added change to the make depend
	rule so that IRCD_PREFIX is defined.  

2001-10-06 07:26  leeh

	* modules/core/m_sjoin.c: 
	- commented where the magic number 6 comes from 

2001-10-05 21:24  db

	* modules/core/m_sjoin.c, src/balloc.c: 
	- reformatted balloc.c to project standard format 
	- added part of Lee's proposed m_sjoin.c patches. We are simply 
	  being very very anal IMO.  

2001-10-05 19:50  androsyn

	* src/balloc.c: Fixed the stupid core related to typecasting. I'll
	fix the warnings on sun later 

2001-10-05 19:33  wcampbel

	* src/ircd.c: Removed the "value of NOFILE" message 

2001-10-04 20:46  db

	* src/ircd.c: 
	- three eventAdds() completely missing in latest... oops 
	  missing cleanup_channels, cleanup_glines and cleanup_tklines 

2001-10-04 14:26  androsyn

	* contrib/Makefile.in: contrib/ is all happy too 

2001-10-04 14:22  androsyn

	* tools/: convertklines.c, encspeed.c: Even more warnings I missed 

2001-10-04 14:22  androsyn

	* servlink/: io.c, io.h: Even more warning i missed..  

2001-10-04 13:56  androsyn

	* modules/m_accept.c, modules/m_cryptlink.c, src/rsa.c,
	src/s_serv.c: Warnings related to signedness of char 

2001-10-04 13:53  androsyn

	* src/balloc.c: Keep Forte C from whining so much...  

2001-10-04 13:47  androsyn

	* src/: irc_string.c, linebuf.c, sprintf_irc.c: 
	Warnings..warnings..more warnings...not anymore :) 

2001-10-04 13:44  androsyn

	* include/irc_string.h: Accidently removed the prototype for
	strtoken()..oops 

2001-10-04 13:37  androsyn

	* include/: irc_string.h, memory.h: Cleaned up some stuff that
	generated lots of warnings on solaris 

2001-10-04 10:51  androsyn

	* BUGS: Added info about TCP resolver bug.  

2001-10-04 10:50  androsyn

	* adns/transmit.c: Disabled TCP in the resolver.  Somebody can turn
	this back on when its fixed.  

2001-10-04 09:21  androsyn

	* src/adns.c: Changed the way adns rehashes.  Previously we just
	reloaded the config, but previous releases did tear down the socket.  

2001-10-04 07:52  androsyn

	* adns/setup.c: Okay..I *think* I've fixed that core dump..  

2001-10-04 07:25  androsyn

	* src/adns.c: That would be dns_state->nservers not nserver 

2001-10-04 07:22  androsyn

	* adns/transmit.c, src/adns.c: Three asserts that will hopefully
	track down the bug where ads->nserver == 0, which is technically not
	possible 

2001-10-03 12:16  androsyn

	* src/balloc.c: Well..its useful to stick in setup.h before trying
	to grab stuff autoconf defined..  

2001-10-03 12:12  androsyn

	* include/balloc.h: A misplaced define broken --disable-balloc 

2001-10-02 21:17  wcampbel

	* contrib/: m_flags.c, m_map.c: Fixed m_map.c's random failing to
	  be recognized as a command without a trailing space.  Added
	  m_flags.c, ircd-comstud like FLAGS command, completely optional
	  bloat.  It works, has been tested, and as far as I can tell, has
	  no issues.  This is slightly different than the one I posted.  It
	had the same issue as MAP did.  
	
	Anyone available to explain why these won't work sometimes with 0,
	1, 0 in the msgtab while 0, 0, 0 does.  It only appears to be that
	one combination of parameters too, as JUPE's 0, 3, 0 and NICKINFO's
	0, 2, 0 work fine.  

2001-10-02 18:31  db

	* src/channel.c: 
	- reformatting this makes it understandable now.  

2001-10-02 11:23  androsyn

	* src/: ircd_lexer.l, ircd_parser.y: Changed SHARED to T_SHARED as
	SHARED clashed with a #define from sys/mman.h on solaris 

2001-10-02 09:36  db

	* contrib/m_clearchan.c, contrib/m_opme.c, include/channel.h,
	modules/m_cburst.c, modules/m_cjoin.c, modules/m_drop.c,
	modules/m_invite.c, modules/m_join.c, modules/m_knock.c,
	modules/m_list.c, modules/m_lljoin.c, modules/m_topic.c,
	modules/core/m_message.c, modules/core/m_mode.c, src/channel.c,
	src/vchannel.c: 
	- After online discussion on IRC, I took the plunge. no more stupid
	  NullChn all replaced with NULL, hence all the touched files here.  

2001-10-02 09:13  db

	* include/channel.h, include/hash.h, modules/core/m_sjoin.c,
	src/channel.c, src/hash.c: 
	- This takes some silliness out of m_sjoin.c 

2001-10-01 22:34  a1kmm

	* include/channel.h, include/linebuf.h, src/linebuf.c: 
	- Fixed the 513 vs 511 issue in the linebuf code.  

2001-10-01 20:55  db

	* tools/Makefile.in: 
	- If fixklines.c is missing in tools, it shouldn't be in Makefile 

2001-10-01 13:27  androsyn

	* src/balloc.c: Fixed compile for when mmap() is not there..  

2001-10-01 12:18  davidt

	* modules/core/m_sjoin.c, src/channel.c: 
	- Fix evil core that killed half the testnet, we now need to check
	  the length of remote channel names, since we use the block
	  allocator, and no longer just allocate whatever amount is required.  
	  We now send a message to opers when a SJOIN to a long channel is 
	  detected, as well as ignoring the SJOIN.  

2001-09-29 19:39  db

	* src/messages.tab: added ':' to RPL_STATSQLINE DLINE KLINE as per
	discussion with walter online, originally suggested by Chris Behrens 

2001-09-29 19:09  db

	* modules/m_rehash.c: 
	- We have no more /rehash GC, so removed that from help 

2001-09-29 19:07  a1kmm

	* src/linebuf.c: 
	- Fixed linebuf code so that it sets the length correctly. It now
	  works entirely with jv's converted IRCnet burst.  Approved by Diane
	on IRC.  

2001-09-29 17:27  davidt

	* include/linebuf.h, src/linebuf.c, src/packet.c: 
	- More fixes for linebuf.c, this should hopefully cope with any
	  length of line properly.  

2001-09-29 16:14  db

	* configure, autoconf/configure.in, src/linebuf.c: Simply
	reformatted linebuf.c a tad to agree with the rough coding standards
	of project. No electrons were harmed.  
	
	Oh yes, fixed configure script. we were over-writing an array in
	conftest.c (hidden inside config.c) nl[] declared as 4 instead of 5.
	I believe it was jv that pointed this one out to me.  

2001-09-29 16:05  a1kmm

	* modules/core/m_sjoin.c, src/linebuf.c, src/memory.c,
	src/packet.c, src/parse.c: 
	1) Fixed a bug where we were not properly terminating long lines
	   sent to the parser.  
	2) Fixed several bugs in linebuf_copyline where we were not
	   correctly stripping \r\n or there was a possibility of a buffer
	underflow.  
	3) Left in two of the less expensive asserts which I used to catch
	   these bugs.  Commit approved by db on IRC.  

2001-09-29 15:59  davidt

	* modules/m_challenge.c: 
	- Zero pointers after they are freed, before this commit doing 
	  /challenge foo 
	  /challenge <anything not starting with '+'> 
	  would core the ircd (where foo was a valid oper with a public key) 

2001-09-29 15:52  davidt

	* modules/core/m_nick.c, src/channel.c: 
	- Fix Count.invisi and Count.oper so they are only incremented once
	  per user.  
	- Use BlockHeapFree() not MyFree() to free bans, since they use the
	  block allocator..  

2001-09-29 07:37  wcampbel

	* src/s_debug.c: Fix for STATS r showing long values in a %d, found
	by jv, aproved by Diane 

2001-09-28 09:40  davidt

	* src/balloc.c: 
	- Change 'int zero_fd' to 'static int zero_fd' to cut down on
	  unneeded globals.  Approved by Diane on IRC.  

2001-09-27 21:33  wcampbel

	* BUGS, Hybrid-team, INSTALL, doc/operguide.txt: Updated BUGS,
	INSTALL, and Riedel's operguide.txt.  Updated numerics.txt slightly.  
	Aproval from Diane on IRC.  

2001-09-27 14:57  wcampbel

	* src/hostmask.c: Fix for STATS i/I showing restricted mode auth
	blocks as 'i' as discussed on the ircd-coders list.  

2001-09-26 12:43  leeh

	* modules/m_pong.c: 
	- unregged clients cant route ping, so they cant get routed pongs..  
	  (discussed on irc) 

2001-09-26 12:28  leeh

